package org.jeecg.common.util;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "sftp")
@Data
public class SftpConfig {
    private String hostname;
    private Integer port;
    private String username;
    private String password;
    private Integer timeout;
    private String uploadpath;
    private String fullpath;

    public SftpConfig(String hostname,Integer port,String username,String password,Integer timeout,String uploadpath,String fullpath){
        this.hostname = hostname;
        this.port = port;
        this.username = username;
        this.password = password;
        this.timeout = timeout;
        this.uploadpath = uploadpath;
        this.fullpath = fullpath;
    }

    public SftpConfig(){}
}
