import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: '工号',
    align: "center",
    dataIndex: 'gh'
  },
  {
    title: '姓名',
    align: "center",
    dataIndex: 'xm'
  },
  {
    title: '职务名称',
    align: "center",
    dataIndex: 'zwmc'
  },
  {
    title: '标志位 1：学校教务委员会+学校督学（曹老师excel提供）2：信息办数据同步，每天更新（先删除后插入）',
    align: "center",
    dataIndex: 'flag'
  },
];

//查询数据
export const searchFormSchema: FormSchema[] = [
];

//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '工号',
    field: 'gh',
    component: 'Input',
  },
  {
    label: '姓名',
    field: 'xm',
    component: 'Input',
  },
  {
    label: '职务名称',
    field: 'zwmc',
    component: 'Input',
  },
  {
    label: '标志位 1：学校教务委员会+学校督学（曹老师excel提供）2：信息办数据同步，每天更新（先删除后插入）',
    field: 'flag',
    component: 'Input',
  },
	// TODO 主键隐藏字段，目前写死为ID
  {
    label: '',
    field: 'id',
    component: 'Input',
    show: false,
  },
];
