package org.jeecg.modules.demo.xxhbjwxtjxrw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 教务系统教学任务
 * @Author: jeecg-boot
 * @Date:   2024-09-02
 * @Version: V1.0
 */
@Data
@TableName("v_jwxt_jxrw")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="v_jwxt_jxrw对象", description="教务系统教学任务")
public class JwxtJxrw implements Serializable {
    private static final long serialVersionUID = 1L;

	/**xnxqdm*/
	@Excel(name = "xnxqdm", width = 15)
    @ApiModelProperty(value = "xnxqdm")
    private String xnxqdm;
	/**kcmc*/
	@Excel(name = "kcmc", width = 15)
    @ApiModelProperty(value = "kcmc")
    private String kcmc;
	/**kcrwdm*/
	@Excel(name = "kcrwdm", width = 15)
    @ApiModelProperty(value = "kcrwdm")
    private String kcrwdm;
	/**kclb*/
	@Excel(name = "kclb", width = 15)
    @ApiModelProperty(value = "kclb")
    private String kclb;
	/**xf*/
	@Excel(name = "xf", width = 15)
    @ApiModelProperty(value = "xf")
    private String xf;
	/**zxs*/
	@Excel(name = "zxs", width = 15)
    @ApiModelProperty(value = "zxs")
    private String zxs;
	/**kkyxmc*/
	@Excel(name = "kkyxmc", width = 15)
    @ApiModelProperty(value = "kkyxmc")
    private String kkyxmc;
    /**专业名称*/
    @Excel(name = "专业名称", width = 15)
    @ApiModelProperty(value = "专业名称")
    private String zymc;
	/**teaxm*/
	@Excel(name = "teaxm", width = 15)
    @ApiModelProperty(value = "teaxm")
    private String teaxm;
	/**bjxx*/
	@Excel(name = "bjxx", width = 15)
    @ApiModelProperty(value = "bjxx")
    private String bjxx;
	/**xn*/
	@Excel(name = "xn", width = 15)
    @ApiModelProperty(value = "xn")
    private String xn;
	/**xqmc*/
	@Excel(name = "xqmc", width = 15)
    @ApiModelProperty(value = "xqmc")
    private String xqmc;
	/**sjfs*/
	@Excel(name = "sjfs", width = 15)
    @ApiModelProperty(value = "sjfs")
    private String sjfs;
	/**khfsmc*/
	@Excel(name = "khfsmc", width = 15)
    @ApiModelProperty(value = "khfsmc")
    private String khfsmc;
	/**isUploadSj*/
	@Excel(name = "isUploadSj", width = 15)
    @ApiModelProperty(value = "isUploadSj")
    private String isUploadSj;
    /**jxbrs*/
    @Excel(name = "jxbrs", width = 15)
    @ApiModelProperty(value = "jxbrs")
    private String jxbrs;
    /**jxbrs*/
    @Excel(name = "fileShztmc", width = 15)
    @ApiModelProperty(value = "fileShztmc")
    private String fileShztmc;
    /**xnxqmc*/
    @Excel(name = "xnxqmc", width = 15)
    @ApiModelProperty(value = "xnxqmc")
    private String xnxqmc;
}
