package org.jeecg.modules.demo.xxhbjwxtscwjxx.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.demo.xxhbjwxtjxrw.entity.Xxhbjwxtjxrw;
import org.jeecg.modules.demo.xxhbjwxtscwjxx.entity.Xxhbjwxtscwjxx;
import org.jeecg.modules.demo.xxhbjwxtscwjxx.mapper.XxhbjwxtscwjxxMapper;
import org.jeecg.modules.demo.xxhbjwxtscwjxx.service.IXxhbjwxtscwjxxService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * @Description: 教务系统上传文件信息
 * @Author: jeecg-boot
 * @Date:   2024-09-02
 * @Version: V1.0
 */
@Service
public class XxhbjwxtscwjxxServiceImpl extends ServiceImpl<XxhbjwxtscwjxxMapper, Xxhbjwxtscwjxx> implements IXxhbjwxtscwjxxService {

    @Override
    public void syncList(List<Xxhbjwxtscwjxx> entityList) {

        syncList(entityList, true);
    }

    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbjwxtscwjxx> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }
        return this.saveBatch(entityList, 1000);
    }
}
