package org.jeecg.modules.demo.xxhbjwxtxsmd.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.demo.xxhbjwxtxsmd.entity.JwxtXsmd;
import org.jeecg.modules.demo.xxhbjwxtxsmd.entity.Xxhbjwxtxsmd;
import org.jeecg.modules.demo.xxhbjwxtxsmd.mapper.JwxtXsmdMapper;
import org.jeecg.modules.demo.xxhbjwxtxsmd.mapper.XxhbjwxtxsmdMapper;
import org.jeecg.modules.demo.xxhbjwxtxsmd.service.IXxhbjwxtxsmdService;
import org.jeecg.modules.demo.xxhbjwxtxsmd.service.JwxtXsmdService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * @Description: 教务系统学生名单
 * @Author: jeecg-boot
 * @Date:   2024-09-02
 * @Version: V1.0
 */
@Service
@DS("multi-oracle")
public class JwxtXsmdServiceImpl extends ServiceImpl<JwxtXsmdMapper, JwxtXsmd> implements JwxtXsmdService {

    @Override
    public List<JwxtXsmd> listFy(int startNum, int endNum) {
        return baseMapper.listFy(startNum,endNum);
    }

    @Override
    public List<JwxtXsmd> listFyNew(int startNum, int endNum, String startTime, String endTime) {
        return baseMapper.listFyNew(startNum,endNum,startTime,endTime);
    }
}
