package org.jeecg.modules.kc.KcBdgxbcopy.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 公众号推送openid
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
@Data
@TableName("kc_bdgxbcopy")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_bdgxbcopy对象", description="公众号推送openid")
public class KcBdgxbcopy implements Serializable {
    private static final long serialVersionUID = 1L;

	/**openid*/
	@Excel(name = "openid", width = 15)
    @ApiModelProperty(value = "openid")
    private java.lang.String openid;
	/**userid*/
	@Excel(name = "userid", width = 15)
    @ApiModelProperty(value = "userid")
	@TableId
    private java.lang.String userid;
	/**bdtime*/
	@Excel(name = "bdtime", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "bdtime")
    private java.util.Date bdtime;

    @TableField(exist = false)
    private String ywTime;
}
