package org.jeecg.modules.kc.KcBdgxbcopy.service.impl;

import org.jeecg.modules.kc.KcBdgxbcopy.entity.KcBdgxbcopy;
import org.jeecg.modules.kc.KcBdgxbcopy.mapper.KcBdgxbcopyMapper;
import org.jeecg.modules.kc.KcBdgxbcopy.service.IKcBdgxbcopyService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 公众号推送openid
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
@Service
public class KcBdgxbcopyServiceImpl extends ServiceImpl<KcBdgxbcopyMapper, KcBdgxbcopy> implements IKcBdgxbcopyService {

    @Override
    public void saveStudentKqtx(KcBdgxbcopy kcBdgxbcopy) {
        baseMapper.saveStudentKqtx(kcBdgxbcopy);
    }

    @Override
    public void saveTeacherKqtx(KcBdgxbcopy kcBdgxbcopy) {
        baseMapper.saveTeacherKqtx(kcBdgxbcopy);
    }

    @Override
    public void saveStudentMrtx(KcBdgxbcopy kcBdgxbcopy) {
        baseMapper.saveStudentMrtx(kcBdgxbcopy);
    }

    @Override
    public void saveTeacherMrtx(KcBdgxbcopy kcBdgxbcopy) {
        baseMapper.saveTeacherMrtx(kcBdgxbcopy);
    }

    @Override
    public KcBdgxbcopy getOpenIdByName(String name) {
        return baseMapper.getOpenIdByName(name);
    }
}
