package org.jeecg.modules.kc.blTeacherMain.mapper;

import java.util.List;
import org.jeecg.modules.kc.blTeacherMain.entity.BlTeacherTjfx;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 问卷信息
 * @Author: jeecg-boot
 * @Date:   2024-06-07
 * @Version: V1.0
 */
public interface BlTeacherTjfxMapper extends BaseMapper<BlTeacherTjfx> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<BlTeacherTjfx>
   */
	public List<BlTeacherTjfx> selectByMainId(@Param("mainId") String mainId);
}
