package org.jeecg.modules.kc.blTeacherMain.service;

import org.jeecg.modules.kc.blTeacherMain.entity.BlTeacherTjfx;
import org.jeecg.modules.kc.blTeacherMain.entity.BlTeacherMain;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.tools.word.WordOperator;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 教师调查问卷
 * @Author: jeecg-boot
 * @Date:   2024-06-07
 * @Version: V1.0
 */
public interface IBlTeacherMainService extends IService<BlTeacherMain> {

	/**
	 * 添加一对多
	 *
	 * @param blTeacherMain
	 * @param blTeacherTjfxList
	 */
	public void saveMain(BlTeacherMain blTeacherMain,List<BlTeacherTjfx> blTeacherTjfxList) ;
	
	/**
	 * 修改一对多
	 *
   * @param blTeacherMain
   * @param blTeacherTjfxList
	 */
	public void updateMain(BlTeacherMain blTeacherMain,List<BlTeacherTjfx> blTeacherTjfxList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

	WordOperator createWordTjfx(String id) throws Exception;
}
