package org.jeecg.modules.kc.grab.SynchronizationService;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.config.entity.KcExportConfigTpkwcqkjzglx;
import org.jeecg.modules.kc.config.service.IKcExportConfigTpkwcqkjzglxService;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.kcGongkaike.entity.KcGongkaike;
import org.jeecg.modules.kc.kcGongkaike.service.IKcGongkaikeService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 同步教职工在职状态
 */
@Slf4j
public class JzgzzztTask extends BaseSync {

    @Autowired
    private IKcExportConfigTpkwcqkjzglxService kcExportConfigTpkwcqkjzglxService;

    @Autowired
    private IKcSysConfigService kcSysConfigService;

    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        start();
        run(getParamMap());
        end();
    }

    public void run(Map<String, Object> param){
        KcSysConfig kcSysConfig = kcSysConfigService.getById("1");
        KcExportConfigTpkwcqkjzglx kcExportConfigTpkwcqkjzglx = new KcExportConfigTpkwcqkjzglx();
        kcExportConfigTpkwcqkjzglx.setXqxn(kcSysConfig.getFlag1());
        kcExportConfigTpkwcqkjzglxService.updateJzgzzzt(kcExportConfigTpkwcqkjzglx);
    }

    public void run(){
        run(null);
    }

}
