package org.jeecg.modules.kc.grab.SynchronizationService;

import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.kcEvaluationsStat.entity.KcEvaluationsStat;
import org.jeecg.modules.kc.kcEvaluationsStat.service.IKcEvaluationsStatService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Slf4j
public class SyncEvaluationsSzkcStat extends BaseSync {

    @Autowired
    private IKcEvaluationsStatService kcEvaluationsStatService;

    @Autowired
    private IKcSysConfigService kcSysConfigService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        List<KcEvaluationsStat> thpjblist = kcEvaluationsStatService.getSzkcpjbSyncList();


        KcSysConfig kcSysConfig = kcSysConfigService.getById("1");

        for(KcEvaluationsStat KcEvaluationsStat:thpjblist){
            KcEvaluationsStat.setXqxn(kcSysConfig.getFlag1());
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getSzkcJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col2745 = entity.getCol6176();
                if(col2745.length()>0){
                    System.out.println("szkcpjb----"+entity.getCol00());
                    String arr[] = col2745.split("@");
                    try {
                        entity.setCol62(arr[1]);
                    }catch (Exception e){
                        entity.setCol62("");
                    }
                    try {
                        entity.setCol63(arr[2]);
                    }catch (Exception e){
                        entity.setCol63("");
                    }
                    try {
                        entity.setCol64(arr[3]);
                    }catch (Exception e){
                        entity.setCol64("");
                    }
                    try {
                        entity.setCol65(arr[4]);
                    }catch (Exception e){
                        entity.setCol65("");
                    }
                    try {
                        entity.setCol66(arr[5]);
                    }catch (Exception e){
                        entity.setCol66("");
                    }
                    try {
                        entity.setCol67(arr[6]);
                    }catch (Exception e){
                        entity.setCol67("");
                    }
                    try {
                        entity.setCol68(arr[7]);
                    }catch (Exception e){
                        entity.setCol68("");
                    }
                    try {
                        entity.setCol69(arr[8]);
                    }catch (Exception e){
                        entity.setCol69("");
                    }
                    try {
                        entity.setCol70(arr[9]);
                    }catch (Exception e){
                        entity.setCol70("");
                    }
                    try {
                        entity.setCol71(arr[10]);
                    }catch (Exception e){
                        entity.setCol71("");
                    }
                    try {
                        entity.setCol72(arr[11]);
                    }catch (Exception e){
                        entity.setCol72("");
                    }
                    try {
                        entity.setCol73(arr[12]);
                    }catch (Exception e){
                        entity.setCol73("");
                    }
                    try {
                        entity.setCol74(arr[13]);
                    }catch (Exception e){
                        entity.setCol74("");
                    }
                    try {
                        entity.setCol75(arr[14]);
                    }catch (Exception e){
                        entity.setCol75("");
                    }
                    try {
                        entity.setCol76(arr[15]);
                    }catch (Exception e){
                        entity.setCol76("");
                    }

                    try {
                        entity.setCol6176(arr[0]);
                    }catch (Exception e){
                        entity.setCol6176("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }

        //最后的保存
//        kcEvaluationsStatService.saveBatch(inslist);

    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
