package org.jeecg.modules.kc.grab.SynchronizationService;

import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.zyInfoStudent.service.IZyInfoStudentService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Map;

@Slf4j
public class SyncSckhclxb extends BaseSync {

    @Autowired
    private IZyInfoStudentService zyInfoStudentService;

    /**
     * 考核材料修补
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        zyInfoStudentService.sckhclxb();//获取维普剩余查重次数
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
