package org.jeecg.modules.kc.grab.SynchronizationService;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.utils.Lists;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.grab.exports.entity.TJwKckb;
import org.jeecg.modules.kc.grab.exports.service.ITJwKckbService;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbkckb;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbsynclog;
import org.jeecg.modules.kc.grab.imports.service.IXxhbkckbService;
import org.jeecg.modules.kc.kcJieci.service.IKcJieciService;
import org.jeecg.modules.kc.kcJieciPipei.service.IKcJieciPipeiService;
import org.jeecg.modules.kc.wjxDjxx.service.IWjxDjxxService;
import org.jeecg.modules.kc.xxhbkckbOra.service.IXxhbkckbOraService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

/**重新计算考试成绩*/
@Slf4j
public class SyncWjxScore extends BaseSync {

    @Autowired
    private IWjxDjxxService wjxDjxxService;
    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
         String vid = (String) param.get("vid");
        wjxDjxxService.cxjcWjxScore(vid);
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
