package org.jeecg.modules.kc.grab.SynchronizationService;

import cn.hutool.core.io.FileUtil;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.util.DateUtils;
import org.jeecg.common.util.SpringContextHolder;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.zyInfoStudent.entity.ZyInfoStudent;
import org.jeecg.modules.kc.zyInfoStudent.service.IZyInfoStudentService;
import org.jeecg.modules.tools.Global;
import org.jeecg.modules.tools.office.pdf.PDFUtil;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;

import java.io.File;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Slf4j
public class SyncZyStudentPdf extends BaseSync {

    @Autowired
    private IZyInfoStudentService zyInfoStudentService;

    @Value("${jeecg.path.upload}")
    private String upLoadPath;
    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        List<ZyInfoStudent> ybtkblist = zyInfoStudentService.getDocNoPdfList();
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
