package org.jeecg.modules.kc.grab.SynchronizationService;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.kcGongkaike.entity.KcGongkaike;
import org.jeecg.modules.kc.kcGongkaike.service.IKcGongkaikeService;
import org.jeecg.modules.kc.wjxDjxx.service.IWjxDjxxService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 问卷星-答卷查询定时任务
 */
@Slf4j
public class WjxDjTask extends BaseSync {

    @Autowired
    private IWjxDjxxService wjxDjxxService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        //答卷查询
        wjxDjxxService.doDjSelect();
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
