package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_JW_KCAPZB-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_JW_KCAPZB")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_JW_KCAPZB对象", description="T_JW_KCAPZB-抓取")
public class TJwKcapzb {
    
	/**xnxqbh*/
	@Excel(name = "xnxqbh", width = 15)
    @ApiModelProperty(value = "xnxqbh")
	@TableId
	private java.lang.String xnxqbh;
	/**cjlrbz*/
	@Excel(name = "cjlrbz", width = 15)
    @ApiModelProperty(value = "cjlrbz")
	private java.lang.String cjlrbz;
	/**kslbdm*/
	@Excel(name = "kslbdm", width = 15)
    @ApiModelProperty(value = "kslbdm")
	private java.lang.String kslbdm;
	/**szkcfldm*/
	@Excel(name = "szkcfldm", width = 15)
    @ApiModelProperty(value = "szkcfldm")
	private java.lang.String szkcfldm;
	/**zxs*/
	@Excel(name = "zxs", width = 15)
    @ApiModelProperty(value = "zxs")
	private java.lang.Long zxs;
	/**xkrs*/
	@Excel(name = "xkrs", width = 15)
    @ApiModelProperty(value = "xkrs")
	private java.lang.Long xkrs;
	/**bh*/
	@Excel(name = "bh", width = 15)
    @ApiModelProperty(value = "bh")
	private java.lang.String bh;
	/**kcbh*/
	@Excel(name = "kcbh", width = 15)
    @ApiModelProperty(value = "kcbh")
	private java.lang.String kcbh;
	/**ktmc*/
	@Excel(name = "ktmc", width = 15)
    @ApiModelProperty(value = "ktmc")
	private java.lang.String ktmc;
	/**xqbh*/
	@Excel(name = "xqbh", width = 15)
    @ApiModelProperty(value = "xqbh")
	private java.lang.String xqbh;
	/**gh*/
	@Excel(name = "gh", width = 15)
    @ApiModelProperty(value = "gh")
	private java.lang.String gh;
	/**ksdw*/
	@Excel(name = "ksdw", width = 15)
    @ApiModelProperty(value = "ksdw")
	private java.lang.String ksdw;
	/**sksj*/
	@Excel(name = "sksj", width = 15)
    @ApiModelProperty(value = "sksj")
	private java.lang.String sksj;
	/**xkxzdm*/
	@Excel(name = "xkxzdm", width = 15)
    @ApiModelProperty(value = "xkxzdm")
	private java.lang.String xkxzdm;
	/**kcxzdm*/
	@Excel(name = "kcxzdm", width = 15)
    @ApiModelProperty(value = "kcxzdm")
	private java.lang.String kcxzdm;
	/**pkbz*/
	@Excel(name = "pkbz", width = 15)
    @ApiModelProperty(value = "pkbz")
	private java.lang.String pkbz;
	/**skdd*/
	@Excel(name = "skdd", width = 15)
    @ApiModelProperty(value = "skdd")
	private java.lang.String skdd;
	/**skfsdm*/
	@Excel(name = "skfsdm", width = 15)
    @ApiModelProperty(value = "skfsdm")
	private java.lang.String skfsdm;
	/**tzdlbdm*/
	@Excel(name = "tzdlbdm", width = 15)
    @ApiModelProperty(value = "tzdlbdm")
	private java.lang.String tzdlbdm;
	/**kcsxdm*/
	@Excel(name = "kcsxdm", width = 15)
    @ApiModelProperty(value = "kcsxdm")
	private java.lang.String kcsxdm;
	/**pkrs*/
	@Excel(name = "pkrs", width = 15)
    @ApiModelProperty(value = "pkrs")
	private java.lang.Long pkrs;
	/**xf*/
	@Excel(name = "xf", width = 15)
    @ApiModelProperty(value = "xf")
	private java.lang.Long xf;
	/**ksfsdm*/
	@Excel(name = "ksfsdm", width = 15)
    @ApiModelProperty(value = "ksfsdm")
	private java.lang.String ksfsdm;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
	/**kkzc*/
	@Excel(name = "kkzc", width = 15)
    @ApiModelProperty(value = "kkzc")
	private java.lang.String kkzc;
	/**kxh*/
	@Excel(name = "kxh", width = 15)
    @ApiModelProperty(value = "kxh")
	private java.lang.String kxh;
	/**pklb*/
	@Excel(name = "pklb", width = 15)
    @ApiModelProperty(value = "pklb")
	private java.lang.String pklb;
	/**sfwcpk*/
	@Excel(name = "sfwcpk", width = 15)
    @ApiModelProperty(value = "sfwcpk")
	private java.lang.String sfwcpk;
	/**xkbz*/
	@Excel(name = "xkbz", width = 15)
    @ApiModelProperty(value = "xkbz")
	private java.lang.String xkbz;
}
