package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: T_JW_KCKB-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_JW_KCKB")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_JW_KCKB对象", description="T_JW_KCKB-抓取")
public class TJwKckb {
    
	/**kcbh*/
	@Excel(name = "kcbh", width = 15)
    @ApiModelProperty(value = "kcbh")
	@TableId
	private java.lang.String kcbh;
	/**kcmc*/
	@Excel(name = "kcmc", width = 15)
    @ApiModelProperty(value = "kcmc")
	private java.lang.String kcmc;
	/**jgh*/
	@Excel(name = "jgh", width = 15)
    @ApiModelProperty(value = "jgh")
	private java.lang.String jgh;
	/**xm*/
	@Excel(name = "xm", width = 15)
    @ApiModelProperty(value = "xm")
	private java.lang.String xm;
	/**zc*/
	@Excel(name = "zc", width = 15)
    @ApiModelProperty(value = "zc")
	private java.lang.String zc;
	/**xkrs*/
	@Excel(name = "xkrs", width = 15)
    @ApiModelProperty(value = "xkrs")
	private java.lang.Integer xkrs;
	/**pkrs*/
	@Excel(name = "pkrs", width = 15)
    @ApiModelProperty(value = "pkrs")
	private java.lang.Long pkrs;
	/**rwbh*/
	@Excel(name = "rwbh", width = 15)
    @ApiModelProperty(value = "rwbh")
	private java.lang.String rwbh;
	/**kkdwid*/
	@Excel(name = "kkdwid", width = 15)
    @ApiModelProperty(value = "kkdwid")
	private java.lang.String kkdwid;
	/**kkdw*/
	@Excel(name = "kkdw", width = 15)
    @ApiModelProperty(value = "kkdw")
	private java.lang.String kkdw;
	/**kcxz*/
	@Excel(name = "kcxz", width = 15)
    @ApiModelProperty(value = "kcxz")
	private java.lang.String kcxz;
	/**教室编号*/
	@Excel(name = "教室编号", width = 15)
	private String jsbh;
	/**skdd*/
	@Excel(name = "skdd", width = 15)
    @ApiModelProperty(value = "skdd")
	private java.lang.String skdd;
	/**sksj*/
	@Excel(name = "sksj", width = 15)
    @ApiModelProperty(value = "sksj")
	private java.lang.String sksj;
	/**jkzc*/
	@Excel(name = "jkzc", width = 15)
    @ApiModelProperty(value = "jkzc")
	private java.lang.String jkzc;
	/**xf*/
	@Excel(name = "xf", width = 15)
    @ApiModelProperty(value = "xf")
	private java.lang.Long xf;
	/**xnxq*/
	@Excel(name = "xnxq", width = 15)
    @ApiModelProperty(value = "xnxq")
	private java.lang.String xnxq;
	/**jzglb*/
	@Excel(name = "jzglb", width = 15)
    @ApiModelProperty(value = "jzglb")
	private java.lang.String jzglb;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15)
    @ApiModelProperty(value = "timestamps")
	private java.lang.String timestamps;
	/**jc*/
	@Excel(name = "jc", width = 15)
    @ApiModelProperty(value = "jc")
	private java.lang.String jc;
	/**sfjsjd*/
	@Excel(name = "sfjsjd", width = 15)
    @ApiModelProperty(value = "sfjsjd")
	private java.lang.String sfjsjd;
	/**pyfabb*/
	@Excel(name = "pyfabb", width = 15)
    @ApiModelProperty(value = "pyfabb")
	private java.lang.String pyfabb;
	/**kcdldm*/
	@Excel(name = "kcdldm", width = 15)
    @ApiModelProperty(value = "kcdldm")
	private java.lang.String kcdldm;
	/**kcjj*/
	@Excel(name = "kcjj", width = 15)
    @ApiModelProperty(value = "kcjj")
	private java.lang.String kcjj;
	/**cksm*/
	@Excel(name = "cksm", width = 15)
    @ApiModelProperty(value = "cksm")
	private java.lang.String cksm;
	/**kcfzrh*/
	@Excel(name = "kcfzrh", width = 15)
    @ApiModelProperty(value = "kcfzrh")
	private java.lang.String kcfzrh;
	/**kcdl*/
	@Excel(name = "kcdl", width = 15)
    @ApiModelProperty(value = "kcdl")
	private java.lang.String kcdl;
	/**llxs*/
	@Excel(name = "llxs", width = 15)
    @ApiModelProperty(value = "llxs")
	private java.lang.Integer llxs;
	/**sjxs*/
	@Excel(name = "sjxs", width = 15)
    @ApiModelProperty(value = "sjxs")
	private java.lang.Integer sjxs;
	/**zxs*/
	@Excel(name = "zxs", width = 15)
    @ApiModelProperty(value = "zxs")
	private java.lang.Long zxs;
	/**kcxzmjc*/
	@Excel(name = "kcxzmjc", width = 15)
    @ApiModelProperty(value = "kcxzmjc")
	private java.lang.String kcxzmjc;
	/**zyh*/
	@Excel(name = "zyh", width = 15)
    @ApiModelProperty(value = "zyh")
	private java.lang.String zyh;
	/**kclbdm*/
	@Excel(name = "kclbdm", width = 15)
    @ApiModelProperty(value = "kclbdm")
	private java.lang.String kclbdm;
	/**khfsdm*/
	@Excel(name = "khfsdm", width = 15)
    @ApiModelProperty(value = "khfsdm")
	private java.lang.String khfsdm;
	/**kcywmc*/
	@Excel(name = "kcywmc", width = 15)
    @ApiModelProperty(value = "kcywmc")
	private java.lang.String kcywmc;
	/**szkcfldm*/
	@Excel(name = "szkcfldm", width = 15)
    @ApiModelProperty(value = "szkcfldm")
	private java.lang.String szkcfldm;
	/**xqbh*/
	@Excel(name = "xqbh", width = 15)
    @ApiModelProperty(value = "xqbh")
	private java.lang.String xqbh;
//	/**bh*/
//	@Excel(name = "bh", width = 15)
//    @ApiModelProperty(value = "bh")
//	private java.lang.String bh;
	/**jxdgnr*/
	@Excel(name = "jxdgnr", width = 15)
    @ApiModelProperty(value = "jxdgnr")
	private java.sql.Clob jxdgnr;

}
