package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_JW_KCXXB-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_JW_KCXXB")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_JW_KCXXB对象", description="T_JW_KCXXB-抓取")
public class TJwKcxxb {
    
	/**kcxzm*/
	@Excel(name = "kcxzm", width = 15)
    @ApiModelProperty(value = "kcxzm")
	private java.lang.String kcxzm;
	/**zxs*/
	@Excel(name = "zxs", width = 15)
    @ApiModelProperty(value = "zxs")
	private java.lang.String zxs;
	/**khfsdm*/
	@Excel(name = "khfsdm", width = 15)
    @ApiModelProperty(value = "khfsdm")
	@TableId
	private java.lang.String khfsdm;
	/**kkdwh*/
	@Excel(name = "kkdwh", width = 15)
    @ApiModelProperty(value = "kkdwh")
	private java.lang.String kkdwh;
	/**kcmc*/
	@Excel(name = "kcmc", width = 15)
    @ApiModelProperty(value = "kcmc")
	private java.lang.String kcmc;
	/**szkcfldm*/
	@Excel(name = "szkcfldm", width = 15)
    @ApiModelProperty(value = "szkcfldm")
	private java.lang.String szkcfldm;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
	/**kcdl*/
	@Excel(name = "kcdl", width = 15)
    @ApiModelProperty(value = "kcdl")
	private java.lang.String kcdl;
	/**kcdldm*/
	@Excel(name = "kcdldm", width = 15)
    @ApiModelProperty(value = "kcdldm")
	private java.lang.String kcdldm;
	/**kch*/
	@Excel(name = "kch", width = 15)
    @ApiModelProperty(value = "kch")
	private java.lang.String kch;
	/**ndxsm*/
	@Excel(name = "ndxsm", width = 15)
    @ApiModelProperty(value = "ndxsm")
	private java.lang.String ndxsm;
	/**kcxzmjc*/
	@Excel(name = "kcxzmjc", width = 15)
    @ApiModelProperty(value = "kcxzmjc")
	private java.lang.String kcxzmjc;
	/**zhouxs*/
	@Excel(name = "zhouxs", width = 15)
    @ApiModelProperty(value = "zhouxs")
	private java.math.BigDecimal zhouxs;
	/**xf*/
	@Excel(name = "xf", width = 15)
    @ApiModelProperty(value = "xf")
	private java.math.BigDecimal xf;
	/**kcjj*/
	@Excel(name = "kcjj", width = 15)
    @ApiModelProperty(value = "kcjj")
	private java.lang.String kcjj;
	/**sjxs*/
	@Excel(name = "sjxs", width = 15)
    @ApiModelProperty(value = "sjxs")
	private java.lang.String sjxs;
	/**zyh*/
	@Excel(name = "zyh", width = 15)
    @ApiModelProperty(value = "zyh")
	private java.lang.String zyh;
	/**llxs*/
	@Excel(name = "llxs", width = 15)
    @ApiModelProperty(value = "llxs")
	private java.lang.String llxs;
	/**jc*/
	@Excel(name = "jc", width = 15)
    @ApiModelProperty(value = "jc")
	private java.lang.String jc;
	/**cksm*/
	@Excel(name = "cksm", width = 15)
    @ApiModelProperty(value = "cksm")
	private java.lang.String cksm;
	/**kcfzrh*/
	@Excel(name = "kcfzrh", width = 15)
    @ApiModelProperty(value = "kcfzrh")
	private java.lang.String kcfzrh;
	/**sfjsjd*/
	@Excel(name = "sfjsjd", width = 15)
    @ApiModelProperty(value = "sfjsjd")
	private java.lang.String sfjsjd;
	/**qyztdm*/
	@Excel(name = "qyztdm", width = 15)
    @ApiModelProperty(value = "qyztdm")
	private java.lang.String qyztdm;
	/**bh*/
	@Excel(name = "bh", width = 15)
    @ApiModelProperty(value = "bh")
	private java.lang.String bh;
	/**kkdwmc*/
	@Excel(name = "kkdwmc", width = 15)
    @ApiModelProperty(value = "kkdwmc")
	private java.lang.String kkdwmc;
	/**kcywmc*/
	@Excel(name = "kcywmc", width = 15)
    @ApiModelProperty(value = "kcywmc")
	private java.lang.String kcywmc;
	/**pyfabb*/
	@Excel(name = "pyfabb", width = 15)
    @ApiModelProperty(value = "pyfabb")
	private java.lang.String pyfabb;
	/**kclbdm*/
	@Excel(name = "kclbdm", width = 15)
    @ApiModelProperty(value = "kclbdm")
	private java.lang.String kclbdm;
}
