package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_JW_TKXX-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_JW_TKXX")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_JW_TKXX对象", description="T_JW_TKXX-抓取")
public class TJwTkxx {
    
	/**szxyldshyj*/
	@Excel(name = "szxyldshyj", width = 15)
    @ApiModelProperty(value = "szxyldshyj")
	private java.lang.String szxyldshyj;
	/**shxq*/
	@Excel(name = "shxq", width = 15)
    @ApiModelProperty(value = "shxq")
	private java.lang.String shxq;
	/**lcjgbh*/
	@Excel(name = "lcjgbh", width = 15)
    @ApiModelProperty(value = "lcjgbh")
	@TableId
	private java.lang.String lcjgbh;
	/**bkjh*/
	@Excel(name = "bkjh", width = 15)
    @ApiModelProperty(value = "bkjh")
	private java.lang.String bkjh;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
	/**kcmc*/
	@Excel(name = "kcmc", width = 15)
    @ApiModelProperty(value = "kcmc")
	private java.lang.String kcmc;
	/**pbh*/
	@Excel(name = "pbh", width = 15)
    @ApiModelProperty(value = "pbh")
	private java.lang.String pbh;
	/**jc*/
	@Excel(name = "jc", width = 15)
    @ApiModelProperty(value = "jc")
	private java.lang.String jc;
	/**skrq*/
	@Excel(name = "skrq", width = 15)
    @ApiModelProperty(value = "skrq")
	private java.lang.String skrq;
	/**kcxxbh*/
	@Excel(name = "kcxxbh", width = 15)
    @ApiModelProperty(value = "kcxxbh")
	private java.lang.String kcxxbh;
	/**xq*/
	@Excel(name = "xq", width = 15)
    @ApiModelProperty(value = "xq")
	private java.lang.String xq;
	/**jsgh*/
	@Excel(name = "jsgh", width = 15)
    @ApiModelProperty(value = "jsgh")
	private java.lang.String jsgh;
	/**bh*/
	@Excel(name = "bh", width = 15)
    @ApiModelProperty(value = "bh")
	private java.lang.String bh;
	/**skjs*/
	@Excel(name = "skjs", width = 15)
    @ApiModelProperty(value = "skjs")
	private java.lang.String skjs;
	/**lcbh*/
	@Excel(name = "lcbh", width = 15)
    @ApiModelProperty(value = "lcbh")
	private java.lang.String lcbh;
	/**tklx*/
	@Excel(name = "tklx", width = 15)
    @ApiModelProperty(value = "tklx")
	private java.lang.String tklx;
	/**yjxq*/
	@Excel(name = "yjxq", width = 15)
    @ApiModelProperty(value = "yjxq")
	private java.lang.String yjxq;
	/**sqrdw*/
	@Excel(name = "sqrdw", width = 15)
    @ApiModelProperty(value = "sqrdw")
	private java.lang.String sqrdw;
	/**bizbh*/
	@Excel(name = "bizbh", width = 15)
    @ApiModelProperty(value = "bizbh")
	private java.lang.String bizbh;
	/**jwcsh*/
	@Excel(name = "jwcsh", width = 15)
    @ApiModelProperty(value = "jwcsh")
	private java.lang.String jwcsh;
	/**xm*/
	@Excel(name = "xm", width = 15)
    @ApiModelProperty(value = "xm")
	private java.lang.String xm;
	/**cjr*/
	@Excel(name = "cjr", width = 15)
    @ApiModelProperty(value = "cjr")
	private java.lang.String cjr;
	/**sjh*/
	@Excel(name = "sjh", width = 15)
    @ApiModelProperty(value = "sjh")
	private java.lang.String sjh;
	/**tksy*/
	@Excel(name = "tksy", width = 15)
    @ApiModelProperty(value = "tksy")
	private java.lang.String tksy;
	/**xyjwmsshyj*/
	@Excel(name = "xyjwmsshyj", width = 15)
    @ApiModelProperty(value = "xyjwmsshyj")
	private java.lang.String xyjwmsshyj;
}
