package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_JW_XSXKB-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_JW_XSXKB")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_JW_XSXKB对象", description="T_JW_XSXKB-抓取")
public class TJwXsxkb {
    
	/**hbmxbh*/
	@Excel(name = "hbmxbh", width = 15)
    @ApiModelProperty(value = "hbmxbh")
	@TableId
	private java.lang.String hbmxbh;
	/**xh*/
	@Excel(name = "xh", width = 15)
    @ApiModelProperty(value = "xh")
	private java.lang.String xh;
	/**zxs*/
	@Excel(name = "zxs", width = 15)
    @ApiModelProperty(value = "zxs")
	private java.lang.Integer zxs;
	/**xf*/
	@Excel(name = "xf", width = 15)
    @ApiModelProperty(value = "xf")
	private java.math.BigDecimal xf;
	/**kclbdm*/
	@Excel(name = "kclbdm", width = 15)
    @ApiModelProperty(value = "kclbdm")
	private java.lang.String kclbdm;
	/**bh*/
	@Excel(name = "bh", width = 15)
    @ApiModelProperty(value = "bh")
	private java.lang.String bh;
	/**xklcbh*/
	@Excel(name = "xklcbh", width = 15)
    @ApiModelProperty(value = "xklcbh")
	private java.lang.String xklcbh;
	/**ksfsdm*/
	@Excel(name = "ksfsdm", width = 15)
    @ApiModelProperty(value = "ksfsdm")
	private java.lang.String ksfsdm;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
	/**kcapzbbh*/
	@Excel(name = "kcapzbbh", width = 15)
    @ApiModelProperty(value = "kcapzbbh")
	private java.lang.String kcapzbbh;
	/**kcxzdm*/
	@Excel(name = "kcxzdm", width = 15)
    @ApiModelProperty(value = "kcxzdm")
	private java.lang.String kcxzdm;
}
