package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_ZZB_LDXX-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_ZZB_LDXX")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_ZZB_LDXX对象", description="T_ZZB_LDXX-抓取")
public class TZzbLdxx {
    
	/**gh*/
	@Excel(name = "gh", width = 15)
    @ApiModelProperty(value = "gh")
	@TableId
	private java.lang.String gh;
	/**xm*/
	@Excel(name = "xm", width = 15)
    @ApiModelProperty(value = "xm")
	private java.lang.String xm;
	/**dwh*/
	@Excel(name = "dwh", width = 15)
    @ApiModelProperty(value = "dwh")
	private java.lang.String dwh;
	/**zwdm*/
	@Excel(name = "zwdm", width = 15)
    @ApiModelProperty(value = "zwdm")
	private java.lang.String zwdm;
	/**zwmc*/
	@Excel(name = "zwmc", width = 15)
    @ApiModelProperty(value = "zwmc")
	private java.lang.String zwmc;
	/**nj*/
	@Excel(name = "nj", width = 15)
    @ApiModelProperty(value = "nj")
	private java.lang.String nj;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
}
