package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: xxhbbkjxtkpj
 * @Author: jeecg-boot
 * @Date:   2023-05-04
 * @Version: V1.0
 */
@Data
@TableName("xxhbbkjxtkpj")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbbkjxtkpj对象", description="xxhbbkjxtkpj")
public class Xxhbbkjxtkpj implements Serializable {
    private static final long serialVersionUID = 1L;

	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
	@TableId
    private java.lang.String bh;
	/**轮次编号*/
	@Excel(name = "轮次编号", width = 15)
    @ApiModelProperty(value = "轮次编号")
    private java.lang.String lcbh;
	/**轮次出镜人*/
	@Excel(name = "轮次出镜人", width = 15)
    @ApiModelProperty(value = "轮次出镜人")
    private java.lang.String lccjr;
	/**听课人工号*/
	@Excel(name = "听课人工号", width = 15)
    @ApiModelProperty(value = "听课人工号")
    private java.lang.String tkrgh;
	/**听课人姓名*/
	@Excel(name = "听课人姓名", width = 15)
    @ApiModelProperty(value = "听课人姓名")
    private java.lang.String tkrxm;
	/**听课人单位名称*/
	@Excel(name = "听课人单位名称", width = 15)
    @ApiModelProperty(value = "听课人单位名称")
    private java.lang.String tkrdwmc;
	/**tksjxq*/
	@Excel(name = "tksjxq", width = 15)
    @ApiModelProperty(value = "tksjxq")
    private java.lang.String tksjxq;
	/**课程节次*/
	@Excel(name = "课程节次", width = 15)
    @ApiModelProperty(value = "课程节次")
    private java.lang.String kcjc;
	/**课程单位*/
	@Excel(name = "课程单位", width = 15)
    @ApiModelProperty(value = "课程单位")
    private java.lang.String kcdm;
	/**听课教师*/
	@Excel(name = "听课教师", width = 15)
    @ApiModelProperty(value = "听课教师")
    private java.lang.String tkjs;
	/**听课课程名称*/
	@Excel(name = "听课课程名称", width = 15)
    @ApiModelProperty(value = "听课课程名称")
    private java.lang.String tkkcmc;
	/**任课教师*/
	@Excel(name = "任课教师", width = 15)
    @ApiModelProperty(value = "任课教师")
    private java.lang.String rkjs;
	/**总体评价*/
	@Excel(name = "总体评价", width = 15)
    @ApiModelProperty(value = "总体评价")
    private java.lang.String ztpj;
	/**教师工号*/
	@Excel(name = "教师工号", width = 15)
    @ApiModelProperty(value = "教师工号")
    private java.lang.String jsgh;
	/**全体意见*/
	@Excel(name = "全体意见", width = 15)
    @ApiModelProperty(value = "全体意见")
    private java.lang.String qtyj;
	/**jspg1*/
	@Excel(name = "jspg1", width = 15)
    @ApiModelProperty(value = "jspg1")
    private java.lang.String jspg1;
	/**jspg2*/
	@Excel(name = "jspg2", width = 15)
    @ApiModelProperty(value = "jspg2")
    private java.lang.String jspg2;
	/**jspg3*/
	@Excel(name = "jspg3", width = 15)
    @ApiModelProperty(value = "jspg3")
    private java.lang.String jspg3;
	/**jspg4*/
	@Excel(name = "jspg4", width = 15)
    @ApiModelProperty(value = "jspg4")
    private java.lang.String jspg4;
	/**jspg5*/
	@Excel(name = "jspg5", width = 15)
    @ApiModelProperty(value = "jspg5")
    private java.lang.String jspg5;
	/**xspg1*/
	@Excel(name = "xspg1", width = 15)
    @ApiModelProperty(value = "xspg1")
    private java.lang.String xspg1;
	/**xspg2*/
	@Excel(name = "xspg2", width = 15)
    @ApiModelProperty(value = "xspg2")
    private java.lang.String xspg2;
	/**xspg3*/
	@Excel(name = "xspg3", width = 15)
    @ApiModelProperty(value = "xspg3")
    private java.lang.String xspg3;
	/**课程编号*/
	@Excel(name = "课程编号", width = 15)
    @ApiModelProperty(value = "课程编号")
    private java.lang.String kcbh;
	/**时间戳*/
	@Excel(name = "时间戳", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "时间戳")
    private java.util.Date timestamps;

    private String kbbh;

    @TableField(exist = false)
    private Integer mysqlnum;
}
