package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 同步数据表(bdw)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("xxhbdw")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbdw对象", description="同步数据表(bdw)")
public class Xxhbdw implements Serializable {
    private static final long serialVersionUID = 1L;

	/***/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "")
    private java.lang.String id;
	/**dwh*/
	@Excel(name = "dwh", width = 15)
    @ApiModelProperty(value = "dwh")
    private java.lang.String dwh;
	/**sfyxm*/
	@Excel(name = "sfyxm", width = 15)
    @ApiModelProperty(value = "sfyxm")
    private java.lang.String sfyxm;
	/**gkbmh*/
	@Excel(name = "gkbmh", width = 15)
    @ApiModelProperty(value = "gkbmh")
    private java.lang.String gkbmh;
	/**ssdwh*/
	@Excel(name = "ssdwh", width = 15)
    @ApiModelProperty(value = "ssdwh")
    private java.lang.String ssdwh;
	/**dwlbdm*/
	@Excel(name = "dwlbdm", width = 15)
    @ApiModelProperty(value = "dwlbdm")
    private java.lang.String dwlbdm;
	/**clrq*/
	@Excel(name = "clrq", width = 15)
    @ApiModelProperty(value = "clrq")
    private java.lang.String clrq;
	/**dwmc*/
	@Excel(name = "dwmc", width = 15)
    @ApiModelProperty(value = "dwmc")
    private java.lang.String dwmc;
	/**sfgkm*/
	@Excel(name = "sfgkm", width = 15)
    @ApiModelProperty(value = "sfgkm")
    private java.lang.String sfgkm;
	/**hsbmh*/
	@Excel(name = "hsbmh", width = 15)
    @ApiModelProperty(value = "hsbmh")
    private java.lang.String hsbmh;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15)
    @ApiModelProperty(value = "timestamps")
    private java.lang.String timestamps;
	/**dwjc*/
	@Excel(name = "dwjc", width = 15)
    @ApiModelProperty(value = "dwjc")
    private java.lang.String dwjc;
	/**hdbzs*/
	@Excel(name = "hdbzs", width = 15)
    @ApiModelProperty(value = "hdbzs")
    private java.lang.String hdbzs;
	/**dwywmc*/
	@Excel(name = "dwywmc", width = 15)
    @ApiModelProperty(value = "dwywmc")
    private java.lang.String dwywmc;
	/**sfhsm*/
	@Excel(name = "sfhsm", width = 15)
    @ApiModelProperty(value = "sfhsm")
    private java.lang.String sfhsm;
	/**yjbmdwh*/
	@Excel(name = "yjbmdwh", width = 15)
    @ApiModelProperty(value = "yjbmdwh")
    private java.lang.String yjbmdwh;
    @TableField(exist = false)
    private Integer mysqlnum;
}
