package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: xxhbjsjbxx
 * @Author: jeecg-boot
 * @Date:   2023-05-22
 * @Version: V1.0
 */
@Data
@TableName("xxhbjsjbxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbjsjbxx对象", description="xxhbjsjbxx")
public class Xxhbjsjbxx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**是否笔试考试*/
	@Excel(name = "是否笔试考试", width = 15)
    @ApiModelProperty(value = "是否笔试考试")
    private java.lang.String sfbsks;
	/**是否可用*/
	@Excel(name = "是否可用", width = 15)
    @ApiModelProperty(value = "是否可用")
    private java.lang.String sfky;
	/**教室用途*/
	@Excel(name = "教室用途", width = 15)
    @ApiModelProperty(value = "教室用途")
    private java.lang.String jsyt;
	/**考试座位数*/
	@Excel(name = "考试座位数", width = 15)
    @ApiModelProperty(value = "考试座位数")
    private java.lang.String kszws;
	/**有效座位数*/
	@Excel(name = "有效座位数", width = 15)
    @ApiModelProperty(value = "有效座位数")
    private java.lang.String yxzws;
	/**教室类型码*/
	@Excel(name = "教室类型码", width = 15)
    @ApiModelProperty(value = "教室类型码")
    private java.lang.String jslxm;
	/**门牌号*/
	@Excel(name = "门牌号", width = 15)
    @ApiModelProperty(value = "门牌号")
    private java.lang.String mph;
	/**所在楼层*/
	@Excel(name = "所在楼层", width = 15)
    @ApiModelProperty(value = "所在楼层")
    private java.lang.String szlc;
	/**教室管理部门*/
	@Excel(name = "教室管理部门", width = 15)
    @ApiModelProperty(value = "教室管理部门")
    private java.lang.String jsglbm;
	/**教室排课优先序号*/
	@Excel(name = "教室排课优先序号", width = 15)
    @ApiModelProperty(value = "教室排课优先序号")
    private java.lang.String jspkyxxh;
	/**是否标准考场*/
	@Excel(name = "是否标准考场", width = 15)
    @ApiModelProperty(value = "是否标准考场")
    private java.lang.String sfbzkc;
	/**教室名称*/
	@Excel(name = "教室名称", width = 15)
    @ApiModelProperty(value = "教室名称")
    private java.lang.String jsmc;
	/**教学楼号(关联视图t_jw_jxljbxx里的JZWH)*/
	@Excel(name = "教学楼号(关联视图t_jw_jxljbxx里的JZWH)", width = 15)
    @ApiModelProperty(value = "教学楼号(关联视图t_jw_jxljbxx里的JZWH)")
    private java.lang.String jxlh;
	/**功能区编号*/
	@Excel(name = "功能区编号", width = 15)
    @ApiModelProperty(value = "功能区编号")
    private java.lang.String gnqbh;
	/**是否专用*/
	@Excel(name = "是否专用", width = 15)
    @ApiModelProperty(value = "是否专用")
    private java.lang.String sfzy;
	/**教室描述*/
	@Excel(name = "教室描述", width = 15)
    @ApiModelProperty(value = "教室描述")
    private java.lang.String jsms;
	/**校区码*/
	@Excel(name = "校区码", width = 15)
    @ApiModelProperty(value = "校区码")
    private java.lang.String xqm;
	/**所属院系号*/
	@Excel(name = "所属院系号", width = 15)
    @ApiModelProperty(value = "所属院系号")
    private java.lang.String ssyxh;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
	@TableId
    private java.lang.String bh;
	/**座位数*/
	@Excel(name = "座位数", width = 15)
    @ApiModelProperty(value = "座位数")
    private java.lang.String zws;
	/**教室号(关联视图T_JW_KCKB里的JSBH)*/
	@Excel(name = "教室号(关联视图T_JW_KCKB里的JSBH)", width = 15)
    @ApiModelProperty(value = "教室号(关联视图T_JW_KCKB里的JSBH)")
    private java.lang.String jsh;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
    private java.util.Date timestamps;
	/**是否可借用*/
	@Excel(name = "是否可借用", width = 15)
    @ApiModelProperty(value = "是否可借用")
    private java.lang.String sfkjy;
	/**是否可重复利用*/
	@Excel(name = "是否可重复利用", width = 15)
    @ApiModelProperty(value = "是否可重复利用")
    private java.lang.String sfkcfly;


    @TableField(exist = false)
    private Integer mysqlnum;

	@TableField(exist = false)
	private String jzwmc;

}
