package org.jeecg.modules.kc.grab.imports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: 同步数据表(shryxx)
 * @Author: jeecg-boot
 * @Date:   2023-05-24
 * @Version: V1.0
 */
@Data
@TableName("xxhbshryxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbshryxx对象", description="同步数据表(shryxx)")
public class Xxhbshryxx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**工号*/
	@Excel(name = "工号", width = 15)
    @ApiModelProperty(value = "工号")
	@TableId
    private java.lang.String gh;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String xm;
	/**单位号*/
	@Excel(name = "单位号", width = 15)
    @ApiModelProperty(value = "单位号")
    private java.lang.String dwh;
	/**职务代码*/
	@Excel(name = "职务代码", width = 15)
    @ApiModelProperty(value = "职务代码")
    private java.lang.String zwdm;
	/**职务名称*/
	@Excel(name = "职务名称", width = 15)
    @ApiModelProperty(value = "职务名称")
    private java.lang.String zwmc;
	/**年级*/
	@Excel(name = "年级", width = 15)
    @ApiModelProperty(value = "年级")
    private java.lang.String nj;
	/**时间戳*/
	@Excel(name = "时间戳", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "时间戳")
    private java.util.Date timestamps;


    @TableField(exist = false)
    private Integer mysqlnum;
}
