package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 同步数据日志记录
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("xxhbsynclog")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbsynclog对象", description="同步数据日志记录")
public class Xxhbsynclog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**表名*/
	@Excel(name = "表名", width = 15)
    @ApiModelProperty(value = "表名")
    private java.lang.String tablename;
	/**同步日期*/
	@Excel(name = "同步日期", width = 15)
    @ApiModelProperty(value = "同步日期")
    private java.lang.String syncdate;
	/**同步时间*/
	@Excel(name = "同步时间", width = 15)
    @ApiModelProperty(value = "同步时间")
    private java.lang.String synctime;
	/**同步行数量*/
	@Excel(name = "同步行数量", width = 15)
    @ApiModelProperty(value = "同步行数量")
    private java.lang.String syncRowNum;

    /**同步行数量*/
    @Excel(name = "同步行数量", width = 15)
    @ApiModelProperty(value = "同步行数量")
    private java.lang.String errormessage;

    /**oracle表名*/
    private java.lang.String oratabname;

    /**mysql表数量*/
    private Integer tablenum;

    /**oracle表数量*/
    private Integer oratabnum;

    /**本次同步数据量*/
    private Integer syncnum;
    /**同步类型 0全量  1增量*/
    private java.lang.String synctype;



}
