package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 同步数据表(tkkcb)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("xxhbtkkcb")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbtkkcb对象", description="同步数据表(tkkcb)")
public class Xxhbtkkcb implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
    private java.lang.String bh;
	/**kbbh*/
	@Excel(name = "kbbh", width = 15)
    @ApiModelProperty(value = "kbbh")
    private java.lang.String kbbh;
	/**tzdbh*/
	@Excel(name = "tzdbh", width = 15)
    @ApiModelProperty(value = "tzdbh")
    private java.lang.String tzdbh;
	/**授课时间*/
	@Excel(name = "授课时间", width = 15)
    @ApiModelProperty(value = "授课时间")
    private java.lang.String sksj;
	/**开课周次*/
	@Excel(name = "开课周次", width = 15)
    @ApiModelProperty(value = "开课周次")
    private java.lang.String kkzc;
	/**开课学期*/
	@Excel(name = "开课学期", width = 15)
    @ApiModelProperty(value = "开课学期")
    private java.lang.String kkxq;
	/**教材*/
	@Excel(name = "教材", width = 15)
    @ApiModelProperty(value = "教材")
    private java.lang.String jc;
	/**教材3*/
	@Excel(name = "教材3", width = 15)
    @ApiModelProperty(value = "教材3")
    private java.lang.String jc3;
	/**教材4*/
	@Excel(name = "教材4", width = 15)
    @ApiModelProperty(value = "教材4")
    private java.lang.String jc4;
	/**教材名称*/
	@Excel(name = "教材名称", width = 15)
    @ApiModelProperty(value = "教材名称")
    private java.lang.String jcmc;
	/**评课人数*/
	@Excel(name = "评课人数", width = 15)
    @ApiModelProperty(value = "评课人数")
    private java.lang.String pkrs;
	/**学年学期编号*/
	@Excel(name = "学年学期编号", width = 15)
    @ApiModelProperty(value = "学年学期编号")
    private java.lang.String xnxqbh;
	/**工号*/
	@Excel(name = "工号", width = 15)
    @ApiModelProperty(value = "工号")
    private java.lang.String gh;
	/**jsxm*/
	@Excel(name = "jsxm", width = 15)
    @ApiModelProperty(value = "jsxm")
    private java.lang.String jsxm;
	/**课程号*/
	@Excel(name = "课程号", width = 15)
    @ApiModelProperty(value = "课程号")
    private java.lang.String kch;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**单位号*/
	@Excel(name = "单位号", width = 15)
    @ApiModelProperty(value = "单位号")
    private java.lang.String dwh;
	/**单位名称*/
	@Excel(name = "单位名称", width = 15)
    @ApiModelProperty(value = "单位名称")
    private java.lang.String dwmc;
	/**教师号*/
	@Excel(name = "教师号", width = 15)
    @ApiModelProperty(value = "教师号")
    private java.lang.String jsh;
	/**教师名称*/
	@Excel(name = "教师名称", width = 15)
    @ApiModelProperty(value = "教师名称")
    private java.lang.String jsmc;
	/**yxzws*/
	@Excel(name = "yxzws", width = 15)
    @ApiModelProperty(value = "yxzws")
    private java.lang.String yxzws;
	/**jzwh*/
	@Excel(name = "jzwh", width = 15)
    @ApiModelProperty(value = "jzwh")
    private java.lang.String jzwh;
	/**jzwmc*/
	@Excel(name = "jzwmc", width = 15)
    @ApiModelProperty(value = "jzwmc")
    private java.lang.String jzwmc;
	/**学期编号*/
	@Excel(name = "学期编号", width = 15)
    @ApiModelProperty(value = "学期编号")
    private java.lang.String xqbh;
	/**mxrq*/
	@Excel(name = "mxrq", width = 15)
    @ApiModelProperty(value = "mxrq")
    private java.lang.String mxrq;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15)
    @ApiModelProperty(value = "timestamps")
    private java.lang.String timestamps;

    @TableField(exist = false)
    private Integer mysqlnum;
}
