package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: xxhbuser
 * @Author: jeecg-boot
 * @Date:   2023-06-03
 * @Version: V1.0
 */
@Data
@TableName("xxhbuser")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbuser对象", description="xxhbuser")
public class Xxhbuser implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**工号*/
	@Excel(name = "工号", width = 15)
    @ApiModelProperty(value = "工号")
    private java.lang.String gh;
	/**spxldm*/
	@Excel(name = "spxldm", width = 15)
    @ApiModelProperty(value = "spxldm")
    private java.lang.String spxldm;
	/**xbm*/
	@Excel(name = "xbm", width = 15)
    @ApiModelProperty(value = "xbm")
    private java.lang.String xbm;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String xm;
	/**单位号*/
	@Excel(name = "单位号", width = 15)
    @ApiModelProperty(value = "单位号")
    private java.lang.String dwh;
	/**单位名称*/
	@Excel(name = "单位名称", width = 15)
    @ApiModelProperty(value = "单位名称")
    private java.lang.String dwmc;
	/**csrq*/
	@Excel(name = "csrq", width = 15)
    @ApiModelProperty(value = "csrq")
    private java.lang.String csrq;
	/**sfzxm*/
	@Excel(name = "sfzxm", width = 15)
    @ApiModelProperty(value = "sfzxm")
    private java.lang.String sfzxm;
	/**zdxms*/
	@Excel(name = "zdxms", width = 15)
    @ApiModelProperty(value = "zdxms")
    private java.lang.String zdxms;
	/**zzzt*/
	@Excel(name = "zzzt", width = 15)
    @ApiModelProperty(value = "zzzt")
    @Dict(dicCode = "dm",dictTable = "xxhbjzgdqzt",dicText = "mc")
    private java.lang.String zzzt;
	/**时间戳*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	@Excel(name = "时间戳", width = 15, format = "yyyy-MM-dd")
    @ApiModelProperty(value = "时间戳")
    private java.lang.String timestamps;
}
