package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbbks;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbbksMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbbksService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * @Description: 同步数据表（bks）
 * @Author: jeecg-boot
 * @Date:   2023-04-10
 * @Version: V1.0
 */
@Service
public class XxhbbksServiceImpl extends ServiceImpl<XxhbbksMapper, Xxhbbks> implements IXxhbbksService {

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbbks> entityList) {
        return syncList(entityList, true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbbks> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }
        return this.saveBatch(entityList, 1000);
    }

    @Override
    public Xxhbbks getSumnum() {
        return baseMapper.getSumnum();
    }

    @Override
    public IPage<Xxhbbks> getXsxkbList(Page<Xxhbbks> page, QueryWrapper<Xxhbbks> queryWrapper) {
        return baseMapper.getXsxkbList(page, queryWrapper);
    }

    @Override
    public List<Xxhbbks> getXsxkbAllList(QueryWrapper<Xxhbbks> queryWrapper) {
        return baseMapper.getXsxkbAllList(queryWrapper);
    }

    @Override
    public List<Xxhbbks> getXKRY(String rwbh) {
        return baseMapper.getXKRY(rwbh);
    }
}
