package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbjsjbxx;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbjsjbxxMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbjsjbxxService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * @Description: xxhbjsjbxx
 * @Author: jeecg-boot
 * @Date:   2023-05-22
 * @Version: V1.0
 */
@Service
public class XxhbjsjbxxServiceImpl extends ServiceImpl<XxhbjsjbxxMapper, Xxhbjsjbxx> implements IXxhbjsjbxxService {

    @Override
    public boolean syncList(List<Xxhbjsjbxx> outDataList) {
        return syncList(outDataList, true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbjsjbxx> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }
        return this.saveBatch(entityList, 1000);
    }

    @Override
    public Xxhbjsjbxx getSumnum() {
        return baseMapper.getSumnum();
    }

    @Override
    public List<Xxhbjsjbxx> queryOtherList(QueryWrapper<Xxhbjsjbxx> qw) {
        return baseMapper.queryOtherList(qw);
    }
}
