package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbbks;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbjzgdqzt;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbbksMapper;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbjzgdqztMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbbksService;
import org.jeecg.modules.kc.grab.imports.service.IXxhbxjzgdqztService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;

/**
 * @Description: 同步数据表（bks）
 * @Author: jeecg-boot
 * @Date:   2023-04-10
 * @Version: V1.0
 */
@Service
public class XxhbjzgdqztServiceImpl extends ServiceImpl<XxhbjzgdqztMapper, Xxhbjzgdqzt> implements IXxhbxjzgdqztService {

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbjzgdqzt> entityList) {
        return syncList(entityList, true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbjzgdqzt> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }
        return this.saveBatch(entityList, 1000);
    }
}
