package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbkcapzb;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbkcapzbMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbkcapzbService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;

/**
 * @Description: 同步数据表(kcapzb)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Service
public class XxhbkcapzbServiceImpl extends ServiceImpl<XxhbkcapzbMapper, Xxhbkcapzb> implements IXxhbkcapzbService {

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbkcapzb> entityList) {
        return syncList(entityList, true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbkcapzb> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }
        return this.saveBatch(entityList, 1000);
    }

    @Override
    public Xxhbkcapzb getSumnum() {
        return baseMapper.getSumnum();
    }
}
