package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbkcxxb;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbkcxxbMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbkcxxbService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;

/**
 * @Description: 同步数据表(kcxxb)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Service
public class XxhbkcxxbServiceImpl extends ServiceImpl<XxhbkcxxbMapper, Xxhbkcxxb> implements IXxhbkcxxbService {

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbkcxxb> entityList) {
        return syncList(entityList, true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbkcxxb> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }
        return this.saveBatch(entityList, 1000);
    }

    @Override
    public Xxhbkcxxb getSumnum() {
        return baseMapper.getSumnum();
    }
}
