package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbshryxx;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbshryxxMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbshryxxService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;

/**
 * @Description: 同步数据表(shryxx)
 * @Author: jeecg-boot
 * @Date:   2023-05-24
 * @Version: V1.0
 */
@Service
public class XxhbshryxxServiceImpl extends ServiceImpl<XxhbshryxxMapper, Xxhbshryxx> implements IXxhbshryxxService {

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbshryxx> entityList) {
        return syncList(entityList, true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbshryxx> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }
        return this.saveBatch(entityList, 1000);
    }

    @Override
    public Xxhbshryxx getSumnum() {
        return baseMapper.getSumnum();
    }
}
