package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbxskc;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbxsxkb;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbxskcMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbxskcService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;

/**
 * @Description: 同步数据表(xsxkb)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Service
public class XxhbxskcServiceImpl extends ServiceImpl<XxhbxskcMapper, Xxhbxskc> implements IXxhbxskcService {

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbxskc> entityList) {
        return syncList(entityList,new QueryWrapper(), true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbxskc> entityList,QueryWrapper queryWrapper , boolean isDelete) {
        if(isDelete){
            baseMapper.delete(queryWrapper);
        }
        return this.saveBatch(entityList, 1000);
    }

    @Override
    public Xxhbxskc getSumnum() {
        return baseMapper.getSumnum();
    }
}
