package org.jeecg.modules.kc.grab.imports.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbxsxkb;
import org.jeecg.modules.kc.grab.imports.mapper.XxhbxsxkbMapper;
import org.jeecg.modules.kc.grab.imports.service.IXxhbxsxkbService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;

/**
 * @Description: 同步数据表(xsxkb)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Service
public class XxhbxsxkbServiceImpl extends ServiceImpl<XxhbxsxkbMapper, Xxhbxsxkb> implements IXxhbxsxkbService {

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbxsxkb> entityList) {
        return syncList(entityList,new QueryWrapper(), true);
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public boolean syncList(Collection<Xxhbxsxkb> entityList,QueryWrapper queryWrapper , boolean isDelete) {
        if(isDelete){
            baseMapper.delete(queryWrapper);
        }
        return this.saveBatch(entityList, 1000);
    }

    @Override
    public Xxhbxsxkb getSumnum() {
        return baseMapper.getSumnum();
    }
}
