package org.jeecg.modules.kc.jiaoshi.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 教室信息表
 * @Author: jeecg-boot
 * @Date:   2023-04-19
 * @Version: V1.0
 */
@Data
@TableName("kc_jiaoshixinxibiao")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_jiaoshixinxibiao对象", description="教室信息表")
public class KcJiaoshixinxibiao implements Serializable {
    private static final long serialVersionUID = 1L;

	/**教室编号*/
	@Excel(name = "教室编号", width = 15)
    @ApiModelProperty(value = "教室编号")
	@TableId
    private java.lang.String jsbh;
	/**教室名称*/
	@Excel(name = "教室名称", width = 15)
    @ApiModelProperty(value = "教室名称")
    private java.lang.String jsmc;
	/**门牌号*/
	@Excel(name = "门牌号", width = 15)
    @ApiModelProperty(value = "门牌号")
    private java.lang.String mph;
	/**校区*/
	@Excel(name = "校区", width = 15)
    @ApiModelProperty(value = "校区")
    private java.lang.String xq;
	/**教室类型*/
	@Excel(name = "教室类型", width = 15)
    @ApiModelProperty(value = "教室类型")
    private java.lang.String jslx;
	/**所属教学楼*/
	@Excel(name = "所属教学楼", width = 15)
    @ApiModelProperty(value = "所属教学楼")
    private java.lang.String ssjxl;
	/**所属单位*/
	@Excel(name = "所属单位", width = 15)
    @ApiModelProperty(value = "所属单位")
    private java.lang.String ssdw;
	/**排课优先级*/
	@Excel(name = "排课优先级", width = 15)
    @ApiModelProperty(value = "排课优先级")
    private java.lang.String pkyxj;
	/**是否专用*/
	@Excel(name = "是否专用", width = 15)
    @ApiModelProperty(value = "是否专用")
    private java.lang.String sfzy;
	/**教室类型2*/
	@Excel(name = "教室类型2", width = 15)
    @ApiModelProperty(value = "教室类型2")
    private java.lang.String jslx2;
	/**座位数*/
	@Excel(name = "座位数", width = 15)
    @ApiModelProperty(value = "座位数")
    private java.lang.String zws;
	/**考试座位数*/
	@Excel(name = "考试座位数", width = 15)
    @ApiModelProperty(value = "考试座位数")
    private java.lang.String kszws;
	/**是否可用*/
	@Excel(name = "是否可用", width = 15)
    @ApiModelProperty(value = "是否可用")
    private java.lang.String sfky;
	/**是否笔试考试*/
	@Excel(name = "是否笔试考试", width = 15)
    @ApiModelProperty(value = "是否笔试考试")
    private java.lang.String sfbsks;
	/**是否可借用*/
	@Excel(name = "是否可借用", width = 15)
    @ApiModelProperty(value = "是否可借用")
    private java.lang.String sfkjy;
}
