package org.jeecg.modules.kc.kcAssessidentity.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: kc_assessidentity
 * @Author: jeecg-boot
 * @Date:   2023-05-19
 * @Version: V1.0
 */
@Data
@TableName("kc_assessidentity")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_assessidentity对象", description="kc_assessidentity")
public class KcAssessidentity implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**听课身份一级*/
	@Excel(name = "听课身份一级", width = 15)
    @ApiModelProperty(value = "听课身份一级")
    private java.lang.String assessl1;
	/**听课身份二级*/
	@Excel(name = "听课身份二级", width = 15)
    @ApiModelProperty(value = "听课身份二级")
    private java.lang.String assessl2;
	/**要求听课次数*/
	@Excel(name = "要求听课次数", width = 15)
    @ApiModelProperty(value = "要求听课次数")
    private java.lang.Integer demand;
	/**身份编码*/
	@Excel(name = "身份编码", width = 15)
    @ApiModelProperty(value = "身份编码")
    private java.lang.String assesscode;

    @TableField(exist = false)
    private String ywmc;
}
