package org.jeecg.modules.kc.kcAssessuser.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: kc_assessuser
 * @Author: jeecg-boot
 * @Date:   2023-05-22
 * @Version: V1.0
 */
@Data
@TableName("kc_assessuser")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_assessuser对象", description="kc_assessuser")
public class KcAssessuser implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.Integer id;
	/**用户代码*/
	@Excel(name = "用户代码", width = 15)
    @ApiModelProperty(value = "用户代码")
    private java.lang.Integer usercode;
	/**用户名*/
	@Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private java.lang.String username;
	/**身份编码*/
	@Excel(name = "身份编码", width = 15)
    @ApiModelProperty(value = "身份编码")
    private java.lang.String assesscode;
	/**听课身份一级*/
	@Excel(name = "听课身份一级", width = 15)
    @ApiModelProperty(value = "听课身份一级")
    private java.lang.String assess1;
	/**听课身份二级*/
	@Excel(name = "听课身份二级", width = 15)
    @ApiModelProperty(value = "听课身份二级")
    private java.lang.String assess2;
	/**单位名称*/
	@Excel(name = "单位名称", width = 15)
    @ApiModelProperty(value = "单位名称")
    private java.lang.String dwmc;
	/**听课要求（次数）*/
	@Excel(name = "听课要求（次数）", width = 15)
    @ApiModelProperty(value = "听课要求（次数）")
    private java.lang.String tkyq;

    @TableField(exist = false)
    private String cn;
    @TableField(exist = false)
    private String user;
    @TableField(exist = false)
    private String college;
    @TableField(exist = false)
    private String zwmc;

    @TableField(exist = false)
    private List<KcAssessuser> lists;
}
