package org.jeecg.modules.kc.kcEvaluationsStat.service.impl;

import org.jeecg.modules.kc.kcEvaluationsStat.entity.KcEvaluationsStat;
import org.jeecg.modules.kc.kcEvaluationsStat.mapper.KcEvaluationsStatMapper;
import org.jeecg.modules.kc.kcEvaluationsStat.service.IKcEvaluationsStatService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.Collections;
import java.util.List;

/**
 * @Description: kc_evaluations_stat
 * @Author: jeecg-boot
 * @Date:   2023-08-22
 * @Version: V1.0
 */
@Service
public class KcEvaluationsStatServiceImpl extends ServiceImpl<KcEvaluationsStatMapper, KcEvaluationsStat> implements IKcEvaluationsStatService {

    @Override
    public List<KcEvaluationsStat> getYbtkbSyncList() {
        return baseMapper.getYbtkbSyncList();
    }

    @Override
    public List<KcEvaluationsStat> getXstkbSyncList() {
        return baseMapper.getXstkbSyncList();
    }

    @Override
    public List<KcEvaluationsStat> getThpjbSyncList() {
        return baseMapper.getThpjbSyncList();
    }

    @Override
    public List<KcEvaluationsStat> getYbtkbJxsjSyncList(KcEvaluationsStat kcEvaluationsStat) {
        return baseMapper.getYbtkbJxsjSyncList(kcEvaluationsStat);
    }

    @Override
    public List<KcEvaluationsStat> getXstkbJxsjSyncList(KcEvaluationsStat kcEvaluationsStat) {
        return baseMapper.getXstkbJxsjSyncList(kcEvaluationsStat);
    }

    @Override
    public List<KcEvaluationsStat> getThpjbJxsjSyncList(KcEvaluationsStat kcEvaluationsStat) {
        return baseMapper.getThpjbJxsjSyncList(kcEvaluationsStat);
    }

    @Override
    public void updateHuanhang() {
        baseMapper.updateHuanhang();
    }

    @Override
    public List<KcEvaluationsStat> getLbpjbSyncList() {
        return baseMapper.getLbpjbSyncList();
    }

    @Override
    public List<KcEvaluationsStat> getLbpjbJxsjSyncList(KcEvaluationsStat kcEvaluationsStat) {
        return baseMapper.getLbpjbJxsjSyncList(kcEvaluationsStat);
    }

    @Override
    public List<KcEvaluationsStat> getYbtkbTwoSyncList() {
        return baseMapper.getYbtkbTwoSyncList();
    }

    @Override
    public List<KcEvaluationsStat> getSzkcpjbSyncList() {
        return baseMapper.getSzkcpjbSyncList();
    }

    @Override
    public List<KcEvaluationsStat> getSzkcJxsjSyncList(KcEvaluationsStat kcEvaluationsStat) {
        return baseMapper.getSzkcJxsjSyncList(kcEvaluationsStat);
    }

    @Override
    public List<KcEvaluationsStat> getXbthpjbSyncList(KcEvaluationsStat kcEvaluationsStat) {
        return baseMapper.getXbthpjbSyncList(kcEvaluationsStat);
    }

    @Override
    public List<KcEvaluationsStat> getXbthpjbpcSyncList() {
        return baseMapper.getXbthpjbpcSyncList();
    }
}
