package org.jeecg.modules.kc.kcMessagelistcopy.service.impl;

import org.jeecg.modules.kc.kcMessagelistcopy.entity.KcMessagelistcopy;
import org.jeecg.modules.kc.kcMessagelistcopy.mapper.KcMessagelistcopyMapper;
import org.jeecg.modules.kc.kcMessagelistcopy.service.IKcMessagelistcopyService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 订阅信息表
 * @Author: jeecg-boot
 * @Date:   2023-04-25
 * @Version: V1.0
 */
@Service
public class KcMessagelistcopyServiceImpl extends ServiceImpl<KcMessagelistcopyMapper, KcMessagelistcopy> implements IKcMessagelistcopyService {
    @Override
    public int insertTx(String skrq, String txrq) {
        int rowNum = 0;
        rowNum += insertStudentClass(skrq);
        rowNum += insertTeacherClass(skrq);
        rowNum += insertStudentNextDayClass(skrq,txrq);
        rowNum += insertTeacherNextDayClass(skrq,txrq);
        return rowNum;
    }

    @Override
    public int insertStudentClass(String skrq) {
        return baseMapper.insertStudentClass(skrq);
    }

    @Override
    public int insertTeacherClass(String skrq) {
        return baseMapper.insertTeacherClass(skrq);
    }

    @Override
    public int insertStudentNextDayClass(String skrq, String txrq) {
        return baseMapper.insertStudentNextDayClass(skrq,txrq);
    }

    @Override
    public int insertTeacherNextDayClass(String skrq, String txrq) {
        return baseMapper.insertTeacherNextDayClass(skrq,txrq);
    }
}
