package org.jeecg.modules.kc.kcTingkeBmd.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 听课白名单教师信息
 * @Author: jeecg-boot
 * @Date:   2024-03-07
 * @Version: V1.0
 */
@ApiModel(value="kc_tingke_bmd对象", description="听课白名单教师信息")
@Data
@TableName("kc_tingke_bmd")
public class KcTingkeBmd implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**sysOrgCode*/
    @ApiModelProperty(value = "sysOrgCode")
    private java.lang.String sysOrgCode;
	/**教工号*/
	@Excel(name = "教工号", width = 15)
    @ApiModelProperty(value = "教工号")
    private java.lang.String jgh;
	/**教师姓名*/
	@Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private java.lang.String jsxm;
	/**所属学院*/
	@Excel(name = "所属学院", width = 15)
    @ApiModelProperty(value = "所属学院")
    private java.lang.String ssxy;
	/**学年学期*/
	@Excel(name = "学年学期", width = 15)
    @ApiModelProperty(value = "学年学期")
    private java.lang.String xnxq;

    /**kssj*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "kssj")
    private  Date kssj;
    /**jssj*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "jssj")
    private  Date jssj;
}
