package org.jeecg.modules.kc.kcTingkeBmd.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 分配的课程
 * @Author: jeecg-boot
 * @Date:   2024-03-07
 * @Version: V1.0
 */
@ApiModel(value="kc_tingke_bmd_kcxx对象", description="分配的课程")
@Data
@TableName("kc_tingke_bmd_kcxx")
public class KcTingkeBmdKcxx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**sysOrgCode*/
    @ApiModelProperty(value = "sysOrgCode")
    private java.lang.String sysOrgCode;
	/**白名单id*/
    @ApiModelProperty(value = "白名单id")
    private java.lang.String bmdId;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**授课教师*/
	@Excel(name = "授课教师", width = 15)
    @ApiModelProperty(value = "授课教师")
    private java.lang.String skjs;
	/**授课地点*/
	@Excel(name = "授课地点", width = 15)
    @ApiModelProperty(value = "授课地点")
    private java.lang.String skdd;
	/**节次*/
	@Excel(name = "节次", width = 15)
    @ApiModelProperty(value = "节次")
    private java.lang.String hh;
	/**授课日期*/
	@Excel(name = "授课日期", width = 15)
    @ApiModelProperty(value = "授课日期")
    private java.lang.String skrq;
	/**学年学期*/
	@Excel(name = "学年学期", width = 15)
    @ApiModelProperty(value = "学年学期")
    private java.lang.String xnxq;
	/**教工号*/
	@Excel(name = "教工号", width = 15)
    @ApiModelProperty(value = "教工号")
    private java.lang.String jgh;
    /**开课单位*/
    @Excel(name = "开课单位", width = 15)
    @ApiModelProperty(value = "开课单位")
    private java.lang.String kkdw;
}
