package org.jeecg.modules.kc.kcTingkeBmd.service;

import org.jeecg.modules.kc.kcTingkeBmd.entity.KcTingkeBmdKcxx;
import org.jeecg.modules.kc.kcTingkeBmd.entity.KcTingkeBmd;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 听课白名单教师信息
 * @Author: jeecg-boot
 * @Date:   2024-03-07
 * @Version: V1.0
 */
public interface IKcTingkeBmdService extends IService<KcTingkeBmd> {

	/**
	 * 添加一对多
	 *
	 * @param kcTingkeBmd
	 * @param kcTingkeBmdKcxxList
	 */
	public void saveMain(KcTingkeBmd kcTingkeBmd,List<KcTingkeBmdKcxx> kcTingkeBmdKcxxList) ;
	
	/**
	 * 修改一对多
	 *
   * @param kcTingkeBmd
   * @param kcTingkeBmdKcxxList
	 */
	public void updateMain(KcTingkeBmd kcTingkeBmd,List<KcTingkeBmdKcxx> kcTingkeBmdKcxxList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);
	
}
