package org.jeecg.modules.kc.kcXsktjxmydcp.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 学生课堂教学满意度测评
 * @Author: jeecg-boot
 * @Date:   2024-05-08
 * @Version: V1.0
 */
@Data
@TableName("kc_xsktjxmydcp")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_xsktjxmydcp对象", description="学生课堂教学满意度测评")
public class KcXsktjxmydcp implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**开课通知单号*/
	@Excel(name = "开课通知单号", width = 15)
    @ApiModelProperty(value = "开课通知单号")
    private java.lang.String kktzdh;
	/**课程编号*/
	@Excel(name = "课程编号", width = 15)
    @ApiModelProperty(value = "课程编号")
    private java.lang.String kcbh;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**教工号*/
	@Excel(name = "教工号", width = 15)
    @ApiModelProperty(value = "教工号")
    private java.lang.String jgh;
	/**授课教师*/
	@Excel(name = "授课教师", width = 15)
    @ApiModelProperty(value = "授课教师")
    private java.lang.String skjs;
	/**开课单位*/
	@Excel(name = "开课单位", width = 15)
    @ApiModelProperty(value = "开课单位")
    private java.lang.String kkdw;
	/**实验学时*/
	@Excel(name = "实验学时", width = 15)
    @ApiModelProperty(value = "实验学时")
    private java.lang.String sxxs;
	/**实践学时*/
	@Excel(name = "实践学时", width = 15)
    @ApiModelProperty(value = "实践学时")
    private java.lang.String sjxs;
	/**讲座学时*/
	@Excel(name = "讲座学时", width = 15)
    @ApiModelProperty(value = "讲座学时")
    private java.lang.String jzxs;
	/**讲课学时*/
	@Excel(name = "讲课学时", width = 15)
    @ApiModelProperty(value = "讲课学时")
    private java.lang.String jkxs;
	/**学生人数*/
	@Excel(name = "学生人数", width = 15)
    @ApiModelProperty(value = "学生人数")
    private java.lang.String xsrs;
	/**样本总数*/
	@Excel(name = "样本总数", width = 15)
    @ApiModelProperty(value = "样本总数")
    private java.lang.String ybzs;
	/**参评率（%）*/
	@Excel(name = "参评率（%）", width = 15)
    @ApiModelProperty(value = "参评率（%）")
    private java.lang.String cpl;
	/**有效数*/
	@Excel(name = "有效数", width = 15)
    @ApiModelProperty(value = "有效数")
    private java.lang.String yxs;
	/**综合评价*/
	@Excel(name = "综合评价", width = 15)
    @ApiModelProperty(value = "综合评价")
    private java.lang.String zhpj;
	/**重视学生的成长引领，关心学生的学习需求，乐于与学生交流。*/
	@Excel(name = "重视学生的成长引领，关心学生的学习需求，乐于与学生交流。", width = 15)
    @ApiModelProperty(value = "重视学生的成长引领，关心学生的学习需求，乐于与学生交流。")
    private java.lang.String col1;
	/**上课准备充分。课堂教学秩序良好。作业布置合理，反馈及时。*/
	@Excel(name = "上课准备充分。课堂教学秩序良好。作业布置合理，反馈及时。", width = 15)
    @ApiModelProperty(value = "上课准备充分。课堂教学秩序良好。作业布置合理，反馈及时。")
    private java.lang.String col2;
	/**教学目标明确，重点突出，逻辑性强*/
	@Excel(name = "教学目标明确，重点突出，逻辑性强", width = 15)
    @ApiModelProperty(value = "教学目标明确，重点突出，逻辑性强")
    private java.lang.String col3;
	/**教学内容清晰易懂，体现适当的深度、广度和前沿性。*/
	@Excel(name = "教学内容清晰易懂，体现适当的深度、广度和前沿性。", width = 15)
    @ApiModelProperty(value = "教学内容清晰易懂，体现适当的深度、广度和前沿性。")
    private java.lang.String col4;
	/**教学方法合理。教学媒体得当，课程资源丰富。*/
	@Excel(name = "教学方法合理。教学媒体得当，课程资源丰富。", width = 15)
    @ApiModelProperty(value = "教学方法合理。教学媒体得当，课程资源丰富。")
    private java.lang.String col5;
	/**教师知识渊博，教学水平高，教学特色鲜明，教学有吸引力。*/
	@Excel(name = "教师知识渊博，教学水平高，教学特色鲜明，教学有吸引力。", width = 15)
    @ApiModelProperty(value = "教师知识渊博，教学水平高，教学特色鲜明，教学有吸引力。")
    private java.lang.String col6;
	/**教学语言规范、准确，情绪饱满，热忱投入，为人师表*/
	@Excel(name = "教学语言规范、准确，情绪饱满，热忱投入，为人师表", width = 15)
    @ApiModelProperty(value = "教学语言规范、准确，情绪饱满，热忱投入，为人师表")
    private java.lang.String col7;
	/**教学中启发学生思考，引导自主学习，激发学习动力，鼓励创新探索。*/
	@Excel(name = "教学中启发学生思考，引导自主学习，激发学习动力，鼓励创新探索。", width = 15)
    @ApiModelProperty(value = "教学中启发学生思考，引导自主学习，激发学习动力，鼓励创新探索。")
    private java.lang.String col8;
	/**掌握了所学课程的基础知识和基本理论，能用所学知识解决实际问题。*/
	@Excel(name = "掌握了所学课程的基础知识和基本理论，能用所学知识解决实际问题。", width = 15)
    @ApiModelProperty(value = "掌握了所学课程的基础知识和基本理论，能用所学知识解决实际问题。")
    private java.lang.String col9;
	/**体会到本门课程学习的乐趣和挑战，理解课程内容的意义与价值。*/
	@Excel(name = "体会到本门课程学习的乐趣和挑战，理解课程内容的意义与价值。", width = 15)
    @ApiModelProperty(value = "体会到本门课程学习的乐趣和挑战，理解课程内容的意义与价值。")
    private java.lang.String col10;
	/**学年学期*/
	@Excel(name = "学年学期", width = 15)
    @ApiModelProperty(value = "学年学期")
    private java.lang.String xnxq;
}
