package org.jeecg.modules.kc.kcYuyue.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: kc_yuyue
 * @Author: jeecg-boot
 * @Date:   2023-04-05
 * @Version: V1.0
 */
@Data
@TableName("kc_yuyue")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_yuyue对象", description="kc_yuyue")
public class KcYuyue implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**课堂表id*/
	@Excel(name = "课堂表id", width = 15)
    @ApiModelProperty(value = "课堂表id")
    private java.lang.String ketangbiaoid;
	/**账号*/
	@Excel(name = "账号", width = 15)
    @ApiModelProperty(value = "账号")
    private java.lang.String userid;
	/**用户名*/
	@Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private java.lang.String username;
	/**授课日期*/
	@Excel(name = "授课日期", width = 15)
    @ApiModelProperty(value = "授课日期")
    private java.lang.String skrq;
	/**节次*/
	@Excel(name = "节次", width = 15)
    @ApiModelProperty(value = "节次")
    private java.lang.String hh;
	/**直播平台*/
	@Excel(name = "直播平台", width = 15)
    @ApiModelProperty(value = "直播平台")
    private java.lang.String zbpx;
	/**链接*/
	@Excel(name = "链接", width = 15)
    @ApiModelProperty(value = "链接")
    private java.lang.String link;
	/**是否删除*/
	@Excel(name = "是否删除", width = 15)
    @ApiModelProperty(value = "是否删除")
    private java.lang.Integer isdeleted;

    @ApiModelProperty(value = "创建时间")
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private java.util.Date createTime;


    private java.lang.String kcmc;//课程名称
    private java.lang.String rwbh;//任务编号
    private java.lang.String xqxn;//学期学年
    private java.lang.String skjs;//授课教师


    @TableField(exist = false)
    private Boolean isOrderByNow;

    @TableField(exist = false)
    private String startTime;
    @TableField(exist = false)
    private String endTime;
    @TableField(exist = false)
    private String kkdw;
    @TableField(exist = false)
    private String jieci;
    @TableField(exist = false)
    private String ywmc;
    @TableField(exist = false)
    private String xnxq;
}
