package org.jeecg.modules.kc.ktgl.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.kc.ktgl.entity.KcKetangbiao;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.kc.ktgl.entity.KcKetangbiaoNum;

import java.util.List;
import java.util.Map;

/**
 * @Description: 课堂管理-子表
 * @Author: jeecg-boot
 * @Date:   2023-04-01
 * @Version: V1.0
 */
public interface IKcKetangbiaoService extends IService<KcKetangbiao> {

    IPage<KcKetangbiao> getKclblist(Page<KcKetangbiao> page, KcKetangbiao kcKetangbiao);

    List<Map<String,Object>> selectJrTkCount(String skrq);

    List<Map<String, Object>> getIndexYkktstj(KcKetangbiao kcKetangbiao);

    IPage<KcKetangbiao> getStudentKclblist(Page<KcKetangbiao> page, KcKetangbiao kcKetangbiao);

    List<KcKetangbiao> selectSyncList(KcKetangbiao kcKetangbiao);

    /**
     * 像历史表插入数据
     * @param kcKetangbiaohis
     */
    void saveHis(KcKetangbiao kcKetangbiaohis);

    IPage<Map<String, Object>> getIndexYkktstjYkkttkktList(Page<Map<String, Object>> page,KcKetangbiao kcKetangbiao);

    IPage<Map<String, Object>> getIndexYkktstjYkkttkrcList(Page<Map<String, Object>> page,KcKetangbiao kcKetangbiao);

    IPage<Map<String, Object>> selectJrTkJrtkktsList(Page<Map<String, Object>> page,String skrq);

    IPage<Map<String, Object>> selectJrTkJrtktkrcList(Page<Map<String, Object>> page,String skrq);

    List<Map<String, Object>> getTeacherjjsk(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacherzzsk(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacherdskc(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacheryskc(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacherjlrkcb(Map<String, String> queryMap);

    List<KcKetangbiao> getKtbjList(KcKetangbiao kcKetangbiao);

    IPage<KcKetangbiao> fundAllPjjgList(Page<KcKetangbiao> page, QueryWrapper<KcKetangbiao> queryWrapper);

    KcKetangbiao getScoreById(KcKetangbiao kcKetangbiao);

    IPage<KcKetangbiao> indexYkktzsPage(Page<KcKetangbiao> page, QueryWrapper<KcKetangbiao> qw3);

    IPage<KcKetangbiao> getKtsbMorelist(Page<KcKetangbiao> page, QueryWrapper<KcKetangbiao> queryWrapper);

    void updateJsbh();

    void updateSkxs(KcKetangbiao kcKetangbiaoup);

    IPage<Map<String, Object>> getKtcountList(Page<Map<String, Object>> page, KcKetangbiao kcKetangbiao);

    List<KcKetangbiaoNum> getKtcountExportList(KcKetangbiaoNum object);

    IPage<Map<String, Object>> getKccountList(Page<Map<String, Object>> page, KcKetangbiao kcKetangbiao);

    List<KcKetangbiaoNum> getKccountExportList(KcKetangbiaoNum object);

    void updateKechengbiaoid(String skrq);

}
