package org.jeecg.modules.kc.ktgl.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.kc.ktgl.entity.KcKechengbiao;
import org.jeecg.modules.kc.ktgl.entity.KcKetangbiao;
import org.jeecg.modules.kc.ktgl.mapper.KcKechengbiaoMapper;
import org.jeecg.modules.kc.ktgl.service.IKcKechengbiaoService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.Collections;
import java.util.List;

/**
 * @Description: 课程管理-主表
 * @Author: jeecg-boot
 * @Date:   2023-04-01
 * @Version: V1.0
 */
@Service
public class KcKechengbiaoServiceImpl extends ServiceImpl<KcKechengbiaoMapper, KcKechengbiao> implements IKcKechengbiaoService {

    @Override
    public int syncKechengbiao(KcKechengbiao kcKechengbiao) {
        return baseMapper.syncKechengbiao(kcKechengbiao);
    }

    @Override
    public List<KcKechengbiao> selectSyncList(KcKechengbiao kcKechengbiao) {
        return baseMapper.selectSyncList(kcKechengbiao);
    }

    @Override
    public void saveHis(KcKechengbiao kcKechengbiaohis) {
        baseMapper.saveHis(kcKechengbiaohis);
    }

    @Override
    public List<KcKechengbiao> getSzkcList() {
        return baseMapper.getSzkcList();
    }

    @Override
    public IPage<KcKechengbiao> listGroupBy(Page<KcKechengbiao> page, QueryWrapper<KcKechengbiao> queryWrapper) {
        return baseMapper.listGroupBy(page,queryWrapper);
    }

    @Override
    public List<KcKechengbiao> getKechengbiaoList(KcKechengbiao kcKechengbiao) {
        return baseMapper.getKechengbiaoList(kcKechengbiao);
    }

    @Override
    public void saveOne(KcKechengbiao kcKechengbiaoPar) {
        baseMapper.saveOne(kcKechengbiaoPar);
    }

    @Override
    public void removeCfsj(KcKechengbiao kcKechengbiao) {
        baseMapper.removeCfsj(kcKechengbiao);
    }

    @Override
    public void updateKechengExculde(KcKechengbiao ktbExculde) {
        baseMapper.updateKechengExculde(ktbExculde);    }

    @Override
    public void updateAllFlag(KcKechengbiao kcKechengbiao) {
        baseMapper.updateAllFlag(kcKechengbiao);
    }

    @Override
    public void updateYxByXxhbkckb(KcKechengbiao kcbAll) {
        baseMapper.updateYxByXxhbkckb(kcbAll);
    }

    @Override
    public IPage<KcKechengbiao> getKechengbiaolist(Page<KcKechengbiao> page, QueryWrapper<KcKechengbiao> queryWrapper) {
        return baseMapper.getKechengbiaolist(page,queryWrapper);
    }

    @Override
    public IPage<KcKechengbiao> getStudentKclist(Page<KcKechengbiao> page, QueryWrapper<KcKechengbiao> queryWrapper) {
        return baseMapper.getStudentKclist(page,queryWrapper);
    }

    @Override
    public KcKechengbiao getKcbhByRwbh(KcKechengbiao kcKechengbiao){
        return baseMapper.getKcbhByRwbh(kcKechengbiao);
    }

    @Override
    public List getStudentRiliKclist(KcKetangbiao kcKetangbiao) {
        return baseMapper.getStudentRiliKclist(kcKetangbiao);
    }

    @Override
    public void updateSzkc() {
        baseMapper.updateSzkc();
    }

    @Override
    public IPage<KcKechengbiao> getZjlist(Page<KcKechengbiao> page, QueryWrapper<KcKechengbiao> queryWrapper) {
        return baseMapper.getZjlist(page,queryWrapper);
    }

}
