package org.jeecg.modules.kc.pjxxJszbpjf.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: pjxx_jszbpjf
 * @Author: jeecg-boot
 * @Date:   2025-01-13
 * @Version: V1.0
 */
@Data
@TableName("pjxx_jszbpjf")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="pjxx_jszbpjf对象", description="pjxx_jszbpjf")
public class PjxxJszbpjf implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**教师编号*/
	@Excel(name = "教师编号", width = 15)
    @ApiModelProperty(value = "教师编号")
    private java.lang.String jsbh;
	/**教师姓名*/
	@Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private java.lang.String jsxm;
	/**教师职称*/
	@Excel(name = "教师职称", width = 15)
    @ApiModelProperty(value = "教师职称")
    private java.lang.String jszc;
	/**教师院系*/
	@Excel(name = "教师院系", width = 15)
    @ApiModelProperty(value = "教师院系")
    private java.lang.String jsyx;
	/**开课院系*/
	@Excel(name = "开课院系", width = 15)
    @ApiModelProperty(value = "开课院系")
    private java.lang.String kkyx;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**开课编号*/
	@Excel(name = "开课编号", width = 15)
    @ApiModelProperty(value = "开课编号")
    private java.lang.String kkbh;
	/**参评率*/
	@Excel(name = "参评率", width = 15)
    @ApiModelProperty(value = "参评率")
    private java.lang.String cpl;
	/**平均分汇总*/
	@Excel(name = "平均分汇总", width = 15)
    @ApiModelProperty(value = "平均分汇总")
    private java.lang.String pjfhz;
	/**重视学生的成长引领，关心学生的学习需求，乐于与学生交流*/
	@Excel(name = "重视学生的成长引领，关心学生的学习需求，乐于与学生交流", width = 15)
    @ApiModelProperty(value = "重视学生的成长引领，关心学生的学习需求，乐于与学生交流")
    private java.lang.String col1;
	/**上课准备充分，课堂教学秩序良好。作业布置合理，反馈及时*/
	@Excel(name = "上课准备充分，课堂教学秩序良好。作业布置合理，反馈及时", width = 15)
    @ApiModelProperty(value = "上课准备充分，课堂教学秩序良好。作业布置合理，反馈及时")
    private java.lang.String col2;
	/**教学目标明确，重点突出，逻辑性强*/
	@Excel(name = "教学目标明确，重点突出，逻辑性强", width = 15)
    @ApiModelProperty(value = "教学目标明确，重点突出，逻辑性强")
    private java.lang.String col3;
	/**教学内容清晰易懂，体现适当的深度、广度和前沿性*/
	@Excel(name = "教学内容清晰易懂，体现适当的深度、广度和前沿性", width = 15)
    @ApiModelProperty(value = "教学内容清晰易懂，体现适当的深度、广度和前沿性")
    private java.lang.String col4;
	/**教学方法合理，教学媒体得当，课程资源丰富*/
	@Excel(name = "教学方法合理，教学媒体得当，课程资源丰富", width = 15)
    @ApiModelProperty(value = "教学方法合理，教学媒体得当，课程资源丰富")
    private java.lang.String col5;
	/**教师知识渊博，教学水平高，教学特色鲜明，教学有吸引力*/
	@Excel(name = "教师知识渊博，教学水平高，教学特色鲜明，教学有吸引力", width = 15)
    @ApiModelProperty(value = "教师知识渊博，教学水平高，教学特色鲜明，教学有吸引力")
    private java.lang.String col6;
	/**教学语言规范、准确，情绪饱满，热忱投入，为人师表*/
	@Excel(name = "教学语言规范、准确，情绪饱满，热忱投入，为人师表", width = 15)
    @ApiModelProperty(value = "教学语言规范、准确，情绪饱满，热忱投入，为人师表")
    private java.lang.String col7;
	/**教学中启发学生思考，引导自主学习，激发学习动力，鼓励创新探索*/
	@Excel(name = "教学中启发学生思考，引导自主学习，激发学习动力，鼓励创新探索", width = 15)
    @ApiModelProperty(value = "教学中启发学生思考，引导自主学习，激发学习动力，鼓励创新探索")
    private java.lang.String col8;
	/**掌握了所学课程的基础知识和基本理论，能用所学知识解决实际问题*/
	@Excel(name = "掌握了所学课程的基础知识和基本理论，能用所学知识解决实际问题", width = 15)
    @ApiModelProperty(value = "掌握了所学课程的基础知识和基本理论，能用所学知识解决实际问题")
    private java.lang.String col9;
	/**体会到本门课程学习的乐趣和挑战，理解课程内容的意义与价值*/
	@Excel(name = "体会到本门课程学习的乐趣和挑战，理解课程内容的意义与价值", width = 15)
    @ApiModelProperty(value = "体会到本门课程学习的乐趣和挑战，理解课程内容的意义与价值")
    private java.lang.String col10;
	/**优点或建议*/
	@Excel(name = "优点或建议", width = 15)
    @ApiModelProperty(value = "优点或建议")
    private java.lang.String col11;
	/**学期学年*/
	@Excel(name = "学期学年", width = 15)
    @ApiModelProperty(value = "学期学年")
    private java.lang.String xqxn;
}
