package org.jeecg.modules.kc.qa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 调查问卷-回答主表
 * @Author: jeecg-boot
 * @Date:   2023-04-09
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class KcEvaluationPkmx implements Serializable {
    private static final long serialVersionUID = 1L;


    @Excel(name = "职工号", width = 15)
    private String userid;
    @Excel(name = "姓名", width = 15)
    private String username;
    @Excel(name = "所在单位", width = 15)
    private String college;
    @Excel(name = "听课身份", width = 15)
    private String tksf;
    @Excel(name = "开课单位", width = 15)
    private String kkdw;
    @Excel(name = "课程名称", width = 15)
    private String kcmc;
    @Excel(name = "课程性质", width = 15)
    private String kcxz;

    @Excel(name = "任课教师", width = 15)
    private String skjs;
    @Excel(name = "周次", width = 15)
    private String zc;
    @Excel(name = "节次", width = 15)
    private String jc;
    @Excel(name = "评课日期", width = 15)
    private String upDate;
    @Excel(name = "评课时间", width = 15)
    private String upTime;
//    @Excel(name = "评课标准", width = 15)
    private String bz;


    private String szdw;
    private String startTime;
    private String endTime;

    private String evaluationver;

    /**数据来源（0：门户添加，1：老系统，2：政务大厅，3后台导入）*/
    private java.lang.Integer source;

    @Excel(name = "评价来源", width = 15)
    private String sourceName;

    @Excel(name = "听课评价结果（5分制）", width = 15)
    @TableField(exist = false)
    private String tkpjjg;

    @Excel(name = "评价量表类型", width = 15)
    @TableField(exist = false)
    private String pjlblx;


    private String szkc;
    private String xnxq;

}
