package org.jeecg.modules.kc.qa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: kc_evaluationstudent
 * @Author: jeecg-boot
 * @Date:   2023-04-19
 * @Version: V1.0
 */
@Data
@TableName("kc_evaluationstudent")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_evaluationstudent对象", description="kc_evaluationstudent")
public class KcEvaluationstudent implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**课堂表id*/
	@Excel(name = "课堂表id", width = 15)
    @ApiModelProperty(value = "课堂表id")
    private java.lang.String ketangbiaoid;
	/**学生学号*/
	@Excel(name = "学生学号", width = 15)
    @ApiModelProperty(value = "学生学号")
    private java.lang.String sid;
	/**学生姓名*/
	@Excel(name = "学生姓名", width = 15)
    @ApiModelProperty(value = "学生姓名")
    private java.lang.String sname;
	/**提交时间*/
	@Excel(name = "提交时间", width = 15)
    @ApiModelProperty(value = "提交时间")
    private java.lang.String uptime;
	/**提交文本内容*/
	@Excel(name = "提交文本内容", width = 15)
    @ApiModelProperty(value = "提交文本内容")
    private java.lang.String textdeail;
	/**是否匿名 0 是 1否*/
	@Excel(name = "是否匿名 0 是 1否", width = 15)
    @ApiModelProperty(value = "是否匿名 0 是 1否")
    private java.lang.String sfnm;
	/**星级*/
	@Excel(name = "星级", width = 15)
    @ApiModelProperty(value = "星级")
    private java.lang.Integer stars;

    //课程名称
    @TableField(exist = false)
    private String kcmc;
}
