package org.jeecg.modules.kc.qa.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.KcBdgxbcopy.entity.KcBdgxbcopy;
import org.jeecg.modules.kc.qa.entity.KcEvaluation;
import org.jeecg.modules.kc.qa.entity.KcEvaluationPkmx;
import org.jeecg.modules.kc.statistics.KcEvaluationVo;
import org.jeecg.modules.kc.statistics.KcEvaluationVo2;

import java.util.List;

/**
 * @Description: 调查问卷-回答主表
 * @Author: jeecg-boot
 * @Date:   2023-04-09
 * @Version: V1.0
 */
public interface KcEvaluationMapper extends BaseMapper<KcEvaluation> {

    IPage<KcEvaluation> getPktjbList(Page<KcEvaluation> page, KcEvaluation kcEvaluation);

    IPage<KcEvaluation> getPkmxbList(Page<KcEvaluation> page, KcEvaluation kcEvaluation);

    List<KcEvaluation> getPkztjTjt(KcEvaluation kcEvaluation);

    List<KcEvaluation> getPkfglTjt(KcEvaluation kcEvaluation);

    List<KcEvaluation> selectKkdwExportList(KcEvaluation kcEvaluation);

    List<KcEvaluationPkmx> selectPkmxExportList(KcEvaluationPkmx kcEvaluationPkmx);
    List<KcEvaluation> keTangList(Page<KcEvaluation> page,  @Param(Constants.WRAPPER) QueryWrapper<KcEvaluation> queryWrapper);

    List<KcEvaluationVo> selectPageAndKcmc(Page<KcEvaluationVo> page, @Param(Constants.WRAPPER) QueryWrapper<KcEvaluationVo> queryWrapper);

    List<KcEvaluationVo2> selectPageAndKcmc2(Page<KcEvaluationVo2> page, @Param(Constants.WRAPPER) QueryWrapper<KcEvaluationVo2> queryWrapper);

    List<KcEvaluation> queryPkZuJiPage(Page<KcEvaluation> page, @Param(Constants.WRAPPER) QueryWrapper<KcEvaluation> queryWrapper);

    List<KcEvaluation> findTj(@Param(Constants.WRAPPER) QueryWrapper<KcEvaluation> queryWrapper);

    KcBdgxbcopy getOpenId(String skjs);

    List<KcEvaluation> getCountlist(KcEvaluation kcEvaluation);

    List<KcEvaluation> findTkcsTj(@Param(Constants.WRAPPER) QueryWrapper<KcEvaluation> kcEvaluationQueryWrapper);
}
