package org.jeecg.modules.kc.tksf.kctksfrzb.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 听课身份主表
 * @Author: jeecg-boot
 * @Date:   2023-05-27
 * @Version: V1.0
 */
@Data
@TableName("kc_tksfrzb")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_tksfrzb对象", description="听课身份主表")
public class KcTksfrzb implements Serializable {
    private static final long serialVersionUID = 1L;

	/**工号*/
	@Excel(name = "工号", width = 15)
    @ApiModelProperty(value = "工号")
	@TableId
    private java.lang.String gh;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String xm;
	/**职务名称*/
	@Excel(name = "职务名称", width = 15)
    @ApiModelProperty(value = "职务名称")
    private java.lang.String zwmc;
	/**标志位 1：学校教务委员会+学校督学（曹老师excel提供）2：信息办数据同步，每天更新（先删除后插入）*/
	@Excel(name = "标志位 1：学校教务委员会+学校督学（曹老师excel提供）2：信息办数据同步，每天更新（先删除后插入）", width = 15)
    @ApiModelProperty(value = "标志位 1：学校教务委员会+学校督学（曹老师excel提供）2：信息办数据同步，每天更新（先删除后插入）")
    private java.lang.String flag;

    /**
     * 听课要求（次数）
     */
    @TableField(exist = false)
    private String tkyq;
}
