package org.jeecg.modules.kc.tksf.kctksfyq.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.apache.commons.lang.StringUtils;
import org.jeecg.modules.kc.tksf.kctksfyq.entity.KcTksfyq;
import org.jeecg.modules.kc.tksf.kctksfyq.mapper.KcTksfyqMapper;
import org.jeecg.modules.kc.tksf.kctksfyq.service.IKcTksfyqService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.lang.reflect.Array;
import java.util.Arrays;
import java.util.List;

/**
 * @Description: 听课身份要求
 * @Author: jeecg-boot
 * @Date:   2023-05-27
 * @Version: V1.0
 */
@Service
public class KcTksfyqServiceImpl extends ServiceImpl<KcTksfyqMapper, KcTksfyq> implements IKcTksfyqService {

    @Override
    public void saveOrEdit(KcTksfyq kcTksfyq) {
        //结构名称
        if(StringUtils.isNotBlank(kcTksfyq.getZwmc())){
            List<String> zwmcs = Arrays.asList(kcTksfyq.getZwmc().split(","));
            QueryWrapper<KcTksfyq> qw = new QueryWrapper<>();
            qw.in("zwmc",zwmcs);
            remove(qw);
            zwmcs.forEach(x -> {
                kcTksfyq.setZwmc(x);
                kcTksfyq.setId(null);
                save(kcTksfyq);
            });

        }


    }
}
