package org.jeecg.modules.kc.tktj.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: kc_tingke
 * @Author: jeecg-boot
 * @Date:   2023-03-29
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class KcKkdw implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;

    @Excel(name = "开课单位", width = 15)
    private String kkdw;

    @Excel(name = "开课课堂数", width = 15)
    private String kkkts;

    @Excel(name = "听课课堂-总数", width = 15)
    private String tkkts;

    @Excel(name = "听课课堂-本单位数", width = 15)
    private String bdwtks;

    @Excel(name = "评课课堂-总数", width = 15)
    private String pkkts;

    @Excel(name = "评课课堂-本单位数", width = 15)
    private String bdwpks;


    @Excel(name = "听课人次-总人次数", width = 15)
    private String tkrcs;

    @Excel(name = "听课人次-本单位人次数", width = 15)
    private String bdwtkrcs;

    @Excel(name = "评课人次数-总人次数", width = 15)
    private String pkrcs;

    @Excel(name = "评课人次数-本单位人次数", width = 15)
    private String bdwpkrcs;


    private String startTime;

    private String endTime;
    private String tksf;
    private String zdw;
    private String kcxz;
    private String szdw;

}

