package org.jeecg.modules.kc.tktj.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.tktj.entity.KcKkdw;
import org.jeecg.modules.kc.tktj.entity.KcTingke;
import org.jeecg.modules.kc.tktj.entity.KcTkmx;

import java.util.List;
import java.util.Map;

/**
 * @Description: kc_tingke
 * @Author: jeecg-boot
 * @Date:   2023-03-29
 * @Version: V1.0
 */
public interface KcTingkeMapper extends BaseMapper<KcTingke> {

    IPage<KcTingke> getTkmxlist(Page<KcTingke> page,@Param(Constants.WRAPPER) QueryWrapper<KcTingke> queryWrapper);

    IPage<KcTingke> getKkdwlist(Page<KcTingke> page, KcTingke kcTingke);

    List<KcTingke> getTkztjList(KcTingke kcTingke);

    List<KcTingke> getTkfglList(KcTingke kcTingke);

    List<Map<String,Object>> findTingKeZuJiBytingketimeAndUserId(KcTingke kcTingke);

    List<KcTingke> getHtindexTkmxlist(KcTingke kcTingke);

    List<KcTingke> selectExportList(KcTingke kcTingke);

    IPage<KcTingke> queryPageList(Page<KcTingke> page, KcTingke kcTingke);

    List<KcKkdw> selectKkdwExportList(KcKkdw kcKkdw);

    List<KcTkmx> selectTkmxExportList(KcTkmx kcTkmx);

    List<KcTingke> getSftk(@Param(Constants.WRAPPER) QueryWrapper<KcTingke> queryWrapper);

    IPage<Map<String,Object>> indexListPage(Page<KcTingke> page, @Param(Constants.WRAPPER) QueryWrapper<KcTingke> queryWrapper);

    IPage<Map<String,Object>> keTangList(Page<KcTingke> page, @Param(Constants.WRAPPER) QueryWrapper<KcTingke> queryWrapper);

    List<KcTingke> getUserTingkeInfo(KcTingke kcTingke);
}
