package org.jeecg.modules.kc.tktj.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.tktj.entity.KcKkdw;
import org.jeecg.modules.kc.tktj.entity.KcTingke;
import org.jeecg.modules.kc.tktj.entity.KcTkmx;
import org.jeecg.modules.kc.tktj.mapper.KcTingkeMapper;
import org.jeecg.modules.kc.tktj.service.IKcTingkeService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: kc_tingke
 * @Author: jeecg-boot
 * @Date:   2023-03-29
 * @Version: V1.0
 */
@Service
public class KcTingkeServiceImpl extends ServiceImpl<KcTingkeMapper, KcTingke> implements IKcTingkeService {

    @Override
    public IPage<KcTingke> getTkmxlist(Page<KcTingke> page, QueryWrapper<KcTingke> queryWrapper) {
        return baseMapper.getTkmxlist(page,queryWrapper);
    }

    @Override
    public IPage<KcTingke> getKkdwlist(Page<KcTingke> page, KcTingke kcTingke) {
        return baseMapper.getKkdwlist(page,kcTingke);
    }

    @Override
    public List<KcTingke> getTkztjList(KcTingke kcTingke) {
        return baseMapper.getTkztjList(kcTingke);
    }

    @Override
    public List<KcTingke> getTkfglList(KcTingke kcTingke) {
        return baseMapper.getTkfglList(kcTingke);
    }

    @Override
    public List<Map<String, Object>> findTingKeZuJiBytingketimeAndUserId(KcTingke kcTingke) {
        return baseMapper.findTingKeZuJiBytingketimeAndUserId(kcTingke);
    }

    @Override
    public List<KcTingke> getHtindexTkmxlist(KcTingke kcTingke) {
        return baseMapper.getHtindexTkmxlist(kcTingke);
    }

    @Override
    public List<KcTingke> selectExportList(KcTingke kcTingke) {
        return baseMapper.selectExportList(kcTingke);
    }

    @Override
    public IPage<KcTingke> queryPageList(Page<KcTingke> page, KcTingke kcTingke) {
        return baseMapper.queryPageList(page,kcTingke);
    }

    @Override
    public List<KcKkdw> selectKkdwExportList(KcKkdw kcKkdw) {
        return baseMapper.selectKkdwExportList(kcKkdw);
    }

    @Override
    public List<KcTkmx> selectTkmxExportList(KcTkmx kcTkmx) {
        return baseMapper.selectTkmxExportList(kcTkmx);
    }

    @Override
    public List<KcTingke> getSftk(QueryWrapper<KcTingke> queryWrapper) {
        return baseMapper.getSftk(queryWrapper);
    }

    @Override
    public IPage<Map<String,Object>> indexListPage(Page<KcTingke> page, QueryWrapper<KcTingke> queryWrapper) {
        return baseMapper.indexListPage(page,queryWrapper);
    }

    @Override
    public IPage<Map<String, Object>> keTangList(Page<KcTingke> page, QueryWrapper<KcTingke> queryWrapper) {
        return baseMapper.keTangList(page,queryWrapper);
    }

    @Override
    public List<KcTingke> getUserTingkeInfo(KcTingke kcTingke) {
        return baseMapper.getUserTingkeInfo(kcTingke);
    }
}
