package org.jeecg.modules.kc.wjxDjxx.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Description: 题目信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
@Data
@ApiModel(value="wjx_wjxx_tmlbPage对象", description="题目信息")
public class WjxDjxxTmlbPage {

	/**id*/
	@ApiModelProperty(value = "vid")
    private String vid;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "打开时间")
	private Date openTime;
	/**题目编号*/
	@Excel(name = "题目编号", width = 15)
	@ApiModelProperty(value = "题目编号")
    private Integer wjIndex;
	/**题目类型*/
	@Excel(name = "题目类型", width = 15)
	@ApiModelProperty(value = "题目类型")
	private java.lang.Integer wjType;
	/**选择项*/
	private String itemSelected;
	/**正确答案*/
	private String wjAnswer;
	/**提交内容*/
	@Excel(name = "提交内容", width = 15)
	@ApiModelProperty(value = "提交内容")
	private Integer submitData;

	private String mainId;

	private String title;
	private String wjTitle;
	private Double wjScore;
	private String sfxysdpy;
	private String picPath;
	private java.lang.Integer wjSubtype;
    private String id;


}
