package org.jeecg.modules.kc.wjxWjxx.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xkcoding.http.HttpUtil;
import org.apache.commons.compress.utils.Lists;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.common.util.DateUtils;
import org.jeecg.common.util.SFTPUtil;
import org.jeecg.common.util.SftpConfig;
import org.jeecg.common.util.text.StringUtils;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbbks;
import org.jeecg.modules.kc.grab.imports.service.IXxhbbksService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.jeecg.modules.kc.kcWechatSendLog.entity.KcWechatSendLog;
import org.jeecg.modules.kc.ktgl.entity.KcKechengbiao;
import org.jeecg.modules.kc.ktgl.service.IKcKechengbiaoService;
import org.jeecg.modules.kc.wjxDjxx.entity.WjxDjxx;
import org.jeecg.modules.kc.wjxDjxx.entity.WjxDjxxTmxx;
import org.jeecg.modules.kc.wjxDjxx.mapper.WjxDjxxMapper;
import org.jeecg.modules.kc.wjxWjxx.entity.KccyglSys;
import org.jeecg.modules.kc.wjxWjxx.entity.WjxWjxx;
import org.jeecg.modules.kc.wjxWjxx.mapper.WjxWjxxMapper;
import org.jeecg.modules.kc.wjxWjxx.service.IWjxWjxxService;
import org.jeecg.modules.kc.wjxWjxx.utils.WjxConfig;
import org.jeecg.modules.kc.wjxWjxx.utils.WjxUtil;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmlb;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import org.jeecg.modules.kc.wjxWjxxTmlb.mapper.WjxWjxxTmlbMapper;
import org.jeecg.modules.kc.wjxWjxxTmlb.mapper.WjxWjxxTmxxMapper;
import org.jeecg.modules.kc.zyDbtx.entity.ZyDbtx;
import org.jeecg.modules.kc.zyDbtx.service.IZyDbtxService;
import org.jeecg.modules.kc.zyInfoScjl.entity.ZyInfoScjl;
import org.jeecg.modules.kc.zyInfoScjl.service.IZyInfoScjlService;
import org.jeecg.modules.tools.dbsdkfzpt.RestTemplateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.*;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.*;

/**
 * @Description: 问卷信息
 * @Author: jeecg-boot
 * @Date: 2024-04-26
 * @Version: V1.0
 */
@Service
public class WjxWjxxServiceImpl extends ServiceImpl<WjxWjxxMapper, WjxWjxx> implements IWjxWjxxService {

    @Autowired
    private WjxWjxxTmlbMapper wjxWjxxTmlbMapper;
    @Autowired
    private WjxWjxxTmxxMapper wjxWjxxTmxxMapper;
    @Autowired
    private WjxUtil wjxUtil;

    @Autowired
    private WjxConfig wjxConfig;

    @Autowired
    private WjxDjxxMapper wjxDjxxMapper;

    @Autowired
    private IXxhbbksService xxhbbksService;

    @Autowired
    private IZyDbtxService zyDbtxService;

    @Autowired
    private IKcKechengbiaoService kcKechengbiaoService;
    @Autowired
    private IZyInfoScjlService zyInfoScjlService;
    @Autowired
    private IKcSysConfigService kcSysConfigService;


    @Autowired
    SftpConfig sftpConfig;

    private static String uploadpath;

    @Value("${jeecg.path.upload}")
    public void setUploadPath(String uploadPath) {
        this.uploadpath = uploadPath;
    }

    @Value(value = "${jeecg.uploadType}")
    private String uploadType;
    @Value(value = "${jeecg.path.webapp}")
    private String downloadpath;


    @Value("${jeecg.path.upload}")
    private String upLoadPath;

    @Override
    public Page<WjxWjxx> findPage(WjxWjxx wjxWjxx, Page<WjxWjxx> page) {
        List<WjxWjxx> list = baseMapper.findPage(page, wjxWjxx);
        page.setRecords(list);
        return page;
    }

    @Override
    public Page<WjxWjxx> findStuPage(WjxWjxx wjxWjxx, Page<WjxWjxx> page) {
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        wjxWjxx.setUserId(user.getUsername());
        List<WjxWjxx> list = baseMapper.findStuPage(page, wjxWjxx);
        page.setRecords(list);
        return page;
    }

//    @Override
//    public WjxWjxx fbwj(String id) {
//
//        WjxWjxx wjxWjxx = baseMapper.selectById(id);
//
//        QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<>();
//        wjxWjxxTmlbQueryWrapper.eq("main_id", id);
//        List<WjxWjxxTmlb> wjxWjxxTmlbList =wjxWjxxTmlbMapper.selectList(wjxWjxxTmlbQueryWrapper);
//
////        Map<String,Object> questionsMap = new HashMap<>();
////        questionsMap.put("q_index","1");
////        questionsMap.put("q_type","3");
////        questionsMap.put("q_title",wjxWjxx.getTitle());
////        questionsMap.put("q_score","0");
////        questionsMap.put("is_requir","true");
////        questionsMap.put("q_subtype","3");
////        questionsMap.put("q_ceshi","false");
////        questionsMap.put("is_zhenbie","false");
////        questionsMap.put("min_time","0");
////        questionsMap.put("max_time","0");
//        List<Map<String,Object>> questionsList = new ArrayList<>();
//        for(WjxWjxxTmlb wWjxWjxxTmlb:wjxWjxxTmlbList){
//            Map<String,Object> map = new HashMap<>();
//            map.put("q_index",wWjxWjxxTmlb.getWjIndex());
//            map.put("q_type",wWjxWjxxTmlb.getWjType());
//            map.put("q_title",wWjxWjxxTmlb.getWjTitle());
//            map.put("is_requir",true);
////            map.put("q_score",0);
//
//            //---------------没用的参数------------------
////            map.put("q_subtype",3);
////            map.put("q_ceshi","false");
////            map.put("q_parsing","解析测试");
////            map.put("prompt","提示测试");
//
////            map.put("is_zhenbie","false");
////            map.put("min_time","0");
////            map.put("max_time","0");
//            //---------------没用的参数------------------
//
//
//            List<Map<String,Object>> itemsList = new ArrayList<>();
//            List<WjxWjxxTmxx> tmxxList = wjxWjxxTmxxMapper.selectByMainId(wWjxWjxxTmlb.getId());
//            for(WjxWjxxTmxx wjxWjxxTmxx:tmxxList){
//                Map<String,Object> tmxxMap = new HashMap<>();
//                tmxxMap.put("q_index",wjxWjxxTmxx.getWjIndex());
//                tmxxMap.put("item_index",wjxWjxxTmxx.getItemIndex());
//                tmxxMap.put("item_title",wjxWjxxTmxx.getItemTitle());
//                tmxxMap.put("item_selected",Boolean.parseBoolean(wjxWjxxTmxx.getItemSelected()));
//                tmxxMap.put("item_score",0);
//                JSONObject json = new JSONObject(tmxxMap);
//                itemsList.add(json);
//            }
//            map.put("items",itemsList);
//            JSONObject json = new JSONObject(map);
//            questionsList.add(json);
//        }
//
//
//
//        Map<String,Object> map = new HashMap<>();
//        //-----------题目必穿参数-------------
//        map.put("atype",1);
//        map.put("title",wjxWjxx.getTitle());
//        map.put("desc",wjxWjxx.getContent());
//        map.put("publish",true);
//        map.put("questions",questionsList.toString());
//        //-----------题目必穿参数-------------
//        //-----------题目没用参数-------------
////        map.put("creater","jwctest");
////        map.put("compress_img","false");
//        //-----------题目没用参数-------------
//
//
//        //----------固定传参---------------
//        map.put("appid","1321039");
//        map.put("ts",ts);
//        map.put("action","1000101");
//        //----------固定传参---------------
//        //---------------没用的参数------------------
////        map.put("encode","SHA1");
////        map.put("nocache","0");
//        //---------------没用的参数------------------
//
//
//        System.out.println("---->"+map);
//
//        String appkey = "55328ebd11964fc8b40c10011bcb425d";
////        StringBuilder toSign = new StringBuilder();
////        for (Map.Entry entry:map.entrySet()) {
////            if(StringUtils.isNotBlank(entry.getValue().toString())){
////                toSign.append(entry.getValue().toString());
////            }
////        }
//        String sign = "";
//        try {
//            sign = generateSignature(map, appkey,"SHA1");
//        }catch (Exception e) {
//            e.printStackTrace();
//        }
//        System.out.println("sign: "+sign);
//        map.put("sign",sign);
//        System.out.println("map:"+map.toString());
//        String url = "https://www.wjx.cn/openapi/default.aspx";
//        try {
//            JSONObject json = new JSONObject(map);
//            System.out.println("json:"+json.toString());
//            String result = HttpUtil.post(url, "" , "application/json", json.toString());
//            System.out.println(result);
//        }catch (Exception e) {
//            e.printStackTrace();
//        }
//
//
//        return null;
//    }
//
////    public void cjwj(){
////        String appkey = "":
////        String appid = "":
////        String ts= "":
////        String acction = "":
////        Map<String,String> map = new HashMap<String, String>();
////        map.put("appid",appid);
////        map.put("ts", ts);
////        map.put("action",acction);
////        String sign = generateSignature(map, appkey,"SHA1");
////    }
//
//    public String generateSignature(final Map<String, Object> data, String key, String signType) throws Exception {
//        Set<String> keySet = data.keySet();
//        String[] keyArray = keySet.toArray(new String[keySet.size()]);
//        Arrays.sort(keyArray);
//        StringBuilder sb = new StringBuilder();
//        for (String k : keyArray) {
//            if (data.get(k).toString().length() > 0) // 参数值为空，则不参与签名
//                sb.append(data.get(k).toString());
//        }
//        sb.append(key);
//        if ("SHA1".equals(signType)) {
//            return getSHA1(sb.toString()).toUpperCase();
//        }
//        else {
//            throw new Exception(String.format("Invalid sign_type: %s", signType));
//        }
//    }
//
//    public String getSHA1(String input) {
//        try {
//            MessageDigest sha1 = MessageDigest.getInstance("SHA-1");
//            byte[] bytes = sha1.digest(input.getBytes());
//            StringBuilder sb = new StringBuilder();
//            for (byte b : bytes) {
//                sb.append(String.format("%02x", b));//十六进制
//            }
//            return sb.toString();
//        } catch (NoSuchAlgorithmException e) {
//            throw new RuntimeException(e);
//        }
//    }

    @Override
    public WjxWjxx kcxx(String rwbh, String xqxn) {
        return baseMapper.kcxx(rwbh, xqxn);
    }

    @Override
    public String fbwj(String id, String wjlx) {

        WjxWjxx wjxWjxx = baseMapper.selectById(id);

        QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<>();
        wjxWjxxTmlbQueryWrapper.eq("main_id", id);
        wjxWjxxTmlbQueryWrapper.orderByAsc("wj_index");
        List<WjxWjxxTmlb> wjxWjxxTmlbList = wjxWjxxTmlbMapper.selectList(wjxWjxxTmlbQueryWrapper);

        List<Map<String, Object>> questionsList = new ArrayList<>();
        for (WjxWjxxTmlb wWjxWjxxTmlb : wjxWjxxTmlbList) {
            Map<String, Object> map = new HashMap<>();
            map.put("q_index", wWjxWjxxTmlb.getWjIndex());
            map.put("q_type", wWjxWjxxTmlb.getWjType());
            map.put("q_title", wWjxWjxxTmlb.getWjTitle());
            if (wWjxWjxxTmlb.getWjSubtype() != null) {
                map.put("q_subtype", wWjxWjxxTmlb.getWjSubtype());
            }
            if (wjlx.equals("6")) {
                if (wWjxWjxxTmlb.getWjType() != 8) {
                    if (wWjxWjxxTmlb.getWjScore() != null) {
                        map.put("q_score", wWjxWjxxTmlb.getWjScore());
                    }
                    map.put("is_requir", false);
                    map.put("q_ceshi", true);
                    map.put("is_toupiao", 3);
                } else {
                    map.put("is_requir", false);
                }
            }
            if (wWjxWjxxTmlb.getWjType() == 3 || wWjxWjxxTmlb.getWjType() == 4) {
                //单选和多选
                List<Map<String, Object>> itemsList = new ArrayList<>();
                List<WjxWjxxTmxx> tmxxList = wjxWjxxTmxxMapper.selectByMainId(wWjxWjxxTmlb.getId());
                for (WjxWjxxTmxx wjxWjxxTmxx : tmxxList) {
                    Map<String, Object> tmxxMap = new HashMap<>();
                    tmxxMap.put("q_index", wjxWjxxTmxx.getWjIndex());
                    tmxxMap.put("item_index", wjxWjxxTmxx.getItemIndex());
                    tmxxMap.put("item_title", wjxWjxxTmxx.getItemTitle());
                    tmxxMap.put("item_selected", Boolean.parseBoolean(wjxWjxxTmxx.getItemSelected()));
                    tmxxMap.put("item_score", 0);
                    JSONObject json = new JSONObject(tmxxMap);
                    itemsList.add(json);
                }
                map.put("items", itemsList);
            } else if (wWjxWjxxTmlb.getWjType() == 5) {
                //填空
                if (wWjxWjxxTmlb.getWjAnswer() != null) {
                    map.put("answer", wWjxWjxxTmlb.getWjAnswer());
                } else {
                    map.put("answer", "跳过");
                }
            } else if (wWjxWjxxTmlb.getWjType() == 6) {
                //多项填空,预留，之后有需求再开发
            } else if (wWjxWjxxTmlb.getWjType() == 8) {
                //文件题目
                map.put("q_subtype", 8);
            }else if (wWjxWjxxTmlb.getWjType() == 7){
                //量表题
                List<WjxWjxxTmxx> tmxxList = wjxWjxxTmxxMapper.selectByMainId(wWjxWjxxTmlb.getId());
                map.put("q_index", wWjxWjxxTmlb.getWjIndex());
                map.put("q_type", 7);
                map.put("q_title", wWjxWjxxTmlb.getWjTitle());
                map.put("matrix_mode", 101);
                map.put("style_mode", 0);

                // 行标题
                List<Map<String, Object>> itemrowList = Lists.newArrayList();
                // 列内容
                List<Map<String, Object>> itemList = Lists.newArrayList();
                map.put("item_rows", itemrowList);
                map.put("items", itemList);
                for (int i = 0; i < tmxxList.size(); i++) {
                    WjxWjxxTmxx wjxWjxxTmxx = tmxxList.get(i);
                    if("items".equals(wjxWjxxTmxx.getScaleSign())){
                        Map<String, Object> itemMap = new HashMap<>();
                        itemMap.put("item_score", wjxWjxxTmxx.getScaleItemsItemScore());
                        itemMap.put("item_title", wjxWjxxTmxx.getScaleItemsItemTitle());
                        itemList.add(itemMap);
                    }
                    if("item_rows".equals(wjxWjxxTmxx.getScaleSign())){
                        Map<String, Object> itemrowMap = new HashMap<>();
                        itemrowMap.put("q_index", wjxWjxxTmxx.getScaleItemrowsQIndex());
                        itemrowMap.put("item_index",wjxWjxxTmxx.getScaleItemrowsItemIndex());
                        itemrowMap.put("item_title",wjxWjxxTmxx.getScaleItemrowsItemTitle());
                        itemrowList.add(itemrowMap);
                    }
                }
            }
            JSONObject json = new JSONObject(map);
            questionsList.add(json);
        }

        Map<String, Object> map = new HashMap<>();
        //-----------题目必穿参数-------------
        map.put("creater", "jwctest");
        map.put("atype", wjxWjxx.getAtype());
        map.put("title", wjxWjxx.getTitle());
        if (StringUtils.isNotEmpty(wjxWjxx.getContent())) {
            map.put("desc", wjxWjxx.getContent());
        }
        map.put("publish", true);
        map.put("questions", questionsList.toString());

        String result = wjxUtil.openapi(map, "1000101");
        System.out.println(result);
        if (!result.equals("")) {
            JSONObject jsonResult = JSONObject.parseObject(result);
            if (jsonResult.getBoolean("result")) {
                JSONObject dataJson = jsonResult.getJSONObject("data");
                String vid = dataJson.getString("vid");
                baseMapper.updateVid(id, vid);
            } else {
                return jsonResult.getString("errormsg");
            }
        }
        return "发布成功！";
    }

    @Override
    public JSONObject wjxxTjfx(String id) {

        WjxWjxx wjxWjxx = baseMapper.selectById(id);
        String vid = wjxWjxx.getVid();
        Map<String, Object> map = new HashMap<>();
        map.put("vid", Integer.valueOf(vid));
        //调用接口,提交
        String result = wjxUtil.openapi(map, "1001101");
        JSONObject jsonResult = JSONObject.parseObject(result);
        return jsonResult;
    }

    @Override
    public JSONObject wjxxDownLoad(String id) {
        WjxWjxx wjxWjxx = baseMapper.selectById(id);
        String vid = wjxWjxx.getVid();
        Map<String, Object> map = new HashMap<>();
        map.put("vid", Integer.valueOf(vid));
        map.put("suffix", 0);
        //调用接口,提交
        String result = wjxUtil.openapi(map, "1001004");
        JSONObject jsonResult = JSONObject.parseObject(result);
        System.out.println("1----------->" + jsonResult.toString());
//        if(StringUtils.equals("true",jsonResult.getString("result"))){
//            JSONObject data = jsonResult.getJSONObject("data");
//            String taskid = data.getString("taskid");
//            for(int i=0;i<10;i++){
//                try {
//                    System.out.println("datatime--------->"+ DateUtils.formatDate(new Date(),"yyyy-MM-dd HH:mm:ss"));
//                    Thread.sleep(2000L);
//                }catch (Exception e){
//                    e.printStackTrace();
//                }
//                Map<String,Object> map2 = new HashMap<>();
//                map2.put("vid",Integer.valueOf(vid));
////                map2.put("suffix",2);
//                map2.put("taskid",taskid);
//                String result2 = wjxUtil.openapi(map2,"1001004");
//                System.out.println("result2----------->"+result2);
//                JSONObject jsonResult2 = JSONObject.parseObject(result2);
//                String result3 = jsonResult2.getString("data");
//                System.out.println("result3----------->"+result3);
//                JSONObject jsonResult3 = JSONObject.parseObject(result3);
//                System.out.println("jsonResult3----------->"+jsonResult3);
//                if(StringUtils.isNotEmpty(jsonResult3.getString("download_url"))){
//                    jsonResult = jsonResult2;
//                    break;
//                }
//            }
//
//        }
        return jsonResult;
    }

    @Override
    public IPage<KccyglSys> sysList(Page<KccyglSys> page, QueryWrapper<KccyglSys> queryWrapper, KccyglSys kccyglSys) {
        return baseMapper.sysList(page, queryWrapper, kccyglSys);
    }

    @Override
    public List<KccyglSys> exportSysXls(QueryWrapper<KccyglSys> queryWrapper, KccyglSys kccyglSys) {
        return baseMapper.exportSysXls(queryWrapper, kccyglSys);
    }

    @Override
    public WjxWjxx getByKechengId(String id) {
        return baseMapper.getByKechengId(id);
    }

    @Override
    public String querySfdtById(String id, String username) {
        return baseMapper.querySfdtById(id, username);
    }

    @Override
    public WjxWjxx queryCyjgById(String id) {

        WjxWjxx wjxWjxx = baseMapper.queryCyjgById(id);

        QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<WjxWjxxTmlb>();
        wjxWjxxTmlbQueryWrapper.eq("main_id", id);
        wjxWjxxTmlbQueryWrapper.orderByAsc("wj_index");
        List<WjxWjxxTmlb> list = wjxWjxxTmlbMapper.selectList(wjxWjxxTmlbQueryWrapper);


        for (WjxWjxxTmlb WjxWjxxTmlb : list) {
            String num = "0";
            String num2 = "0";
//            if(org.apache.commons.lang3.StringUtils.equals("5",WjxWjxxTmlb.getWjType()+"")){
            num = wjxDjxxMapper.getDjnumType(wjxWjxx.getVid(), WjxWjxxTmlb.getWjIndex(), null, "1");
            num2 = wjxDjxxMapper.getDjnumType(wjxWjxx.getVid(), WjxWjxxTmlb.getWjIndex(), null, "2");
            WjxWjxxTmlb.setNum(num);
            WjxWjxxTmlb.setNum2(num2);
//            }

            int yzd = Integer.parseInt(num) + Integer.parseInt(num2);
            int ddrs = Integer.parseInt(num);
            int dcrs = Integer.parseInt(num2);
            List<WjxWjxxTmxx> list2 = wjxWjxxTmxxMapper.selectByMainId(WjxWjxxTmlb.getId());
            String itemSelected = "";
            for (WjxWjxxTmxx WjxWjxxTmxx : list2) {
                String num3 = wjxDjxxMapper.getDjnum(wjxWjxx.getVid(), WjxWjxxTmxx.getWjIndex(), WjxWjxxTmxx.getItemIndex());
                if (org.apache.commons.lang3.StringUtils.equals(WjxWjxxTmxx.getItemSelected(), "true")) {
                    itemSelected = itemSelected + WjxWjxxTmxx.getItemIndex() + ",";

                }
                WjxWjxxTmxx.setNum(num3);
            }
            if (org.apache.commons.lang3.StringUtils.isNotBlank(itemSelected)) {
                itemSelected = itemSelected.substring(0, itemSelected.length() - 1);
            }
            WjxWjxxTmlb.setItemSelected(itemSelected);
            WjxWjxxTmlb.setWjxWjxxTmxxList(list2);
            WjxWjxxTmlb.setYzd(yzd);
            WjxWjxxTmlb.setDdrs(ddrs);
            WjxWjxxTmlb.setDcrs(dcrs);
        }
        wjxWjxx.setTmlbList(list);

        return wjxWjxx;
    }

    @Override
    public void updateCeyanStatus() {


        QueryWrapper<WjxWjxx> queryWrapper = new QueryWrapper<>();
        queryWrapper.le("start_time", new Date());
        queryWrapper.eq("qpublish", "0");
        List<WjxWjxx> list = baseMapper.selectList(queryWrapper);
        for (WjxWjxx wjxWjxx : list) {
            fbwj(wjxWjxx.getId(), wjxWjxx.getAtype());

            QueryWrapper<Xxhbbks> queryWrapper2 = new QueryWrapper<>();
            queryWrapper2.apply("a.xh = b.xh");
            queryWrapper2.eq("b.KCAPZBBH", wjxWjxx.getRwbh());
            List<Xxhbbks> list2 = xxhbbksService.getXsxkbAllList(queryWrapper2);


            QueryWrapper<KcKechengbiao> kcKechengbiaoQueryWrapper = new QueryWrapper<>();
            kcKechengbiaoQueryWrapper.eq("rwbh", wjxWjxx.getRwbh());
            kcKechengbiaoQueryWrapper.eq("jgh", wjxWjxx.getCreateBy());
            kcKechengbiaoQueryWrapper.eq("xqxn", wjxWjxx.getXqxn());
            kcKechengbiaoQueryWrapper.last("limit 1");
            KcKechengbiao kcKechengbiao = kcKechengbiaoService.getOne(kcKechengbiaoQueryWrapper);

            String content = kcKechengbiao.getSkjs() + "教师发起了[" + wjxWjxx.getKcmc() + "]课程“" + wjxWjxx.getTitle() + "”测验,该测验完成时间： " + DateUtils.formatDate(wjxWjxx.getStartTime(), "yyyy-MM-dd") + " ~ " + DateUtils.formatDate(wjxWjxx.getEndTime(), "yyyy-MM-dd") + "，请及时完成";
            for (Xxhbbks xxhbbks : list2) {
                try {
                    //作业代办提醒
                    ZyDbtx zyDbtx = new ZyDbtx();
                    zyDbtx.setCreateBy(xxhbbks.getXh());
                    zyDbtx.setType("2");//0发布作业 1评分 2测验 3问卷 4讨论 5学生提交作业  6学生提交测验  7学生提交问卷
                    zyDbtx.setMainId(wjxWjxx.getId());
                    zyDbtx.setRwbh(wjxWjxx.getRwbh());
                    zyDbtx.setContent(content);
                    zyDbtx.setFlag("0");
                    zyDbtx.setFbr(wjxWjxx.getCreateBy());
                    zyDbtxService.save(zyDbtx);

                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

        }


    }

    @Override
    public Page<WjxWjxx> listOther(WjxWjxx wjxWjxx, Page<Object> objectPage) {
        return baseMapper.listOther(wjxWjxx, objectPage);
    }

    @Override
    public void batchZyinfoKhcl(String ids) {
        try {

            String token = getAccessToken();//获取东北师大开放平台token
            System.out.println("=======================================");
            System.out.println("token:" + token);
            System.out.println("=======================================");
            if (StringUtils.isNotEmpty(token)) {//判断如果token不为空则继续操作

                KcSysConfig kcSysConfig = kcSysConfigService.getById("1");
                String idsList[] = ids.split(",");
                if (idsList.length > 0) {
                    String yyyy = DateUtils.formatDate(new Date(), "yyyy");
                    String mm = DateUtils.formatDate(new Date(), "MM");
                    for (String zyId : idsList) {


                        WjxWjxx wjxWjxx = baseMapper.selectById(zyId);
                        //判断没有上传考核材料的数据，才进行上传，否则不上传
                        if (wjxWjxx != null && !StringUtils.equals("1", wjxWjxx.getSfsckhcl())) {
                            QueryWrapper<KcKechengbiao> kcKechengbiaoQueryWrapper = new QueryWrapper<>();
                            kcKechengbiaoQueryWrapper.eq("xqxn", kcSysConfig.getFlag1());
                            kcKechengbiaoQueryWrapper.eq("rwbh", wjxWjxx.getRwbh());
                            kcKechengbiaoQueryWrapper.eq("jgh", wjxWjxx.getCreateBy());
                            kcKechengbiaoQueryWrapper.last("limit 1");
                            KcKechengbiao kcKechengbiao = kcKechengbiaoService.getOne(kcKechengbiaoQueryWrapper);


                            //调用师大接口将数据上传
                            String interfaceUrl = "https://intf.nenu.edu.cn/api/bd-api/post/JW_FXCJXMB";
                            List<Map<String, String>> paramsList = new ArrayList<>();
                            Map<String, String> paramMap = new HashMap<>();
                            paramMap.put("CJR", wjxWjxx.getCreateBy());//创建人
                            paramMap.put("TEABH", wjxWjxx.getCreateBy());//教工号
                            paramMap.put("FXCJMC", "课程测验" + wjxWjxx.getSort());//分项成绩名称
                            paramMap.put("TEADM", wjxWjxx.getCreateBy());//教工代码
                            paramMap.put("TEAXM", kcKechengbiao.getSkjs());//教师姓名
                            paramMap.put("FXCJBH", wjxWjxx.getId());//分项成绩编号
                            paramMap.put("XNXQMC", kcKechengbiao.getXnxq());//学年学期
                            paramMap.put("ZYYQ", null);//作业要求
                            paramMap.put("CJSJ", DateUtils.formatDate(wjxWjxx.getCreateTime(), "yyyy-MM-dd"));//创建时间
                            paramMap.put("FXCJBL", wjxWjxx.getScore());//比例，成绩占比
                            paramMap.put("FXCJLXMC", "3");//分项成绩类型
                            paramMap.put("KCMC", kcKechengbiao.getKcmc());//课程名称
                            paramMap.put("KCRWDM", wjxWjxx.getRwbh());//开课任务编号
                            paramMap.put("PFBZ", null);//评分标准
                            paramMap.put("FXCJDM", wjxWjxx.getId());//主键
//                        paramMap.put("OPERATE_STATUS","i");//操作状态
                            paramsList.add(paramMap);
                            String data = RestTemplateUtils.post(interfaceUrl, token, paramsList, MediaType.APPLICATION_JSON_UTF8, String.class);
                            System.out.println("=======================================");
                            System.out.println("data:" + data);
                            System.out.println("=======================================");


                            QueryWrapper<WjxDjxx> queryWrapper = new QueryWrapper<>();
                            queryWrapper.eq("vid", wjxWjxx.getVid());
                            queryWrapper.eq("sfsckhcl", "0");
                            List<WjxDjxx> list = wjxDjxxMapper.selectList(queryWrapper);

                            List<Map<String, String>> paramsList2 = new ArrayList<>();
                            for (WjxDjxx wjxDjxx : list) {


                                List<WjxDjxxTmxx> djxxTmxxList = wjxDjxxMapper.getDjxxTmxxWjt(wjxDjxx.getJid());
                                if (djxxTmxxList != null) {
                                    for (WjxDjxxTmxx djxxTmxx : djxxTmxxList) {
                                        //上传作业文件
                                        Map<String, String> uploadMap = SFTPUtil.upload(sftpConfig, upLoadPath + "/" + djxxTmxx.getAnswerText(), yyyy + "/" + mm + "/" + wjxWjxx.getVid() + "/" + djxxTmxx.getAnswerText().replace("temp/", "/"));
                                        if (org.apache.commons.lang3.StringUtils.equals(uploadMap.get("code"), "0")) {
                                            djxxTmxx.setFwqPath(uploadMap.get("data"));
                                            wjxDjxxMapper.updateDjxxTmxxFwqpath(djxxTmxx);
                                        }
                                    }
                                }
                                wjxDjxx.setSfsckhcl("1");
                                wjxDjxx.setSfsckhclTime(new Date());
                                wjxDjxxMapper.updateById(wjxDjxx);

                                ZyInfoScjl zyInfoScjl = new ZyInfoScjl();
                                zyInfoScjl.setZyId(wjxDjxx.getId());
                                zyInfoScjl.setZyName(wjxDjxx.getTitle());
                                zyInfoScjl.setZyLeixing(wjxDjxx.getAtype());
                                zyInfoScjl.setJgh(wjxWjxx.getCreateBy());
                                zyInfoScjl.setSkjs(kcKechengbiao.getSkjs());
                                zyInfoScjl.setSkdd(kcKechengbiao.getSkdd());
                                zyInfoScjl.setKkdw(kcKechengbiao.getKkdw());
                                zyInfoScjl.setKkdwid(kcKechengbiao.getKkdwid());
                                zyInfoScjl.setKcxz(kcKechengbiao.getKcxz());
                                zyInfoScjl.setXnxq(wjxWjxx.getXqxn());
                                zyInfoScjl.setStudentNo(wjxDjxx.getCreateBy());
                                zyInfoScjl.setStudentName(wjxDjxx.getUserName());
                                zyInfoScjlService.save(zyInfoScjl);

                                Map<String, String> paramMap2 = new HashMap<>();
                                paramMap2.put("CJ", wjxDjxx.getScore() + "");//成绩
                                paramMap2.put("CJR", wjxDjxx.getCreateBy());//创建人
                                paramMap2.put("CJSJ", DateUtils.formatDate(wjxDjxx.getCreateTime(), "yyyy-MM-dd"));//创建时间
                                paramMap2.put("KCRWDM", wjxWjxx.getRwbh());//开课任务编号
                                paramMap2.put("KCMC", kcKechengbiao.getKcmc());//课程名称
                                paramMap2.put("FXCJMC", "课程测验" + wjxWjxx.getSort());//分项成绩名称
                                paramMap2.put("TEAXM", kcKechengbiao.getSkjs());//教师姓名
                                paramMap2.put("XSXM", wjxDjxx.getUserName());//学生姓名
                                paramMap2.put("KID", wjxDjxx.getId());//主键
                                paramMap2.put("XSBH", wjxDjxx.getCreateBy());//学号
                                paramMap2.put("FXCJBH", wjxWjxx.getId());//分项成绩编号
                                paramMap2.put("PATH", "");//附件路径
                                paramMap2.put("TEABH", wjxWjxx.getCreateBy());//教工号
//                        paramMap2.put("OPERATE_STATUS","i");//操作状态
                                paramsList2.add(paramMap2);

                            }

                            System.out.println("=======================================");
                            System.out.println("paramsList2:" + paramsList2);
                            System.out.println("=======================================");
                            //调用师大接口进行上传
                            String interfaceUrl2 = "https://intf.nenu.edu.cn/api/bd-api/post/JW_FXXSCJMX";
                            String data2 = RestTemplateUtils.post(interfaceUrl2, token, paramsList2, MediaType.APPLICATION_JSON_UTF8, String.class);
                            System.out.println("=======================================");
                            System.out.println("data2:" + data2);
                            System.out.println("=======================================");

                            wjxWjxx.setSfsckhcl("1");
                            wjxWjxx.setSfsckhclTime(new Date());
                            baseMapper.updateById(wjxWjxx);
                        }

                    }
                }
            }


        } catch (Exception e) {
            e.printStackTrace();
        }

    }

    public String getAccessToken() {
        String token = "";
        try {
            // 获取令牌URL前缀
            String prefixUrl = "https://intf.nenu.edu.cn/api/bd-api";
            // 开发者帐号,以实际为准
            String userName = "D64A8E04B63AE18D1D796914279AEEE3";
            // 开发者密码,以实际为准
            String password = "6413C873CD49C96D301B0D7A0EBFA51D";
            //NO.1：通过client_id:client_secret 和开发者账号和密码获取授权令牌access_token
            RestTemplate restTemplate = new RestTemplate();

            //构建请求头信息
            HttpHeaders headers = new HttpHeaders();
            headers.setContentType(MediaType.APPLICATION_JSON);
//            headers.add("Content-Type", "application/json");
            headers.add("Authorization", "Basic ZDhiZGU5NjZjYmEyNGVjX3V1aWQ6YTE4MjY3ZjExOTBmZTRjYzcyMTMxNDQ5ZDIyY2FhMDg=");

            //获取access_token
            HttpEntity<String> request = new HttpEntity<String>(headers);

//            userName=DesUtil.encrypt(userName);
//            password=DesUtil.encrypt(password);
            String url = prefixUrl + "/oauth/token?grant_type=password&scope=read&username=" + userName + "&password=" + password;

            ResponseEntity<Object> response = restTemplate.exchange(url, HttpMethod.POST, request, Object.class);


            LinkedHashMap<String, Object> map = (LinkedHashMap<String, Object>) response.getBody();

            //从返回结果中获取 access_token
            token = (String) map.get("access_token");

        } catch (Exception e) {
            e.printStackTrace();
        }
        return token;
    }


    // appId
    private static final String appId = "wx031697a8ca09a5ce";//东师

    private static final String agentid = "1000065";//
    // appIdSecret
    private static final String appIdSecret = "6Qhnge3xfzAQMDX2TcjEyE0vUGP96hP9OTYUsYBze2Y";//东师

    //微信通知点击后跳转的页面
    private static final String domainTo = "https://smartedu.nenu.edu.cn";

    public void sendWxmessage(KcWechatSendLog kcWechatSendLog) {
        String openId = kcWechatSendLog.getOpenid();//曹老师账号
        System.out.println("openId:" + openId + "");
        if (org.apache.commons.lang3.StringUtils.isNotEmpty(openId)) {
            try {
                String urlToken = "https://qyapi.weixin.qq.com/cgi-bin/gettoken?corpid=" + appId + "&corpsecret=" + appIdSecret;
                System.out.println("urlToken：  " + urlToken);
                String res = HttpUtil.get(urlToken);
                JSONObject jsonObjectToken = JSONObject.parseObject(res);
                System.out.println("jsonObjectToken：{}" + jsonObjectToken);
                String accessToken = jsonObjectToken.getString("access_token");
                System.out.println("accessToken：{}" + accessToken);

                // 微信的基础accessToken
                String url = "https://qyapi.weixin.qq.com/cgi-bin/message/send?access_token=" + accessToken;
                Map<String, Object> sendMag = new HashMap<>();

//				 1、xx老师，你好，您本学期（2023秋）听课要求为：5次，当前实际听课次数：3次，请尽快完成本学期的听课任务。
                String html = kcWechatSendLog.getYtkcs();
                html = html + "\n<a href=\"" + domainTo + "\">查看</a>";
                sendMag.put("content", html);//授课老师推送内容
                RestTemplate restTemplate = new RestTemplate();
                //拼接base参数
                Map<String, Object> sendBody = new HashMap<>();
                sendBody.put("touser", openId);                // openId
                sendBody.put("msgtype", "text");               // 消息类型，此时固定为：text
                sendBody.put("agentid", agentid);              // 企业id
                sendBody.put("text", sendMag);                //发送内容
                ResponseEntity<String> forEntity = restTemplate.postForEntity(url, sendBody, String.class);
                JSONObject jsonObject2 = JSONObject.parseObject(forEntity.getBody());
                System.out.println("jsonObject2 : " + jsonObject2);
                String messageCode = jsonObject2.getString("errcode");
                String msgId = jsonObject2.getString("msgid");
                System.out.println("messageCode : " + messageCode + ", msgId: " + msgId);
            } catch (Exception e) {
                e.printStackTrace();
            }
        } else {
        }
    }

}
