package org.jeecg.modules.kc.wjxWjxxTmlb.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmlb;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.kc.wjxWjxxTmlb.vo.WjxWjxxTmlbPage;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 题目信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
public interface IWjxWjxxTmlbService extends IService<WjxWjxxTmlb> {

	public void saveMain(WjxWjxxTmlb wjxWjxxTmlb, List<WjxWjxxTmxx> wjxWjxxTmxxList) ;

	/**
	 * 添加一对多
	 *
	 * @param wjxWjxxTmlb
	 * @param wjxWjxxTmxxList
	 */
	public void saveMain(WjxWjxxTmlb wjxWjxxTmlb, WjxWjxxTmlbPage wjxWjxxTmlbPage) ;

	/**
	 * 修改一对多
	 *
   * @param wjxWjxxTmlb
   * @param wjxWjxxTmxxList
	 */
	public void updateMain(WjxWjxxTmlb wjxWjxxTmlb,List<WjxWjxxTmxx> wjxWjxxTmxxList);

	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);

	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

    void removeByMainId(String id);

	List<WjxWjxxTmlb> queryByMainId(String id);

	List<WjxWjxxTmlb> queryDjByMainId(String id);

    IPage<WjxWjxxTmlb> distinctList(Page<WjxWjxxTmlb> page, QueryWrapper<WjxWjxxTmlb> queryWrapper);

    List<WjxWjxxTmlb> getTmxxPeop(String id);

	List<WjxWjxxTmlb> getTmxxByTmlbid(String id);
}
