package org.jeecg.modules.kc.xxhbfxcjb0016.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 分项成绩表
 * @Author: jeecg-boot
 * @Date:   2025-01-22
 * @Version: V1.0
 */
@Data
@TableName("xxhbfxcjb0016")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbfxcjb0016对象", description="分项成绩表")
public class Xxhbfxcjb0016 implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**分项成绩代码*/
	@Excel(name = "分项成绩代码", width = 15)
    @ApiModelProperty(value = "分项成绩代码")
    private java.lang.String fxcjdm;
	/**分项成绩名称*/
	@Excel(name = "分项成绩名称", width = 15)
    @ApiModelProperty(value = "分项成绩名称")
    private java.lang.String fxcjmc;
	/**课程任务代码*/
	@Excel(name = "课程任务代码", width = 15)
    @ApiModelProperty(value = "课程任务代码")
    private java.lang.String kcrwdm;
	/**课程编号*/
	@Excel(name = "课程编号", width = 15)
    @ApiModelProperty(value = "课程编号")
    private java.lang.String kcbh;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**成绩类型代码*/
	@Excel(name = "成绩类型代码", width = 15)
    @ApiModelProperty(value = "成绩类型代码")
    private java.lang.String cjlxdm;
	/**分项比例*/
	@Excel(name = "分项比例", width = 15)
    @ApiModelProperty(value = "分项比例")
    private java.lang.String fxbl;
	/**教师工号*/
	@Excel(name = "教师工号", width = 15)
    @ApiModelProperty(value = "教师工号")
    private java.lang.String teabh;
	/**教师姓名*/
	@Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private java.lang.String teaxm;
	/**代码名称*/
	@Excel(name = "代码名称", width = 15)
    @ApiModelProperty(value = "代码名称")
    private java.lang.String dmmc;
	/**无用*/
	@Excel(name = "无用", width = 15)
    @ApiModelProperty(value = "无用")
    private java.lang.String synfxcjdm;
}
