package org.jeecg.modules.kc.xxhbfxcjb0016.service.impl;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.jeecg.modules.kc.xxhbfxcjb0016.entity.Xxhbfxcjb0016;
import org.jeecg.modules.kc.xxhbfxcjb0016.mapper.Xxhbfxcjb0016Mapper;
import org.jeecg.modules.kc.xxhbfxcjb0016.service.IXxhbfxcjb0016Service;
import org.jeecg.modules.kc.xxhbfxcjmxb0015.entity.Xxhbfxcjmxb0015;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * @Description: 分项成绩表
 * @Author: jeecg-boot
 * @Date:   2025-01-22
 * @Version: V1.0
 */
@Service
public class Xxhbfxcjb0016ServiceImpl extends ServiceImpl<Xxhbfxcjb0016Mapper, Xxhbfxcjb0016> implements IXxhbfxcjb0016Service {

    @Override
    public void syncList(List<Xxhbfxcjb0016> outDataList) {
        syncList(outDataList, true);
    }

    @Transactional(rollbackFor = {Exception.class})
    @InterceptorIgnore(tenantLine = "true")
    public boolean syncList(Collection<Xxhbfxcjb0016> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }

        return this.saveBatch(entityList, 1000);
    }
}
