package org.jeecg.modules.kc.xxhbfxcjmxb0015.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 分项成绩明细表
 * @Author: jeecg-boot
 * @Date:   2025-01-22
 * @Version: V1.0
 */
@Data
@TableName("v_jxyth_k_0015")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="v_jxyth_k_0015对象", description="分项成绩明细表")
public class Vjxythk0015 implements Serializable {
    private static final long serialVersionUID = 1L;

	/**记录*/
	@Excel(name = "记录", width = 15)
    @ApiModelProperty(value = "记录")
    private String kid;
	/**分项成绩代码*/
	@Excel(name = "分项成绩代码", width = 15)
    @ApiModelProperty(value = "分项成绩代码")
    private String fxcjdm;
	/**课程任务代码*/
	@Excel(name = "课程任务代码", width = 15)
    @ApiModelProperty(value = "课程任务代码")
    private String kcrwdm;
	/**学生编号*/
	@Excel(name = "学生编号", width = 15)
    @ApiModelProperty(value = "学生编号")
    private String xsbh;
	/**学生姓名*/
	@Excel(name = "学生姓名", width = 15)
    @ApiModelProperty(value = "学生姓名")
    private String xsxm;
	/**分项成绩*/
	@Excel(name = "分项成绩", width = 15)
    @ApiModelProperty(value = "分项成绩")
    private String fxcj;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private String bz;
	/**附件*/
	@Excel(name = "附件", width = 15)
    @ApiModelProperty(value = "附件")
    private String path;
}
