package org.jeecg.modules.kc.xxhbfxcjmxb0015.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 分项成绩明细表
 * @Author: jeecg-boot
 * @Date:   2025-01-22
 * @Version: V1.0
 */
@Data
@TableName("xxhbfxcjmxb0015")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbfxcjmxb0015对象", description="分项成绩明细表")
public class Xxhbfxcjmxb0015 implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**记录*/
	@Excel(name = "记录", width = 15)
    @ApiModelProperty(value = "记录")
    private java.lang.String kid;
	/**分项成绩代码*/
	@Excel(name = "分项成绩代码", width = 15)
    @ApiModelProperty(value = "分项成绩代码")
    private java.lang.String fxcjdm;
	/**课程任务代码*/
	@Excel(name = "课程任务代码", width = 15)
    @ApiModelProperty(value = "课程任务代码")
    private java.lang.String kcrwdm;
	/**学生编号*/
	@Excel(name = "学生编号", width = 15)
    @ApiModelProperty(value = "学生编号")
    private java.lang.String xsbh;
	/**学生姓名*/
	@Excel(name = "学生姓名", width = 15)
    @ApiModelProperty(value = "学生姓名")
    private java.lang.String xsxm;
	/**分项成绩*/
	@Excel(name = "分项成绩", width = 15)
    @ApiModelProperty(value = "分项成绩")
    private java.lang.String fxcj;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String bz;
	/**附件*/
	@Excel(name = "附件", width = 15)
    @ApiModelProperty(value = "附件")
    private java.lang.String path;
}
