package org.jeecg.modules.kc.xxhbfxcjmxb0015.service.impl;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbtkxx;
import org.jeecg.modules.kc.xxhbfxcjmxb0015.entity.Xxhbfxcjmxb0015;
import org.jeecg.modules.kc.xxhbfxcjmxb0015.mapper.Xxhbfxcjmxb0015Mapper;
import org.jeecg.modules.kc.xxhbfxcjmxb0015.service.IXxhbfxcjmxb0015Service;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * @Description: 分项成绩明细表
 * @Author: jeecg-boot
 * @Date:   2025-01-22
 * @Version: V1.0
 */
@Service
public class Xxhbfxcjmxb0015ServiceImpl extends ServiceImpl<Xxhbfxcjmxb0015Mapper, Xxhbfxcjmxb0015> implements IXxhbfxcjmxb0015Service {

    @Override
    public void syncList(List<Xxhbfxcjmxb0015> outDataList) {
        syncList(outDataList, true);
    }

    @Transactional(rollbackFor = {Exception.class})
    @InterceptorIgnore(tenantLine = "true")
    public boolean syncList(Collection<Xxhbfxcjmxb0015> entityList, boolean isDelete) {
        QueryWrapper dqw = new QueryWrapper();
        if(isDelete){
            baseMapper.delete(dqw);
        }

        return this.saveBatch(entityList, 1000);
    }
}
