package org.jeecg.modules.kc.xxhbkckbOra.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 数据源
 * @Author: jeecg-boot
 * @Date:   2024-03-21
 * @Version: V1.0
 */
@Data
@TableName("xxhbkckb_ora")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbkckb_ora对象", description="数据源")
public class XxhbkckbOra implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**课程编号*/
	@Excel(name = "课程编号", width = 15)
    @ApiModelProperty(value = "课程编号")
    private java.lang.String kcbh;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**教工号*/
	@Excel(name = "教工号", width = 15)
    @ApiModelProperty(value = "教工号")
    private java.lang.String jgh;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String xm;
	/**职称*/
	@Excel(name = "职称", width = 15)
    @ApiModelProperty(value = "职称")
    private java.lang.String zc;
	/**选课人数*/
	@Excel(name = "选课人数", width = 15)
    @ApiModelProperty(value = "选课人数")
    private java.lang.String xkrs;
	/**排课人数*/
	@Excel(name = "排课人数", width = 15)
    @ApiModelProperty(value = "排课人数")
    private java.lang.String pkrs;
	/**任务编号*/
	@Excel(name = "任务编号", width = 15)
    @ApiModelProperty(value = "任务编号")
    private java.lang.String rwbh;
	/**开课单位ID*/
	@Excel(name = "开课单位ID", width = 15)
    @ApiModelProperty(value = "开课单位ID")
    private java.lang.String kkdwid;
	/**开课单位*/
	@Excel(name = "开课单位", width = 15)
    @ApiModelProperty(value = "开课单位")
    private java.lang.String kkdw;
	/**课程性质*/
	@Excel(name = "课程性质", width = 15)
    @ApiModelProperty(value = "课程性质")
    private java.lang.String kcxz;
	/**教室编号*/
	@Excel(name = "教室编号", width = 15)
    @ApiModelProperty(value = "教室编号")
    private java.lang.String jsbh;
	/**授课地点*/
	@Excel(name = "授课地点", width = 15)
    @ApiModelProperty(value = "授课地点")
    private java.lang.String skdd;
	/**授课时间*/
	@Excel(name = "授课时间", width = 15)
    @ApiModelProperty(value = "授课时间")
    private java.lang.String sksj;
	/**教课周次*/
	@Excel(name = "教课周次", width = 15)
    @ApiModelProperty(value = "教课周次")
    private java.lang.String jkzc;
	/**学分*/
	@Excel(name = "学分", width = 15)
    @ApiModelProperty(value = "学分")
    private java.lang.String xf;
	/**学年学期*/
	@Excel(name = "学年学期", width = 15)
    @ApiModelProperty(value = "学年学期")
    private java.lang.String xnxq;
	/**教职工类别*/
	@Excel(name = "教职工类别", width = 15)
    @ApiModelProperty(value = "教职工类别")
    private java.lang.String jzglb;
	/**时间戳*/
	@Excel(name = "时间戳", width = 15)
    @ApiModelProperty(value = "时间戳")
    private java.lang.String timestamps;
	/**教材*/
	@Excel(name = "教材", width = 15)
    @ApiModelProperty(value = "教材")
    private java.lang.String jc;
	/**是否计算绩点*/
	@Excel(name = "是否计算绩点", width = 15)
    @ApiModelProperty(value = "是否计算绩点")
    private java.lang.String sfjsjd;
	/**培养方案版本*/
	@Excel(name = "培养方案版本", width = 15)
    @ApiModelProperty(value = "培养方案版本")
    private java.lang.String pyfabb;
	/**课程大类代码*/
	@Excel(name = "课程大类代码", width = 15)
    @ApiModelProperty(value = "课程大类代码")
    private java.lang.String kcdldm;
	/**课程简介*/
	@Excel(name = "课程简介", width = 15)
    @ApiModelProperty(value = "课程简介")
    private java.lang.String kcjj;
	/**参考数目*/
	@Excel(name = "参考数目", width = 15)
    @ApiModelProperty(value = "参考数目")
    private java.lang.String cksm;
	/**课程负责人号*/
	@Excel(name = "课程负责人号", width = 15)
    @ApiModelProperty(value = "课程负责人号")
    private java.lang.String kcfzrh;
	/**课程大类*/
	@Excel(name = "课程大类", width = 15)
    @ApiModelProperty(value = "课程大类")
    private java.lang.String kcdl;
	/**理论学时*/
	@Excel(name = "理论学时", width = 15)
    @ApiModelProperty(value = "理论学时")
    private java.lang.String llxs;
	/**实践学时*/
	@Excel(name = "实践学时", width = 15)
    @ApiModelProperty(value = "实践学时")
    private java.lang.String sjxs;
	/**总学时*/
	@Excel(name = "总学时", width = 15)
    @ApiModelProperty(value = "总学时")
    private java.lang.String zxs;
	/**课程性质码简称*/
	@Excel(name = "课程性质码简称", width = 15)
    @ApiModelProperty(value = "课程性质码简称")
    private java.lang.String kcxzmjc;
	/**专业号*/
	@Excel(name = "专业号", width = 15)
    @ApiModelProperty(value = "专业号")
    private java.lang.String zyh;
	/**课程类别代码*/
	@Excel(name = "课程类别代码", width = 15)
    @ApiModelProperty(value = "课程类别代码")
    private java.lang.String kclbdm;
	/**考核方式代码*/
	@Excel(name = "考核方式代码", width = 15)
    @ApiModelProperty(value = "考核方式代码")
    private java.lang.String khfsdm;
	/**课程英文名称*/
	@Excel(name = "课程英文名称", width = 15)
    @ApiModelProperty(value = "课程英文名称")
    private java.lang.String kcywmc;
	/**素质课程分类代码*/
	@Excel(name = "素质课程分类代码", width = 15)
    @ApiModelProperty(value = "素质课程分类代码")
    private java.lang.String szkcfldm;
	/**学期编号*/
	@Excel(name = "学期编号", width = 15)
    @ApiModelProperty(value = "学期编号")
    private java.lang.String xqbh;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
    private java.lang.String bh;
	/**教学大纲内容*/
	@Excel(name = "教学大纲内容", width = 15)
    private transient java.lang.String jxdgnrString;

    private byte[] jxdgnr;

    public byte[] getJxdgnr(){
        if(jxdgnrString==null){
            return null;
        }
        try {
            return jxdgnrString.getBytes("UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return null;
    }

    public String getJxdgnrString(){
        if(jxdgnr==null || jxdgnr.length==0){
            return "";
        }
        try {
            return new String(jxdgnr,"UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return "";
    }
	/**是否需要线上*/
	@Excel(name = "是否需要线上", width = 15)
    @ApiModelProperty(value = "是否需要线上")
    private java.lang.String sfxsk;
}
