package org.jeecg.modules.kc.zyCcjg.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.kc.zyCcjg.entity.ZyCcjg;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @Description: 查重结果
 * @Author: jeecg-boot
 * @Date:   2024-05-07
 * @Version: V1.0
 */
public interface IZyCcjgService extends IService<ZyCcjg> {

    void getCcjg();

    IPage<ZyCcjg> getQuaList(Page<ZyCcjg> page, QueryWrapper<ZyCcjg> queryWrapper);

    void deleteByZystuid(String id, HttpServletResponse response);

    List<ZyCcjg> ccjglist(QueryWrapper<ZyCcjg> queryWrapper);

    void updateCcjg(String paperId);

    void delByPaperId(String paperId);

    void getCxtj();

    void getCxtjParam(Map<String, Object> param);

    void getCxtjWwcc();
}
