package org.jeecg.modules.kc.zyCyFenxiang.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: zy_cy_fenxiang
 * @Author: jeecg-boot
 * @Date:   2024-11-04
 * @Version: V1.0
 */
@Data
@TableName("zy_cy_fenxiang")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="zy_cy_fenxiang对象", description="zy_cy_fenxiang")
public class ZyCyFenxiang implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**任务编号*/
	@Excel(name = "任务编号", width = 15)
    @ApiModelProperty(value = "任务编号")
    private java.lang.String rwbh;
	/**类型（0作业，1测验）*/
	@Excel(name = "类型（0作业，1测验）", width = 15)
    @ApiModelProperty(value = "类型（0作业，1测验）")
    private java.lang.String type;
	/**分享的id*/
	@Excel(name = "分享的id", width = 15)
    @ApiModelProperty(value = "分享的id")
    private java.lang.String mainId;
	/**教工号*/
	@Excel(name = "教工号", width = 15)
    @ApiModelProperty(value = "教工号")
    private java.lang.String teacherNo;
	/**教师姓名*/
	@Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private java.lang.String teacherName;
    /**教工号*/
    @Excel(name = "教工号", width = 15)
    @ApiModelProperty(value = "教工号")
    private java.lang.String yuanTeacherNo;
    /**教师姓名*/
    @Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private java.lang.String yuanTeacherName;
}
