package org.jeecg.modules.kc.zyInfo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: zy_xz_info
 * @Author: jeecg-boot
 * @Date:   2025-01-13
 * @Version: V1.0
 */
@ApiModel(value="zy_xz_info对象", description="zy_xz_info")
@Data
@TableName("zy_xz_info")
public class ZyXzInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    List<ZyXzryInfo> students;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**zy_info表id*/
	@Excel(name = "zy_info表id", width = 15)
    @ApiModelProperty(value = "zy_info表id")
    private String zyinfoId;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
	/**小组名称*/
	@Excel(name = "小组名称", width = 15)
    @ApiModelProperty(value = "小组名称")
    private String xzmc;
	/**小组排序*/
	@Excel(name = "小组排序", width = 15)
    @ApiModelProperty(value = "小组排序")
    private Integer sort;
}
