package org.jeecg.modules.kc.zyInfo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: zy_xzry_info
 * @Author: jeecg-boot
 * @Date:   2025-01-13
 * @Version: V1.0
 */
@Data
@TableName("zy_xzry_info")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="zy_xzry_info对象", description="zy_xzry_info")
public class ZyXzryInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
    /**zy_info表id*/
    @Excel(name = "zy_info表id", width = 15)
    @ApiModelProperty(value = "zy_info表id")
    private String zyinfoId;
	/**zy_xz_info表id*/
	@Excel(name = "zy_xz_info表id", width = 15)
    @ApiModelProperty(value = "zy_xz_info表id")
    private String zyxzinfoId;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private String xm;
	/**学号*/
	@Excel(name = "学号", width = 15)
    @ApiModelProperty(value = "学号")
    private String xh;
	/**是否是组长 Y N*/
	@Excel(name = "是否是组长 Y N", width = 15)
    @ApiModelProperty(value = "是否是组长 Y N")
    private String sfzz;
}
