package org.jeecg.modules.kc.zyInfo.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.zyInfo.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 作业发布
 * @Author: jeecg-boot
 * @Date: 2024-05-06
 * @Version: V1.0
 */
public interface ZyInfoMapper extends BaseMapper<ZyInfo> {

    IPage<ZyInfo> stuList(Page<ZyInfo> page, @Param(Constants.WRAPPER) QueryWrapper<ZyInfo> queryWrapper);

    IPage<ZyInfoSys> sysList(Page<ZyInfoSys> page, @Param(Constants.WRAPPER) QueryWrapper<ZyInfoSys> queryWrapper);

    List<ZyInfoSys> exportSysXls(@Param("zyInfoSys") ZyInfoSys zyInfoSys, @Param(Constants.WRAPPER) QueryWrapper<ZyInfoSys> queryWrapper);

    ZyInfo getKechengById(@Param("id") String id);

    List<ZyInfo> zyzb(@Param("rwbh") String rwbh, @Param("xqxn") String xqxn, @Param("teano") String teano, @Param("zyLeixing") String zyLeixing);

    IPage<ZyInfoSys> sysStaticList(Page<ZyInfoSys> page, @Param("zyInfoSys") ZyInfoSys zyInfoSys);

    IPage<ZyInfo> listOther(Page<ZyInfo> page, @Param("zyInfo") ZyInfo zyInfo);

    List<ZyInfoSys> getZyStaticNo(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getXyZyList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getZyTopList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getZyList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getCyTopList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getCyList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getXYCyList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getKcTopList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getXnKcList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getJsTopList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getXnJsList(@Param("zyInfoSys") ZyInfoSys zyInfoSys);

    IPage<ZyInfoSys> sysStaticZyList(Page<ZyInfoSys> page, @Param("zyInfoSys") ZyInfoSys zyInfoSys);

    IPage<CyInfoSys> sysStaticCyList(Page<CyInfoSys> page, @Param("zyInfoSys") CyInfoSys cyInfoSys);

    List<CyInfoSys> getStaticCyExportUrl(@Param("zyInfoSys") CyInfoSys cyInfoSys);

    IPage<ZyInfo> listKhcl(Page<ZyInfo> page, @Param(Constants.WRAPPER) QueryWrapper<ZyInfo> queryWrapper);

    List<ZyXzInfo> getxzxx(@Param("dto") ZyInfo zyInfo);

    int insertBatchzyxz(@Param("list") List<ZyXzInfo> list);

    int insertBatchzyxzry(@Param("list") List<ZyXzryInfo> list);

    int deleteXzxx(@Param("zyinfoId") String zyinfoId);

    int deleteXzryxx(@Param("zyinfoId") String zyinfoId);

    int removeHPData(@Param("id") String id);

    int removeCCData(@Param("id") String id);
}
