package org.jeecg.modules.kc.zyJxdg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 教学大纲
 * @Author: jeecg-boot
 * @Date:   2024-05-11
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class ZyJxdgSys implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    @Excel(name = "学期学年", width = 15)
    private String xqxn;
    @Excel(name = "开课单位", width = 15)
    private String kkdw;
    @Excel(name = "课程编号", width = 15)
    private String kcbh;
    @Excel(name = "课程名称", width = 15)
    private String kcmc;
    @Excel(name = "开课任务编号", width = 15)
    private String rwbh;
    @Excel(name = "上课时间", width = 15)
    private String sksj;
    @Excel(name = "上课地点", width = 15)
    private String skdd;
    @Excel(name = "授课教师", width = 15)
    private String skjs;
    @Excel(name = "选课学生", width = 15)
    private String xkrs;
//    @Excel(name = "教学大纲", width = 15)
    private String filePath;
    @Excel(name = "课程简介", width = 15)
    private String kcjs;
//    @Excel(name = "教学日历", width = 15)
    private String jxrlFilePath;

    private String pdfPath;
    private String jxrlPdfPath;
    private String jgh;
    private String ywId;
}
