package org.jeecg.modules.kc.zyJxdg.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.zyJxdg.entity.ZyJxdg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.kc.zyJxdg.entity.ZyJxdgSys;

/**
 * @Description: 教学大纲
 * @Author: jeecg-boot
 * @Date:   2024-05-11
 * @Version: V1.0
 */
public interface ZyJxdgMapper extends BaseMapper<ZyJxdg> {

    IPage<ZyJxdgSys> sysList(Page<ZyJxdgSys> page,@Param(Constants.WRAPPER)  QueryWrapper<ZyJxdgSys> queryWrapper);

    List<ZyJxdgSys> exportSysXls(@Param(Constants.WRAPPER) QueryWrapper<ZyJxdgSys> queryWrapper);
}
