package org.jeecg.modules.kc.zyJxdgBanben.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

/**
 * @Description: 教学大纲配置信息
 * @Author: jeecg-boot
 * @Date:   2024-08-19
 * @Version: V1.0
 */
@ApiModel(value="zy_jxdg_main对象", description="教学大纲配置信息")
@Data
@TableName("zy_jxdg_main")
public class ZyJxdgMain implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**主表*/
    @ApiModelProperty(value = "主表")
    private java.lang.String mainId;
	/**名称*/
	@Excel(name = "名称", width = 15)
    @ApiModelProperty(value = "名称")
    private java.lang.String title;
	/**类型 (1普通文本 2多行文本 3富文本 4表单 表格)*/
	@Excel(name = "类型 (1普通文本 2多行文本 3富文本 4表单 表格)", width = 15)
    @ApiModelProperty(value = "类型 (1普通文本 2多行文本 3富文本 4表单 表格)")
    private java.lang.String type;
	/**关联*/
	@Excel(name = "关联", width = 15)
    @ApiModelProperty(value = "关联")
    private java.lang.String guanlian;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private java.lang.String sort;
    /**提示语*/
    @Excel(name = "提示语", width = 15)
    @ApiModelProperty(value = "提示语")
    private java.lang.String tsy;

    /**是否是关联项目（0不是 1是）*/
    @Excel(name = "是否是关联项目（0不是 1是）", width = 15)
    @ApiModelProperty(value = "是否是关联项目（0不是 1是）")
    private java.lang.String sfsglxm;


    @TableField(exist = false)
    private java.lang.String content;

    @TableField(exist = false)
    private java.lang.String rwbh;
    @TableField(exist = false)
    private java.lang.String teacherNo;
    @TableField(exist = false)
    private java.lang.String key;

    @TableField(exist = false)
    @ApiModelProperty(value = "教学大纲配置信息")
    private List<ZyJxdgPzxx> zyJxdgPzxxList;
    @TableField(exist = false)
    @ApiModelProperty(value = "教学大纲配置信息")
    private List<Map<String,Object>> list;
    @TableField(exist = false)
    @ApiModelProperty(value = "教学大纲配置信息")
    private List<List<Map<String,Object>>> list2Map;
}
