package org.jeecg.modules.kc.zyJxdgBanben.mapper;

import java.util.List;
import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgMain;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 教学大纲配置信息
 * @Author: jeecg-boot
 * @Date:   2024-08-19
 * @Version: V1.0
 */
public interface ZyJxdgMainMapper extends BaseMapper<ZyJxdgMain> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<ZyJxdgMain>
   */
	public List<ZyJxdgMain> selectByMainId(@Param("mainId") String mainId);
}
