package org.jeecg.modules.kc.zyJxdgBanben.service.impl;

import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgMain;
import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgPzxx;
import org.jeecg.modules.kc.zyJxdgBanben.mapper.ZyJxdgMainMapper;
import org.jeecg.modules.kc.zyJxdgBanben.mapper.ZyJxdgPzxxMapper;
import org.jeecg.modules.kc.zyJxdgBanben.service.IZyJxdgMainService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 教学大纲配置信息
 * @Author: jeecg-boot
 * @Date:   2024-08-19
 * @Version: V1.0
 */
@Service
public class ZyJxdgMainServiceImpl extends ServiceImpl<ZyJxdgMainMapper, ZyJxdgMain> implements IZyJxdgMainService {
	
	@Autowired
	private ZyJxdgMainMapper zyJxdgMainMapper;
	@Autowired
	private ZyJxdgPzxxMapper zyJxdgPzxxMapper;
	
	@Override
	public List<ZyJxdgMain> selectByMainId(String mainId) {
		List<ZyJxdgMain> list = zyJxdgMainMapper.selectByMainId(mainId);
		for(ZyJxdgMain par : list){
			List<ZyJxdgPzxx> list2 = zyJxdgPzxxMapper.selectByTwoMainId(par.getId());
			par.setZyJxdgPzxxList(list2);
		}
		return list;
	}
}
