package org.jeecg.modules.kc.zyJxdgTeacherMain.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 教师填写教学大纲内容
 * @Author: jeecg-boot
 * @Date:   2024-08-20
 * @Version: V1.0
 */
@ApiModel(value="zy_jxdg_teacher_center对象", description="教师填写教学大纲内容")
@Data
@TableName("zy_jxdg_teacher_center")
public class ZyJxdgTeacherCenter implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**主表id*/
    @ApiModelProperty(value = "主表id")
    private java.lang.String mainId;
	/**一级id*/
	@Excel(name = "一级id", width = 15)
    @ApiModelProperty(value = "一级id")
    private java.lang.String oneId;
	/**二级id*/
	@Excel(name = "二级id", width = 15)
    @ApiModelProperty(value = "二级id")
    private java.lang.String twoId;
	/**三级id*/
	@Excel(name = "三级id", width = 15)
    @ApiModelProperty(value = "三级id")
    private java.lang.String threeId;
	/**类型*/
	@Excel(name = "类型", width = 15)
    @ApiModelProperty(value = "类型")
    private java.lang.String type;
	/**填写内容*/
	@Excel(name = "填写内容", width = 15)
    @ApiModelProperty(value = "填写内容")
    private java.lang.String content;
}
