package org.jeecg.modules.kc.zyJxdgTeacherMain.service;

import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgBanben;
import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgMain;
import org.jeecg.modules.kc.zyJxdgTeacherMain.entity.ZyJxdgTeacherCenter;
import org.jeecg.modules.kc.zyJxdgTeacherMain.entity.ZyJxdgTeacherMain;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * @Description: 教师填写教学大纲
 * @Author: jeecg-boot
 * @Date:   2024-08-20
 * @Version: V1.0
 */
public interface IZyJxdgTeacherMainService extends IService<ZyJxdgTeacherMain> {

	/**
	 * 添加一对多
	 *
	 * @param zyJxdgTeacherMain
	 * @param zyJxdgTeacherCenterList
	 */
	public void saveMain(ZyJxdgTeacherMain zyJxdgTeacherMain,List<ZyJxdgTeacherCenter> zyJxdgTeacherCenterList) ;
	
	/**
	 * 修改一对多
	 *
   * @param zyJxdgTeacherMain
   * @param zyJxdgTeacherCenterList
	 */
	public void updateMain(ZyJxdgTeacherMain zyJxdgTeacherMain,List<ZyJxdgTeacherCenter> zyJxdgTeacherCenterList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

	void addMap(Map<String, Object> map);

	List<ZyJxdgMain> queryByRwbhList(String id, String teacherNo);

	void editMap(Map<String, Object> map);

	List<ZyJxdgMain> queryZyJxdgMainListByMainId3(ZyJxdgMain zyJxdgMain);
}
