package org.jeecg.modules.kc.zyJxdgTeacherMain.service.impl;

import org.jeecg.modules.kc.zyJxdgTeacherMain.entity.ZyJxdgTeacherCenter;
import org.jeecg.modules.kc.zyJxdgTeacherMain.mapper.ZyJxdgTeacherCenterMapper;
import org.jeecg.modules.kc.zyJxdgTeacherMain.service.IZyJxdgTeacherCenterService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 教师填写教学大纲内容
 * @Author: jeecg-boot
 * @Date:   2024-08-20
 * @Version: V1.0
 */
@Service
public class ZyJxdgTeacherCenterServiceImpl extends ServiceImpl<ZyJxdgTeacherCenterMapper, ZyJxdgTeacherCenter> implements IZyJxdgTeacherCenterService {
	
	@Autowired
	private ZyJxdgTeacherCenterMapper zyJxdgTeacherCenterMapper;
	
	@Override
	public List<ZyJxdgTeacherCenter> selectByMainId(String mainId) {
		return zyJxdgTeacherCenterMapper.selectByMainId(mainId);
	}
}
