package org.jeecg.modules.kc.zyTlq.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 教学大纲
 * @Author: jeecg-boot
 * @Date:   2024-05-11
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class ZyTlqSys implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    @Excel(name = "学期学年", width = 15)
    private String xqxn;
    @Excel(name = "课程名称", width = 15)
    private String kcmc;
    @Excel(name = "授课教师", width = 15)
    private String skjs;
    @Excel(name = "学生姓名", width = 15)
    private String stuName;
    @Excel(name = "学号", width = 15)
    private String stuNo;
    @Excel(name = "发言主题", width = 15)
    private String title;

    private String kcbh;
    private String kkdw;
    private String filePath;
    private String picPath;
    private String content;

    private String jgh;
    private String ywId;
}
