package org.jeecg.modules.kc.zyTlq.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.zyTlq.entity.ZyTlq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.kc.zyTlq.entity.ZyTlqSys;

/**
 * @Description: 讨论区
 * @Author: jeecg-boot
 * @Date:   2024-05-20
 * @Version: V1.0
 */
public interface ZyTlqMapper extends BaseMapper<ZyTlq> {

    IPage<ZyTlqSys> sysList(Page<ZyTlqSys> page, @Param(Constants.WRAPPER) QueryWrapper<ZyTlqSys> queryWrapper, ZyTlqSys zyTlqSys);

    ZyTlq getByKechengId(@Param("id") String id);
}
