package org.jeecg.modules.kc.zyTlq.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.kc.zyTlq.entity.ZyTlq;
import org.jeecg.modules.kc.zyTlq.entity.ZyTlqSys;
import org.jeecg.modules.kc.zyTlq.mapper.ZyTlqMapper;
import org.jeecg.modules.kc.zyTlq.service.IZyTlqService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 讨论区
 * @Author: jeecg-boot
 * @Date:   2024-05-20
 * @Version: V1.0
 */
@Service
public class ZyTlqServiceImpl extends ServiceImpl<ZyTlqMapper, ZyTlq> implements IZyTlqService {

    @Override
    public IPage<ZyTlqSys> sysList(Page<ZyTlqSys> page, QueryWrapper<ZyTlqSys> queryWrapper, ZyTlqSys zyTlqSys) {
        return baseMapper.sysList(page, queryWrapper, zyTlqSys);
    }

    @Override
    public ZyTlq getByKechengId(String id) {
        return baseMapper.getByKechengId(id);
    }
}
