package org.jeecg.modules.tools;

import cn.hutool.core.lang.UUID;
import org.springframework.core.SpringProperties;

import java.io.File;
import java.util.Date;

/**
 * 文件预览（文档转换）
 */
public class FilePreviewUtils {
	
	private static final int wdFormatPDF = 17;
	private static final int xlTypePDF = 0;
	private static final int ppSaveAsPDF = 32;

	public static void mains(String[] args) {

		/*
		 * 使用方式在\static\filetransform中 请自行参考
		 * 
		 * 
		 * 运行完毕后台会对应打出字幕（运行完成） 完成后 在\static\filetransform中找到静态页面
		 * example.html(可粘贴复制到桌面 里面对应链接自行更改（更改之后 运行显示内容） )
		 * 
		 * 
		 * 项目本地实例文件名字 example111word.doc example222word.docx example111ppt.ppt
		 * example222ppt.pptx example111exsl.xls example222exsl.xlsx
		 */
		String fileName = "example111word.doc";// 文件名字随影更换
		// String newFileName=fileName.substring(0,
		// fileName.lastIndexOf("."));//生成新文件名字
		// 获取个人生成代码的项目位置（注意生成代码位置一定不要填错）
		String a = SpringProperties.getProperty("projectPath") + "\\WebContent\\static\\filetransform\\examplefile\\";
		String newUrl = a.replace("\\", "/");
		// 文件全路径 和生成的文件名字
		int time = convert2PDF(newUrl + fileName,
				"生成pdf文件地址    （生成的地址是  tomcat  wepapps下  自己创建的pdf.js文件夹下   详细参考\\static\\filetransform\\usagemethod\\必读.txt）");
		if (time == -4) {
			System.out.println("转化失败，未知错误...");
		} else if (time == -3) {
			System.out.println("原文件就是PDF文件,无需转化...");
		} else if (time == -2) {
			System.out.println("转化失败，文件不存在...");
		} else if (time == -1) {
			System.out.println("转化失败，请重新尝试...");
		} else if (time < -4) {
			System.out.println("转化失败，请重新尝试...");
		} else {
			System.out.println("转化成功，用时：  " + time + "s...");
		}

	}

	public static void main(String[] args) {
		String fileUrl = "E:/bak/fileresource/userresource/1/111 - “”副——本.doc";
		fileUrl = "/userresource/1/111 - “+”副——本.doc";
//		 MAP M = SYSTEM.GETENV();
//		
//		 SYSTEM.OUT.PRINTLN( M.GET("CATALINA_HOME"));
//		File file = new File("."); 
//		String path = file.getParent().getAbsolutePath();
//		System.out.println(System.getProperty("catalina.home"));
//		FilePreviewUtils a = new FilePreviewUtils();
//		System.out.println(a.getTomcatPath());
		
				// ="D:/fileresource/userSwapper/4716fb99f8794a8e8c5d31e428a9f851/门户修改意见.pdf";
		System.out.println(FilePreviewUtils.init(fileUrl, "education"));
	}

	public String getTomcatPath(){
	    String nodepath = this.getClass().getClassLoader().getResource("/").getPath();
	    // 项目的根目录路径  
	    String filePath = nodepath.substring(1, nodepath.length() - 16);
	    return filePath;
	}
	
	/**
	 * 
	 * 
	 * @param fileUrl：文件访问URL路径
	 * @param projectName:项目名称
	 * @return 转换状态str,-100,参数为空
	 */
	public static String init(String fileUrl, String projectName) {
		int msg = -100;
		if ((fileUrl == null && "".equals(fileUrl))) {
			return msg + "|-1";
		}
		FilePreviewUtils thisx = new FilePreviewUtils();
		System.out.println("Tomcat路径--" + thisx.getTomcatPath());
		// String path = fileUrl;
		String path = SpringProperties.getProperty("fileResource.basedir") + fileUrl;

		String filePath = thisx.getTomcatPath() + "" + SpringProperties.getProperty("pdfProject.name");//
		String[] _fileName = fileUrl.split("/");
		// String[] _fileType ={};
		String fileName = "";
		String fileDir = "";
		if (_fileName.length > 0) {
			// _fileType = _fileName[_fileName.length-1].split("\\.");
			// fileName = _fileType[0]+".pdf";
			fileName = UUID.randomUUID() + ".pdf";
			fileDir = filePath;
			filePath += fileName;
		}
		// 判断有没有文件夹
		File dir = new File(fileDir);
		judeDirExists(dir);
		System.out.println("资源路径--" + path);
		System.out.println("生成路径--" + filePath);
		System.out.println("文件夹路径--" + fileDir);
		// String fileName="example111word.doc";//文件名字随影更换
		// String newFileName=fileName.substring(0,
		// fileName.lastIndexOf("."));//生成新文件名字
		// 获取个人生成代码的项目位置（注意生成代码位置一定不要填错）
		// String a =
		// SpringProperties.getProperty("projectPath")+"\\WebContent\\static\\filetransform\\examplefile\\";
		String newFileUrl = path.replace("\\", "/");
		String newFilePath = filePath.replace("\\", "/");

		// 文件全路径 和生成的文件名字
		msg = convert2PDF(newFileUrl, newFilePath);

		if (msg == -4) {
			System.out.println("转化失败，未知错误...");
		} else if (msg == -3) {
			System.out.println("原文件就是PDF文件,无需转化...");
		} else if (msg == -2) {
			System.out.println("转化失败，文件不存在...");
		} else if (msg == -1) {
			System.out.println("转化失败，请重新尝试...");
		} else if (msg < -4) {
			System.out.println("转化失败，请重新尝试...");
		} else {
			System.out.println("转化成功，用时：  " + msg + "s...");
		}

		return msg + "|" + fileName;
	}

	//安装完整路径生成文件
	public static void word2ToPdf(String fileUrl, String newFileUrl) {
		int msg = -100; 
		// 文件全路径 和生成的文件名字
		msg = convert2PDF(fileUrl, newFileUrl);

		if (msg == -4) {
			System.out.println("转化失败，未知错误...");
		} else if (msg == -3) {
			System.out.println("原文件就是PDF文件,无需转化...");
		} else if (msg == -2) {
			System.out.println("转化失败，文件不存在...");
		} else if (msg == -1) {
			System.out.println("转化失败，请重新尝试...");
		} else if (msg < -4) {
			System.out.println("转化失败，请重新尝试...");
		} else {
			System.out.println("转化成功，用时：  " + msg + "s...");
		}
	}

	/**
	 * 
	 * 
	 * @param fileUrl：文件访问URL路径
	 * @param projectName:项目名称
	 * @return 转换状态str,-100,参数为空
	 */
	public static String initHome(String fileUrl, String projectName) {
		int msg = -100;
		if ((fileUrl == null && "".equals(fileUrl))) {
			return msg + "|-1";
		}
		FilePreviewUtils thisx = new FilePreviewUtils();
		System.out.println("Tomcat路径--" + thisx.getTomcatPath());
		// String path = fileUrl;
		String path = SpringProperties.getProperty("userfiles.basedir") + fileUrl;

		String filePath = thisx.getTomcatPath() + "" + SpringProperties.getProperty("pdfProject.name");//
		String[] _fileName = fileUrl.split("/");
		// String[] _fileType ={};
		String fileName = "";
		String fileDir = "";
		if (_fileName.length > 0) {
			
//			 String[] _fileType = _fileName[_fileName.length-1].split("\\.");
//			 _fileTypefileUrl.split(".");
//			 fileName = _fileType[0]+".pdf";
			fileName = UUID.randomUUID() + ".pdf";
			fileDir = filePath;
			filePath += fileName;
		}
		// 判断有没有文件夹
		File dir = new File(fileDir);
		judeDirExists(dir);
		System.out.println("资源路径--" + path);
		System.out.println("生成路径--" + filePath);
		System.out.println("文件夹路径--" + fileDir);
		// String fileName="example111word.doc";//文件名字随影更换
		// String newFileName=fileName.substring(0,
		// fileName.lastIndexOf("."));//生成新文件名字
		// 获取个人生成代码的项目位置（注意生成代码位置一定不要填错）
		// String a =
		// SpringProperties.getProperty("projectPath")+"\\WebContent\\static\\filetransform\\examplefile\\";
		String newFileUrl = path.replace("\\", "/");
		String newFilePath = filePath.replace("\\", "/");

		// 文件全路径 和生成的文件名字
		msg = convert2PDF(newFileUrl, newFilePath);

		if (msg == -4) {
			System.out.println("转化失败，未知错误...");
		} else if (msg == -3) {
			System.out.println("原文件就是PDF文件,无需转化...");
		} else if (msg == -2) {
			System.out.println("转化失败，文件不存在...");
		} else if (msg == -1) {
			System.out.println("转化失败，请重新尝试...");
		} else if (msg < -4) {
			System.out.println("转化失败，请重新尝试...");
		} else {
			System.out.println("转化成功，用时：  " + msg + "s...");
		}

		return msg + "|" + fileName;
	}

	
	
	// 获取尾椎名字（判断文件类型）
	public static String getFileSufix(String fileName) {
		fileName = fileName.toLowerCase();//转化成小写字母
		int splitIndex = fileName.lastIndexOf(".");
		
		return fileName.substring(splitIndex + 1);
	}

	// 主方法调用
	private static int convert2PDF(String inputFile, String pdfFile) {
		// 获取后缀名（判断文件类型）
		String kind = getFileSufix(inputFile);
		File file = new File(inputFile);// 获取文件
		if (!file.exists()) {
			return -2;// 文件不存在
		}
		// if (kind.equals("pdf")) {
		// return -3;//原文件就是PDF文件
		// }
		// 验证属于什么类型文件（根据不同文件走不同方法）
		if (kind.equals("doc") || kind.equals("docx") || kind.equals("txt")) {
			return FilePreviewUtils.word2PDF(inputFile, pdfFile);
		} else if (kind.equals("ppt") || kind.equals("pptx")) {
			return FilePreviewUtils.ppt2PDF(inputFile, pdfFile);
		} else if (kind.equals("xls") || kind.equals("xlsx")) {
			return FilePreviewUtils.Ex2PDF(inputFile, pdfFile);
		}
		if (kind.equals("pdf")) {
			return FilePreviewUtils.addPDF(inputFile, pdfFile);
		} else {
			return -4;
		}
	}

	private static int word2PDF(String inputFile, String pdfFile) {
		try {
//			// 打开Word应用程序
//			ActiveXComponent app = new ActiveXComponent("KWPS.Application");
//			System.out.println("开始转化Word为PDF...");
//			long date = new Date().getTime();
//			// 设置Word不可见
//			app.setProperty("Visible", new Variant(false));
//			// 禁用宏
//			app.setProperty("AutomationSecurity", new Variant(3));
//			// 获得Word中所有打开的文档，返回documents对象
//			Dispatch docs = app.getProperty("Documents").toDispatch();
//			// 调用Documents对象中Open方法打开文档，并返回打开的文档对象Document
//			Dispatch doc = Dispatch.call(docs, "Open", inputFile, false, true).toDispatch();
//
//			Dispatch.call(doc, "ExportAsFixedFormat", pdfFile, wdFormatPDF);// word保存为pdf格式宏，值为17
//			System.out.println(doc);
//			// 关闭文档
//			long date2 = new Date().getTime();
//			int time = (int) ((date2 - date) / 1000);
//
//			Dispatch.call(doc, "Close", false);
//			// 关闭Word应用程序
//			app.invoke("Quit", 0);
//			return time;
			return -2;
		} catch (Exception e) {
			System.out.println(e);
			return -1;
		}

	}

	private static int Ex2PDF(String inputFile, String pdfFile) {
		try {

//			ComThread.InitSTA(true);
//			ActiveXComponent ax = new ActiveXComponent("KET.Application");
//			System.out.println("开始转化Excel为PDF...");
//			long date = new Date().getTime();
//			ax.setProperty("Visible", false);
//			ax.setProperty("AutomationSecurity", new Variant(3)); // 禁用宏
//			Dispatch excels = ax.getProperty("Workbooks").toDispatch();
//
//			Dispatch excel = Dispatch
//					.invoke(excels, "Open", Dispatch.Method,
//							new Object[] { inputFile, new Variant(false), new Variant(false) }, new int[9])
//					.toDispatch();
//			// 转换格式
//			Dispatch.invoke(excel, "ExportAsFixedFormat", Dispatch.Method, new Object[] { new Variant(0), // PDF格式=0
//					pdfFile, new Variant(xlTypePDF) // 0=标准 (生成的PDF图片不会变模糊)
//													// 1=最小文件
//			}, new int[1]);
//
//			long date2 = new Date().getTime();
//			int time = (int) ((date2 - date) / 1000);
//			Dispatch.call(excel, "Close", new Variant(false));
//
//			if (ax != null) {
//				ax.invoke("Quit", new Variant[] {});
//				ax = null;
//			}
//			ComThread.Release();
//			return time;
			return -2;
		} catch (Exception e) {
			System.out.println(e);
			return -1;
		}
	}

	private static int ppt2PDF(String inputFile, String pdfFile) {
		try {
//			ComThread.InitSTA(true);
//			ActiveXComponent app = new ActiveXComponent("KWPP.Application");
//			System.out.println("开始转化PPT为PDF...");
//			long date = new Date().getTime();
//			Dispatch ppts = app.getProperty("Presentations").toDispatch();
//			// 打开ppt返回相应对象
//			Dispatch ppt = Dispatch.call(ppts, "Open", inputFile, true, false).toDispatch();
//			// 对应生成pdf
//			Dispatch.invoke(ppt, "SaveAs", Dispatch.Method, new Object[] { pdfFile, new Variant(ppSaveAsPDF) },
//					new int[1]);
//			System.out.println("PPT");
//			Dispatch.call(ppt, "Close");
//			long date2 = new Date().getTime();
//			int time = (int) ((date2 - date) / 1000);
//			app.invoke("Quit");
//			return time;// 运行秒数
			return -2;
		} catch (Exception e) {
			System.out.println(e);
			return -1;
		}
	}

	private static int addPDF(String inputFile, String pdfFile) {
		try {
			System.out.println("正在复制PDF文档" + inputFile);
			long date = new Date().getTime();
			boolean tf = FileUtils.copyFileCover(inputFile, pdfFile, true);
			System.out.println("复制成功" + pdfFile);
			long date2 = new Date().getTime();
			int time = (int) ((date2 - date) / 1000);
			if (tf) {
				return time;
			} else {
				return -1;
			}
		} catch (Exception e) {
			System.out.println(e);
			return -1;
		}
	}

	// 判断文件夹是否存在
	public static void judeDirExists(File file) {

		if (file.exists()) {
			if (file.isDirectory()) {
				System.out.println("文件夹已存在");
			} else {
				System.out.println("同名文件夹已存在，无法创建目录");
			}
		} else {
			System.out.println("目录不存在，创建中。。。");
			file.mkdir();
		}

	}

}
