package org.jeecg.modules.tools;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.RandomUtil;
import org.jeecg.common.util.UUIDGenerator;

/**
 * 生成UUID
 */
public class IdGen {

	/**
	 * 生成32为ID，例如【9af39bd886d96d100186d96d10e10000】
	 * @return
	 */
	public static String uuid(){
		return UUIDGenerator.generate();
	}


	/**
	 * 生成 19为随机字符（数字+字母） +13位毫秒数 = 32位ID
	 * @return
	 */
	public static String timeId(){
		Long now = DateUtil.current(true);
		return RandomUtil.randomString(19) + now;
	}

	public static void main(String[] args) {
//		System.out.printf(timeId());
//		for (int i = 0; i < 10000000; i++) {
		for (int i = 0; i < 10; i++) {
			System.out.println(i+"\t\t"+ timeId());
//			System.out.println(i+"\t\t"+ uuid());
		}

	}
}
