package org.jeecg.modules.tools.excel;

import lombok.Data;
import org.apache.poi.xssf.usermodel.XSSFCellStyle;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

@Data
public class XSSFCellStyleAndValue {
	private String value;
	private XSSFCellStyle style;

	public XSSFCellStyleAndValue(){
		super();
	}

	public XSSFCellStyleAndValue(String value){
		super();
		this.value = value;
	}

	public XSSFCellStyleAndValue(XSSFWorkbook workbook){
		super();
		style = workbook.createCellStyle();
	}

	public XSSFCellStyleAndValue(String value, XSSFWorkbook workbook){
		super();
		this.value = value;
		style = workbook.createCellStyle();
	}

	public XSSFCellStyleAndValue(String value, XSSFCellStyle style){
		super();
		this.value = value;
		this.style = style;
	}

}
