package org.jeecg.modules.tools.office.convert;

import org.jodconverter.core.DocumentConverter;

import java.io.File;
import java.io.InputStream;

public class OfficeConverterBox {

	private final DocumentConverter documentConverter;

	OfficeConverterBox(DocumentConverter documentConverter) {
		this.documentConverter = documentConverter;
	}

	public OfficeInputBox from(File inpFile) {
		return new OfficeInputBox(this, inpFile);
	}

	public OfficeInputBox from(InputStream inp) {
		return new OfficeInputBox(this, inp, true);
	}

	public OfficeInputBox from(InputStream inp, boolean closeStream) {
		return new OfficeInputBox(this, inp, closeStream);
	}

	DocumentConverter getDocumentConverter() {
		return documentConverter;
	}
}
