package org.jeecg.modules.demo.xxhbjwxtscwjxx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 教务系统上传文件信息
 * @Author: jeecg-boot
 * @Date:   2024-09-02
 * @Version: V1.0
 */
@Data
@TableName("v_jwxt_scwjxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="v_jwxt_scwjxx对象", description="教务系统上传文件信息")
public class JwxtScwjxx implements Serializable {
    private static final long serialVersionUID = 1L;

    /**name*/
    @Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
    private String kcrwdm;
	/**name*/
	@Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
    private String name;
	/**path*/
	@Excel(name = "path", width = 15)
    @ApiModelProperty(value = "path")
    private String path;
	/**cjr*/
	@Excel(name = "cjr", width = 15)
    @ApiModelProperty(value = "cjr")
    private String cjr;
	/**cjsj*/
	@Excel(name = "cjsj", width = 15)
    @ApiModelProperty(value = "cjsj")
    private String cjsj;
    /**fjtype*/
    @Excel(name = "fjtype", width = 15)
    @ApiModelProperty(value = "fjtype")
    private String fjtype;
    /**type*/
    @Excel(name = "type", width = 15)
    @ApiModelProperty(value = "type")
    private String type;
}
