package org.jeecg.modules.demo.xxhbjwxtscwjxx.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 教务系统上传文件信息
 * @Author: jeecg-boot
 * @Date:   2024-09-02
 * @Version: V1.0
 */
@Data
@TableName("xxhbjwxtscwjxx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbjwxtscwjxx对象", description="教务系统上传文件信息")
public class Xxhbjwxtscwjxx implements Serializable {
    private static final long serialVersionUID = 1L;

    /**kcrwdm*/
    @Excel(name = "课程任务代码", width = 15)
    @ApiModelProperty(value = "课程任务代码")
    private String kcrwdm;
	/**name*/
	@Excel(name = "name", width = 15)
    @ApiModelProperty(value = "name")
    private java.lang.String name;
	/**path*/
	@Excel(name = "path", width = 15)
    @ApiModelProperty(value = "path")
    private java.lang.String path;
	/**cjr*/
	@Excel(name = "cjr", width = 15)
    @ApiModelProperty(value = "cjr")
    private java.lang.String cjr;
	/**cjsj*/
	@Excel(name = "cjsj", width = 15)
    @ApiModelProperty(value = "cjsj")
    private java.lang.String cjsj;
    /**fjtype*/
    @Excel(name = "fjtype", width = 15)
    @ApiModelProperty(value = "fjtype")
    private String fjtype;
    /**type*/
    @Excel(name = "type", width = 15)
    @ApiModelProperty(value = "type")
    private String type;
}
