package org.jeecg.modules.demo.xxhbjwxtxsmd.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 教务系统学生名单
 * @Author: jeecg-boot
 * @Date:   2024-09-02
 * @Version: V1.0
 */
@Data
@TableName("v_jwxt_xsmd")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="v_jwxt_xsmd对象", description="教务系统学生名单")
public class JwxtXsmd {
    private static final long serialVersionUID = 1L;

	/**kcrwdm*/
	@Excel(name = "kcrwdm", width = 15)
    @ApiModelProperty(value = "kcrwdm")
    private String kcrwdm;
	/**nj*/
	@Excel(name = "nj", width = 15)
    @ApiModelProperty(value = "nj")
    private String nj;
	/**xsztmc*/
	@Excel(name = "xsztmc", width = 15)
    @ApiModelProperty(value = "xsztmc")
    private String xsztmc;
	/**zymc*/
	@Excel(name = "zymc", width = 15)
    @ApiModelProperty(value = "zymc")
    private String zymc;
	/**xsbh*/
	@Excel(name = "xsbh", width = 15)
    @ApiModelProperty(value = "xsbh")
    private String xsbh;
	/**xsxm*/
	@Excel(name = "xsxm", width = 15)
    @ApiModelProperty(value = "xsxm")
    private String xsxm;
	/**kcmc*/
	@Excel(name = "kcmc", width = 15)
    @ApiModelProperty(value = "kcmc")
    private String kcmc;
	/**kclb*/
	@Excel(name = "kclb", width = 15)
    @ApiModelProperty(value = "kclb")
    private String kclb;
	/**teaxm*/
	@Excel(name = "teaxm", width = 15)
    @ApiModelProperty(value = "teaxm")
    private String teaxm;
	/**cj1*/
	@Excel(name = "cj1", width = 15)
    @ApiModelProperty(value = "cj1")
    private String cj1;
	/**cj2*/
	@Excel(name = "cj2", width = 15)
    @ApiModelProperty(value = "cj2")
    private String cj2;
	/**cj3*/
	@Excel(name = "cj3", width = 15)
    @ApiModelProperty(value = "cj3")
    private String cj3;
	/**cj4*/
	@Excel(name = "cj4", width = 15)
    @ApiModelProperty(value = "cj4")
    private String cj4;
	/**cj5*/
	@Excel(name = "cj5", width = 15)
    @ApiModelProperty(value = "cj5")
    private String cj5;
	/**cj1mc*/
	@Excel(name = "cj1mc", width = 15)
    @ApiModelProperty(value = "cj1mc")
    private String cj1mc;
	/**cj2mc*/
	@Excel(name = "cj2mc", width = 15)
    @ApiModelProperty(value = "cj2mc")
    private String cj2mc;
	/**cj3mc*/
	@Excel(name = "cj3mc", width = 15)
    @ApiModelProperty(value = "cj3mc")
    private String cj3mc;
	/**cj4mc*/
	@Excel(name = "cj4mc", width = 15)
    @ApiModelProperty(value = "cj4mc")
    private String cj4mc;
	/**cj5mc*/
	@Excel(name = "cj5mc", width = 15)
    @ApiModelProperty(value = "cj5mc")
    private String cj5mc;
	/**zcj*/
	@Excel(name = "zcj", width = 15)
    @ApiModelProperty(value = "zcj")
    private String zcj;
	/**cjfsmc*/
	@Excel(name = "cjfsmc", width = 15)
    @ApiModelProperty(value = "cjfsmc")
    private String cjfsmc;
	/**xdfsmc*/
	@Excel(name = "xdfsmc", width = 15)
    @ApiModelProperty(value = "xdfsmc")
    private String xdfsmc;
	/**ksxzmc*/
	@Excel(name = "ksxzmc", width = 15)
    @ApiModelProperty(value = "ksxzmc")
    private String ksxzmc;
    /**jxbrs*/
    @Excel(name = "jxbrs", width = 15)
    @ApiModelProperty(value = "jxbrs")
    private String jxbrs;
}
