package org.jeecg.modules.demo.xxhbjwxtxsmd.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 教务系统学生名单
 * @Author: jeecg-boot
 * @Date:   2024-09-02
 * @Version: V1.0
 */
@Data
@TableName("xxhbjwxtxsmd")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbjwxtxsmd对象", description="教务系统学生名单")
public class Xxhbjwxtxsmd implements Serializable {
    private static final long serialVersionUID = 1L;

	/**kcrwdm*/
	@Excel(name = "kcrwdm", width = 15)
    @ApiModelProperty(value = "kcrwdm")
    private java.lang.String kcrwdm;
	/**nj*/
	@Excel(name = "nj", width = 15)
    @ApiModelProperty(value = "nj")
    private java.lang.String nj;
	/**xsztmc*/
	@Excel(name = "xsztmc", width = 15)
    @ApiModelProperty(value = "xsztmc")
    private java.lang.String xsztmc;
	/**zymc*/
	@Excel(name = "zymc", width = 15)
    @ApiModelProperty(value = "zymc")
    private java.lang.String zymc;
	/**xsbh*/
	@Excel(name = "xsbh", width = 15)
    @ApiModelProperty(value = "xsbh")
    private java.lang.String xsbh;
	/**xsxm*/
	@Excel(name = "xsxm", width = 15)
    @ApiModelProperty(value = "xsxm")
    private java.lang.String xsxm;
	/**kcmc*/
	@Excel(name = "kcmc", width = 15)
    @ApiModelProperty(value = "kcmc")
    private java.lang.String kcmc;
	/**kclb*/
	@Excel(name = "kclb", width = 15)
    @ApiModelProperty(value = "kclb")
    private java.lang.String kclb;
	/**teaxm*/
	@Excel(name = "teaxm", width = 15)
    @ApiModelProperty(value = "teaxm")
    private java.lang.String teaxm;
	/**cj1*/
	@Excel(name = "cj1", width = 15)
    @ApiModelProperty(value = "cj1")
    private java.lang.String cj1;
	/**cj2*/
	@Excel(name = "cj2", width = 15)
    @ApiModelProperty(value = "cj2")
    private java.lang.String cj2;
	/**cj3*/
	@Excel(name = "cj3", width = 15)
    @ApiModelProperty(value = "cj3")
    private java.lang.String cj3;
	/**cj4*/
	@Excel(name = "cj4", width = 15)
    @ApiModelProperty(value = "cj4")
    private java.lang.String cj4;
	/**cj5*/
	@Excel(name = "cj5", width = 15)
    @ApiModelProperty(value = "cj5")
    private java.lang.String cj5;
	/**cj1mc*/
	@Excel(name = "cj1mc", width = 15)
    @ApiModelProperty(value = "cj1mc")
    private java.lang.String cj1mc;
	/**cj2mc*/
	@Excel(name = "cj2mc", width = 15)
    @ApiModelProperty(value = "cj2mc")
    private java.lang.String cj2mc;
	/**cj3mc*/
	@Excel(name = "cj3mc", width = 15)
    @ApiModelProperty(value = "cj3mc")
    private java.lang.String cj3mc;
	/**cj4mc*/
	@Excel(name = "cj4mc", width = 15)
    @ApiModelProperty(value = "cj4mc")
    private java.lang.String cj4mc;
	/**cj5mc*/
	@Excel(name = "cj5mc", width = 15)
    @ApiModelProperty(value = "cj5mc")
    private java.lang.String cj5mc;
	/**zcj*/
	@Excel(name = "zcj", width = 15)
    @ApiModelProperty(value = "zcj")
    private java.lang.String zcj;
	/**cjfsmc*/
	@Excel(name = "cjfsmc", width = 15)
    @ApiModelProperty(value = "cjfsmc")
    private java.lang.String cjfsmc;
	/**xdfsmc*/
	@Excel(name = "xdfsmc", width = 15)
    @ApiModelProperty(value = "xdfsmc")
    private java.lang.String xdfsmc;
	/**ksxzmc*/
	@Excel(name = "ksxzmc", width = 15)
    @ApiModelProperty(value = "ksxzmc")
    private java.lang.String ksxzmc;
    /**jxbrs*/
    @Excel(name = "jxbrs", width = 15)
    @ApiModelProperty(value = "jxbrs")
    private String jxbrs;
}
