package org.jeecg.modules.kc.blZycc.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: bl_zycc
 * @Author: jeecg-boot
 * @Date:   2024-04-13
 * @Version: V1.0
 */
@Data
@TableName("bl_zycc")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="bl_zycc对象", description="bl_zycc")
public class BlZycc implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
    @ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
    @ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**filePath*/
	@Excel(name = "filePath", width = 15)
    @ApiModelProperty(value = "filePath")
    private java.lang.String filePath;

    private String paperid;
    private String cateid;
    private String catename;
    private String content;
//    private String message;

    @TableField(exist = false)
    private String xnpaperid;
    @TableField(exist = false)
    private String aigcpaperid;
    @TableField(exist = false)
    private String xnfilePath;
    @TableField(exist = false)
    private String aigcfilePath;
    @TableField(exist = false)
    private String message;
    @TableField(exist = false)
    private String facefilePath;
    @TableField(exist = false)
    private String rllfilePath;


}
