package org.jeecg.modules.kc.detection.job;

import org.jeecg.modules.kc.detection.service.IKcDetectionDetailedService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

import javax.annotation.Resource;

/**
 * @ClassName DetectionJob
 * @Description 定时抓取
 * @Author bai
 * @Date 2024/5/7 16:48
 * @Version 1.0
 **/
public class DetectionJob implements Job {

	@Resource
	private IKcDetectionDetailedService detectionDetailedService;

	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		detectionDetailedService.videoScreenshotAll();
	}
}
