package org.jeecg.modules.kc.grab.SynchronizationService;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.kcEvaluationsStat.entity.KcEvaluationsStat;
import org.jeecg.modules.kc.kcEvaluationsStat.service.IKcEvaluationsStatService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Slf4j
public class SyncEvaluationsOldStat extends BaseSync {

    @Autowired
    private IKcEvaluationsStatService kcEvaluationsStatService;


    @Autowired
    private IKcSysConfigService kcSysConfigService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现-老版评价表
     * @param param
     */
    public void run(Map<String, Object> param){
        kcEvaluationsStatService.updateHuanhang();//修改换行数据
        List<KcEvaluationsStat> lbpjblist = kcEvaluationsStatService.getLbpjbSyncList();

        KcSysConfig kcSysConfig = kcSysConfigService.getById("1");
        for(KcEvaluationsStat KcEvaluationsStat:lbpjblist){
            KcEvaluationsStat.setXqxn(kcSysConfig.getFlag1());
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getLbpjbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                if(StringUtils.isNotBlank(entity.getCol01()) && StringUtils.isNotBlank(entity.getCol02())){
                    System.out.println("lbpjb----"+entity.getCol00());
                    kcEvaluationsStatService.save(entity);
                }
            }
        }
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
