package org.jeecg.modules.kc.grab.SynchronizationService;

import cn.hutool.core.bean.BeanUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.utils.Lists;
import org.hibernate.jdbc.Expectation;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.grab.exports.entity.TJwKckb;
import org.jeecg.modules.kc.grab.exports.service.ITJwKckbService;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbkckb;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbsynclog;
import org.jeecg.modules.kc.grab.imports.service.IXxhbkckbService;
import org.jeecg.modules.kc.kcEvaluationsStat.entity.KcEvaluationsStat;
import org.jeecg.modules.kc.kcEvaluationsStat.service.IKcEvaluationsStatService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
public class SyncEvaluationsStat extends BaseSync {

    @Autowired
    private IKcEvaluationsStatService kcEvaluationsStatService;


    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        List<KcEvaluationsStat> ybtkblist = kcEvaluationsStatService.getYbtkbSyncList();

        for(KcEvaluationsStat KcEvaluationsStat:ybtkblist){
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getYbtkbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col1726 = entity.getCol1726();
                if(col1726.length()>0){
                    System.out.println("ybtkb----"+entity.getCol00());
                    String arr[] = col1726.split("@");
                    try {
                        entity.setCol18(arr[1]);
                    }catch (Exception e){
                        entity.setCol18("");
                    }
                    try {
                        entity.setCol19(arr[2]);
                    }catch (Exception e){
                        entity.setCol19("");
                    }
                    try {
                        entity.setCol20(arr[3]);
                    }catch (Exception e){
                        entity.setCol20("");
                    }
                    try {
                        entity.setCol21(arr[4]);
                    }catch (Exception e){
                        entity.setCol21("");
                    }
                    try {
                        entity.setCol22(arr[5]);
                    }catch (Exception e){
                        entity.setCol22("");
                    }
                    try {
                        entity.setCol23(arr[6]);
                    }catch (Exception e){
                        entity.setCol23("");
                    }
                    try {
                        entity.setCol24(arr[7]);
                    }catch (Exception e){
                        entity.setCol24("");
                    }
                    try {
                        entity.setCol25(arr[8]);
                    }catch (Exception e){
                        entity.setCol25("");
                    }
                    try {
                        entity.setCol26(arr[9]);
                    }catch (Exception e){
                        entity.setCol26("");
                    }
                    try {
                        entity.setCol1726(arr[0]);
                    }catch (Exception e){
                        entity.setCol1726("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }


        List<KcEvaluationsStat> xstkblist = kcEvaluationsStatService.getXstkbSyncList();
        for(KcEvaluationsStat KcEvaluationsStat:xstkblist){
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getXstkbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col4655 = entity.getCol4655();
                if(col4655.length()>0){
                    System.out.println("xstkb----"+entity.getCol00());
                    String arr[] = col4655.split("@");
                    try {
                        entity.setCol47(arr[1]);
                    }catch (Exception e){
                        entity.setCol47("");
                    }
                    try {
                        entity.setCol48(arr[2]);
                    }catch (Exception e){
                        entity.setCol48("");
                    }
                    try {
                        entity.setCol49(arr[3]);
                    }catch (Exception e){
                        entity.setCol49("");
                    }
                    try {
                        entity.setCol50(arr[4]);
                    }catch (Exception e){
                        entity.setCol50("");
                    }
                    try {
                        entity.setCol51(arr[5]);
                    }catch (Exception e){
                        entity.setCol51("");
                    }
                    try {
                        entity.setCol52(arr[6]);
                    }catch (Exception e){
                        entity.setCol52("");
                    }
                    try {
                        entity.setCol53(arr[7]);
                    }catch (Exception e){
                        entity.setCol53("");
                    }
                    try {
                        entity.setCol54(arr[8]);
                    }catch (Exception e){
                        entity.setCol54("");
                    }
                    try {
                        entity.setCol55(arr[9]);
                    }catch (Exception e){
                        entity.setCol55("");
                    }
                    try {
                        entity.setCol4655(arr[0]);
                    }catch (Exception e){
                        entity.setCol4655("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }

        List<KcEvaluationsStat> thpjblist = kcEvaluationsStatService.getThpjbSyncList();
        for(KcEvaluationsStat KcEvaluationsStat:thpjblist){
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getThpjbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col2745 = entity.getCol2745();
                if(col2745.length()>0){
                    System.out.println("thpjb----"+entity.getCol00());
                    String arr[] = col2745.split("@");
                    try {
                        entity.setCol28(arr[1]);
                    }catch (Exception e){
                        entity.setCol28("");
                    }
                    try {
                        entity.setCol29(arr[2]);
                    }catch (Exception e){
                        entity.setCol29("");
                    }
                    try {
                        entity.setCol30(arr[3]);
                    }catch (Exception e){
                        entity.setCol30("");
                    }
                    try {
                        entity.setCol31(arr[4]);
                    }catch (Exception e){
                        entity.setCol31("");
                    }
                    try {
                        entity.setCol32(arr[5]);
                    }catch (Exception e){
                        entity.setCol32("");
                    }
                    try {
                        entity.setCol33(arr[6]);
                    }catch (Exception e){
                        entity.setCol33("");
                    }
                    try {
                        entity.setCol34(arr[7]);
                    }catch (Exception e){
                        entity.setCol34("");
                    }
                    try {
                        entity.setCol35(arr[8]);
                    }catch (Exception e){
                        entity.setCol35("");
                    }
                    try {
                        entity.setCol36(arr[9]);
                    }catch (Exception e){
                        entity.setCol36("");
                    }
                    try {
                        entity.setCol37(arr[10]);
                    }catch (Exception e){
                        entity.setCol37("");
                    }
                    try {
                        entity.setCol38(arr[11]);
                    }catch (Exception e){
                        entity.setCol38("");
                    }
                    try {
                        entity.setCol39(arr[12]);
                    }catch (Exception e){
                        entity.setCol39("");
                    }
                    try {
                        entity.setCol40(arr[13]);
                    }catch (Exception e){
                        entity.setCol40("");
                    }
                    try {
                        entity.setCol41(arr[14]);
                    }catch (Exception e){
                        entity.setCol41("");
                    }
                    try {
                        entity.setCol42(arr[15]);
                    }catch (Exception e){
                        entity.setCol42("");
                    }
                    try {
                        entity.setCol43(arr[16]);
                    }catch (Exception e){
                        entity.setCol43("");
                    }
                    try {
                        entity.setCol44(arr[17]);
                    }catch (Exception e){
                        entity.setCol44("");
                    }
                    try {
                        entity.setCol45(arr[18]);
                    }catch (Exception e){
                        entity.setCol45("");
                    }

                    try {
                        entity.setCol2745(arr[0]);
                    }catch (Exception e){
                        entity.setCol2745("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }

        //最后的保存
//        kcEvaluationsStatService.saveBatch(inslist);

    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
