package org.jeecg.modules.kc.grab.SynchronizationService;

import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.kcEvaluationsStat.entity.KcEvaluationsStat;
import org.jeecg.modules.kc.kcEvaluationsStat.service.IKcEvaluationsStatService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Slf4j
public class SyncEvaluationsThpjbStat extends BaseSync {

    @Autowired
    private IKcEvaluationsStatService kcEvaluationsStatService;

    @Autowired
    private IKcSysConfigService kcSysConfigService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        List<KcEvaluationsStat> thpjblist = kcEvaluationsStatService.getThpjbSyncList();


        KcSysConfig kcSysConfig = kcSysConfigService.getById("1");

        for(KcEvaluationsStat KcEvaluationsStat:thpjblist){
            KcEvaluationsStat.setXqxn(kcSysConfig.getFlag1());
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getThpjbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col2745 = entity.getCol2745();
                if(col2745.length()>0){
                    System.out.println("thpjb----"+entity.getCol00());
                    String arr[] = col2745.split("@");
                    try {
                        entity.setCol28(arr[1]);
                    }catch (Exception e){
                        entity.setCol28("");
                    }
                    try {
                        entity.setCol29(arr[2]);
                    }catch (Exception e){
                        entity.setCol29("");
                    }
                    try {
                        entity.setCol30(arr[3]);
                    }catch (Exception e){
                        entity.setCol30("");
                    }
                    try {
                        entity.setCol31(arr[4]);
                    }catch (Exception e){
                        entity.setCol31("");
                    }
                    try {
                        entity.setCol32(arr[5]);
                    }catch (Exception e){
                        entity.setCol32("");
                    }
                    try {
                        entity.setCol33(arr[6]);
                    }catch (Exception e){
                        entity.setCol33("");
                    }
                    try {
                        entity.setCol34(arr[7]);
                    }catch (Exception e){
                        entity.setCol34("");
                    }
                    try {
                        entity.setCol35(arr[8]);
                    }catch (Exception e){
                        entity.setCol35("");
                    }
                    try {
                        entity.setCol36(arr[9]);
                    }catch (Exception e){
                        entity.setCol36("");
                    }
                    try {
                        entity.setCol37(arr[10]);
                    }catch (Exception e){
                        entity.setCol37("");
                    }
                    try {
                        entity.setCol38(arr[11]);
                    }catch (Exception e){
                        entity.setCol38("");
                    }
                    try {
                        entity.setCol39(arr[12]);
                    }catch (Exception e){
                        entity.setCol39("");
                    }
                    try {
                        entity.setCol40(arr[13]);
                    }catch (Exception e){
                        entity.setCol40("");
                    }
                    try {
                        entity.setCol41(arr[14]);
                    }catch (Exception e){
                        entity.setCol41("");
                    }
                    try {
                        entity.setCol42(arr[15]);
                    }catch (Exception e){
                        entity.setCol42("");
                    }
                    try {
                        entity.setCol43(arr[16]);
                    }catch (Exception e){
                        entity.setCol43("");
                    }
                    try {
                        entity.setCol44(arr[17]);
                    }catch (Exception e){
                        entity.setCol44("");
                    }
                    try {
                        entity.setCol45(arr[18]);
                    }catch (Exception e){
                        entity.setCol45("");
                    }

                    try {
                        entity.setCol2745(arr[0]);
                    }catch (Exception e){
                        entity.setCol2745("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }

        //最后的保存
//        kcEvaluationsStatService.saveBatch(inslist);

    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
