package org.jeecg.modules.kc.grab.SynchronizationService;

import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.kcEvaluationsStat.entity.KcEvaluationsStat;
import org.jeecg.modules.kc.kcEvaluationsStat.service.IKcEvaluationsStatService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Slf4j
public class SyncEvaluationsXstkbStat extends BaseSync {

    @Autowired
    private IKcEvaluationsStatService kcEvaluationsStatService;


    @Autowired
    private IKcSysConfigService kcSysConfigService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){

        KcSysConfig kcSysConfig = kcSysConfigService.getById("1");
        List<KcEvaluationsStat> xstkblist = kcEvaluationsStatService.getXstkbSyncList();
        for(KcEvaluationsStat KcEvaluationsStat:xstkblist){
            KcEvaluationsStat.setXqxn(kcSysConfig.getFlag1());
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getXstkbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col4655 = entity.getCol4655();
                if(col4655.length()>0){
                    System.out.println("xstkb----"+entity.getCol00());
                    String arr[] = col4655.split("@");
                    try {
                        entity.setCol47(arr[1]);
                    }catch (Exception e){
                        entity.setCol47("");
                    }
                    try {
                        entity.setCol48(arr[2]);
                    }catch (Exception e){
                        entity.setCol48("");
                    }
                    try {
                        entity.setCol49(arr[3]);
                    }catch (Exception e){
                        entity.setCol49("");
                    }
                    try {
                        entity.setCol50(arr[4]);
                    }catch (Exception e){
                        entity.setCol50("");
                    }
                    try {
                        entity.setCol51(arr[5]);
                    }catch (Exception e){
                        entity.setCol51("");
                    }
                    try {
                        entity.setCol52(arr[6]);
                    }catch (Exception e){
                        entity.setCol52("");
                    }
                    try {
                        entity.setCol53(arr[7]);
                    }catch (Exception e){
                        entity.setCol53("");
                    }
                    try {
                        entity.setCol54(arr[8]);
                    }catch (Exception e){
                        entity.setCol54("");
                    }
                    try {
                        entity.setCol55(arr[9]);
                    }catch (Exception e){
                        entity.setCol55("");
                    }
                    try {
                        entity.setCol4655(arr[0]);
                    }catch (Exception e){
                        entity.setCol4655("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }


        //最后的保存
//        kcEvaluationsStatService.saveBatch(inslist);

    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
