package org.jeecg.modules.kc.grab.SynchronizationService;

import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.kcEvaluationsStat.entity.KcEvaluationsStat;
import org.jeecg.modules.kc.kcEvaluationsStat.service.IKcEvaluationsStatService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Slf4j
public class SyncEvaluationsYbtkbStat extends BaseSync {

    @Autowired
    private IKcEvaluationsStatService kcEvaluationsStatService;


    @Autowired
    private IKcSysConfigService kcSysConfigService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        kcEvaluationsStatService.updateHuanhang();//修改换行数据
        List<KcEvaluationsStat> ybtkblist = kcEvaluationsStatService.getYbtkbSyncList();

        KcSysConfig kcSysConfig = kcSysConfigService.getById("1");
        for(KcEvaluationsStat KcEvaluationsStat:ybtkblist){
            KcEvaluationsStat.setXqxn(kcSysConfig.getFlag1());
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getYbtkbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col1726 = entity.getCol1726();
                if(col1726.length()>0){
                    System.out.println("ybtkb----"+entity.getCol00());
                    String arr[] = col1726.split("@");
                    try {
                        entity.setCol18(arr[1]);
                    }catch (Exception e){
                        entity.setCol18("");
                    }
                    try {
                        entity.setCol19(arr[2]);
                    }catch (Exception e){
                        entity.setCol19("");
                    }
                    try {
                        entity.setCol20(arr[3]);
                    }catch (Exception e){
                        entity.setCol20("");
                    }
                    try {
                        entity.setCol21(arr[4]);
                    }catch (Exception e){
                        entity.setCol21("");
                    }
                    try {
                        entity.setCol22(arr[5]);
                    }catch (Exception e){
                        entity.setCol22("");
                    }
                    try {
                        entity.setCol23(arr[6]);
                    }catch (Exception e){
                        entity.setCol23("");
                    }
                    try {
                        entity.setCol24(arr[7]);
                    }catch (Exception e){
                        entity.setCol24("");
                    }
                    try {
                        entity.setCol25(arr[8]);
                    }catch (Exception e){
                        entity.setCol25("");
                    }
                    try {
                        entity.setCol26(arr[9]);
                    }catch (Exception e){
                        entity.setCol26("");
                    }
                    try {
                        entity.setCol1726(arr[0]);
                    }catch (Exception e){
                        entity.setCol1726("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }



        List<KcEvaluationsStat> ybtkb2list = kcEvaluationsStatService.getYbtkbTwoSyncList();
        for(KcEvaluationsStat KcEvaluationsStat:ybtkb2list){
            KcEvaluationsStat.setXqxn(kcSysConfig.getFlag1());
            List<KcEvaluationsStat> entityList = kcEvaluationsStatService.getYbtkbJxsjSyncList(KcEvaluationsStat);
            if(entityList!=null && entityList.size()>0){
                KcEvaluationsStat entity = entityList.get(0);
                String col1726 = entity.getCol1726();
                if(col1726.length()>0){
                    System.out.println("ybtkb----"+entity.getCol00());
                    String arr[] = col1726.split("@");
                    try {
                        entity.setCol18(arr[1]);
                    }catch (Exception e){
                        entity.setCol18("");
                    }
                    try {
                        entity.setCol19(arr[2]);
                    }catch (Exception e){
                        entity.setCol19("");
                    }
                    try {
                        entity.setCol20(arr[3]);
                    }catch (Exception e){
                        entity.setCol20("");
                    }
                    try {
                        entity.setCol21(arr[4]);
                    }catch (Exception e){
                        entity.setCol21("");
                    }
                    try {
                        entity.setCol22(arr[5]);
                    }catch (Exception e){
                        entity.setCol22("");
                    }
                    try {
                        entity.setCol23(arr[6]);
                    }catch (Exception e){
                        entity.setCol23("");
                    }
                    try {
                        entity.setCol24(arr[7]);
                    }catch (Exception e){
                        entity.setCol24("");
                    }
                    try {
                        entity.setCol25(arr[8]);
                    }catch (Exception e){
                        entity.setCol25("");
                    }
                    try {
                        entity.setCol26(arr[9]);
                    }catch (Exception e){
                        entity.setCol26("");
                    }
                    try {
                        entity.setCol1726(arr[0]);
                    }catch (Exception e){
                        entity.setCol1726("");
                    }
                    kcEvaluationsStatService.save(entity);
                }
            }
        }

        //最后的保存
//        kcEvaluationsStatService.saveBatch(inslist);

    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
