package org.jeecg.modules.kc.grab.SynchronizationService;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.utils.Lists;
import org.jeecg.common.util.DateUtils;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.grab.exports.entity.TJwKckb;
import org.jeecg.modules.kc.grab.exports.service.ITJwKckbService;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbkckb;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbsynclog;
import org.jeecg.modules.kc.grab.imports.service.IXxhbkckbService;
import org.jeecg.modules.kc.kcSysConfig.entity.KcSysConfig;
import org.jeecg.modules.kc.kcSysConfig.service.IKcSysConfigService;
import org.jeecg.modules.kc.ktgl.entity.KcKechengbiao;
import org.jeecg.modules.kc.ktgl.entity.KcKetangbiao;
import org.jeecg.modules.kc.ktgl.service.IKcKechengbiaoService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 更具原始数据表初始化课程表
 */
@Slf4j
public class SyncKcKechengbiao extends BaseSync {

    @Autowired
    private IKcKechengbiaoService kcKechengbiaoService;

    @Autowired
    private IKcSysConfigService kcSysConfigService;

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){

        try {

            //更新历史数据
//            KcKechengbiao KcKechengbiaohis = new KcKechengbiao();
//            KcKechengbiaohis.setTs(DateUtils.formatDate(new Date(),"yyyyMMddHHmmss"));
//            kcKechengbiaoService.saveHis(KcKechengbiaohis);

            //保留历史数据但是删除当前学期的数据
//            KcSysConfig kcSysConfig = kcSysConfigService.getById("1");
//            String bxqkssj = kcSysConfig.getBxqkssj();
//            String bxqjssj = kcSysConfig.getBxqjssj();
            //删除当前数据
            QueryWrapper<KcKechengbiao> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("xnxq","2022-2023-02");
            kcKechengbiaoService.remove(queryWrapper);

//        KcSysConfig kcSysConfig = kcSysConfigService.getById("1");
            KcKechengbiao kcKechengbiao = new KcKechengbiao();
//        kcKechengbiao.setStartTime(kcSysConfig.getBxqkssj());
//        kcKechengbiao.setEndTime(kcSysConfig.getBxqjssj());
            int syncNum = kcKechengbiaoService.syncKechengbiao(kcKechengbiao);
            log.info("数据条数"+syncNum);
            Xxhbsynclog xxhbsynclog = new Xxhbsynclog();
            xxhbsynclog.setSyncRowNum(String.valueOf(syncNum));
            saveLog(xxhbsynclog, KcKechengbiao.class);
        }catch (Exception e){
            Xxhbsynclog xxhbsynclog = new Xxhbsynclog();
            xxhbsynclog.setSyncRowNum(String.valueOf(-1));
            xxhbsynclog.setErrormessage(e.getMessage());
            saveLog(xxhbsynclog, KcKechengbiao.class);
        }
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
