package org.jeecg.modules.kc.grab.SynchronizationService;

import cn.hutool.core.bean.BeanUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.utils.Lists;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.grab.exports.entity.TBks;
import org.jeecg.modules.kc.grab.exports.entity.Tdmjzgdqzt;
import org.jeecg.modules.kc.grab.exports.service.ITBksService;
import org.jeecg.modules.kc.grab.exports.service.ITdmjzgdqztService;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbbks;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbjzgdqzt;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbsynclog;
import org.jeecg.modules.kc.grab.imports.service.IXxhbbksService;
import org.jeecg.modules.kc.grab.imports.service.IXxhbxjzgdqztService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Slf4j
public class SyncTdmjzgdqzt extends BaseSync {

    @Autowired
    private ITdmjzgdqztService tdmjzgdqztService;

    @Autowired
    private IXxhbxjzgdqztService xxhbxjzgdqztService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext) {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        //查询数据
        List<Tdmjzgdqzt> inDataList = tdmjzgdqztService.list();
        List<Xxhbjzgdqzt> outDataList = Lists.newArrayList();

        //清洗数据
        inDataList.forEach(x -> outDataList.add(BeanUtil.toBean(x, Xxhbjzgdqzt.class)));

        //保存到胃
        try {
            xxhbxjzgdqztService.syncList(outDataList);
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
