package org.jeecg.modules.kc.grab.SynchronizationService;

import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.kc.grab.SynchronizationService.base.BaseSync;
import org.jeecg.modules.kc.wjxWjxx.service.IWjxWjxxService;
import org.jeecg.modules.kc.zyCcjg.service.IZyCcjgService;
import org.jeecg.modules.kc.zyInfo.service.IZyInfoService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Map;

/**
 * 值修改外网查重《大学生版，检测次数不足》的作业信息
 */
@Slf4j
public class SyncZyCxtjWwcc extends BaseSync {

    @Autowired
    private IZyCcjgService zyCcjgService;

    @Autowired
    private IZyInfoService zyInfoService;
    @Autowired
    private IWjxWjxxService wjxWjxxService;

    /**
     * 若参数变量名修改 QuartzJobController中也需对应修改
     */

    @Override
    public void execute(JobExecutionContext jobExecutionContext)  {
        start();
        run(getParamMap());
        end();
    }


    /**
     * 有参定时任务实现
     * @param param
     */
    public void run(Map<String, Object> param){
        try {
            //值修改外网查重《大学生版，检测次数不足》的作业信息
            zyCcjgService.getCxtjWwcc();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 无参定时任务实现
     */
    public void run(){
        run(null);
    }

}
