package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_BKS-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-10
 * @Version: V1.0
 */
@Data
@TableName("T_BKS")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_BKS对象", description="T_BKS-抓取")
public class TBks {
    
	/**xh*/
	@Excel(name = "xh", width = 15)
    @ApiModelProperty(value = "xh")
	@TableId
	private java.lang.String xh;
	/**xm*/
	@Excel(name = "xm", width = 15)
    @ApiModelProperty(value = "xm")
	private java.lang.String xm;
	/**xbm*/
	@Excel(name = "xbm", width = 15)
    @ApiModelProperty(value = "xbm")
	private java.lang.String xbm;
	/**yxh*/
	@Excel(name = "yxh", width = 15)
    @ApiModelProperty(value = "yxh")
	private java.lang.String yxh;
	/**dwmc*/
	@Excel(name = "dwmc", width = 15)
    @ApiModelProperty(value = "dwmc")
	private java.lang.String dwmc;
	/**zyh*/
	@Excel(name = "zyh", width = 15)
    @ApiModelProperty(value = "zyh")
	private java.lang.String zyh;
	/**zymc*/
	@Excel(name = "zymc", width = 15)
    @ApiModelProperty(value = "zymc")
	private java.lang.String zymc;
	/**xqm*/
	@Excel(name = "xqm", width = 15)
    @ApiModelProperty(value = "xqm")
	private java.lang.String xqm;
	/**nj*/
	@Excel(name = "nj", width = 15)
    @ApiModelProperty(value = "nj")
	private java.lang.String nj;
	/**xjztdm*/
	@Excel(name = "xjztdm", width = 15)
    @ApiModelProperty(value = "xjztdm")
	private java.lang.String xjztdm;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
}
