package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_DW-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_DW")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_DW对象", description="T_DW-抓取")
public class TDw {
    
	/**dwh*/
	@Excel(name = "dwh", width = 15)
    @ApiModelProperty(value = "dwh")
	@TableId
	private java.lang.String dwh;
	/**sfyxm*/
	@Excel(name = "sfyxm", width = 15)
    @ApiModelProperty(value = "sfyxm")
	private java.lang.String sfyxm;
	/**gkbmh*/
	@Excel(name = "gkbmh", width = 15)
    @ApiModelProperty(value = "gkbmh")
	private java.lang.String gkbmh;
	/**ssdwh*/
	@Excel(name = "ssdwh", width = 15)
    @ApiModelProperty(value = "ssdwh")
	private java.lang.String ssdwh;
	/**dwlbdm*/
	@Excel(name = "dwlbdm", width = 15)
    @ApiModelProperty(value = "dwlbdm")
	private java.lang.String dwlbdm;
	/**clrq*/
	@Excel(name = "clrq", width = 15)
    @ApiModelProperty(value = "clrq")
	private java.lang.String clrq;
	/**dwmc*/
	@Excel(name = "dwmc", width = 15)
    @ApiModelProperty(value = "dwmc")
	private java.lang.String dwmc;
	/**sfgkm*/
	@Excel(name = "sfgkm", width = 15)
    @ApiModelProperty(value = "sfgkm")
	private java.lang.String sfgkm;
	/**hsbmh*/
	@Excel(name = "hsbmh", width = 15)
    @ApiModelProperty(value = "hsbmh")
	private java.lang.String hsbmh;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
	/**dwjc*/
	@Excel(name = "dwjc", width = 15)
    @ApiModelProperty(value = "dwjc")
	private java.lang.String dwjc;
	/**hdbzs*/
	@Excel(name = "hdbzs", width = 15)
    @ApiModelProperty(value = "hdbzs")
	private java.math.BigDecimal hdbzs;
	/**dwywmc*/
	@Excel(name = "dwywmc", width = 15)
    @ApiModelProperty(value = "dwywmc")
	private java.lang.String dwywmc;
	/**sfhsm*/
	@Excel(name = "sfhsm", width = 15)
    @ApiModelProperty(value = "sfhsm")
	private java.lang.String sfhsm;
	/**yjbmdwh*/
	@Excel(name = "yjbmdwh", width = 15)
    @ApiModelProperty(value = "yjbmdwh")
	private java.lang.String yjbmdwh;
}
