package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: xxhbbkjxtkpj
 * @Author: jeecg-boot
 * @Date:   2023-05-04
 * @Version: V1.0
 */
@Data
@TableName("T_FWDT_BKJXTKPJ")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="T_FWDT_BKJXTKPJ对象", description="T_FWDT_BKJXTKPJ")
public class TFwdtBkjxtkpj implements Serializable {
    private static final long serialVersionUID = 1L;

	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
	@TableId
    private String bh;
	/**轮次编号*/
	@Excel(name = "轮次编号", width = 15)
    @ApiModelProperty(value = "轮次编号")
    private String lcbh;
	/**轮次出镜人*/
	@Excel(name = "轮次出镜人", width = 15)
    @ApiModelProperty(value = "轮次出镜人")
    private String lccjr;
	/**听课人工号*/
	@Excel(name = "听课人工号", width = 15)
    @ApiModelProperty(value = "听课人工号")
    private String tkrgh;
	/**听课人姓名*/
	@Excel(name = "听课人姓名", width = 15)
    @ApiModelProperty(value = "听课人姓名")
    private String tkrxm;
	/**听课人单位名称*/
	@Excel(name = "听课人单位名称", width = 15)
    @ApiModelProperty(value = "听课人单位名称")
    private String tkrdwmc;
	/**tksjxq*/
	@Excel(name = "tksjxq", width = 15)
    @ApiModelProperty(value = "tksjxq")
    private String tksjxq;
	/**课程节次*/
	@Excel(name = "课程节次", width = 15)
    @ApiModelProperty(value = "课程节次")
    private String kcjc;
	/**课程单位*/
	@Excel(name = "课程单位", width = 15)
    @ApiModelProperty(value = "课程单位")
    private String kcdm;
	/**听课教师*/
	@Excel(name = "听课教师", width = 15)
    @ApiModelProperty(value = "听课教师")
    private String tkjs;
	/**听课课程名称*/
	@Excel(name = "听课课程名称", width = 15)
    @ApiModelProperty(value = "听课课程名称")
    private String tkkcmc;
	/**任课教师*/
	@Excel(name = "任课教师", width = 15)
    @ApiModelProperty(value = "任课教师")
    private String rkjs;
	/**总体评价*/
	@Excel(name = "总体评价", width = 15)
    @ApiModelProperty(value = "总体评价")
    private String ztpj;
	/**教师工号*/
	@Excel(name = "教师工号", width = 15)
    @ApiModelProperty(value = "教师工号")
    private String jsgh;
	/**全体意见*/
	@Excel(name = "全体意见", width = 15)
    @ApiModelProperty(value = "全体意见")
    private String qtyj;
	/**jspg1*/
	@Excel(name = "jspg1", width = 15)
    @ApiModelProperty(value = "jspg1")
    private String jspg1;
	/**jspg2*/
	@Excel(name = "jspg2", width = 15)
    @ApiModelProperty(value = "jspg2")
    private String jspg2;
	/**jspg3*/
	@Excel(name = "jspg3", width = 15)
    @ApiModelProperty(value = "jspg3")
    private String jspg3;
	/**jspg4*/
	@Excel(name = "jspg4", width = 15)
    @ApiModelProperty(value = "jspg4")
    private String jspg4;
	/**jspg5*/
	@Excel(name = "jspg5", width = 15)
    @ApiModelProperty(value = "jspg5")
    private String jspg5;
	/**xspg1*/
	@Excel(name = "xspg1", width = 15)
    @ApiModelProperty(value = "xspg1")
    private String xspg1;
	/**xspg2*/
	@Excel(name = "xspg2", width = 15)
    @ApiModelProperty(value = "xspg2")
    private String xspg2;
	/**xspg3*/
	@Excel(name = "xspg3", width = 15)
    @ApiModelProperty(value = "xspg3")
    private String xspg3;
	/**课程编号*/
	@Excel(name = "课程编号", width = 15)
    @ApiModelProperty(value = "课程编号")
    private String kcbh;
	/**时间戳*/
	@Excel(name = "时间戳", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "时间戳")
    private Date timestamps;

    private String kbbh;
}
