package org.jeecg.modules.kc.grab.exports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: TJwJxljbxx
 * @Author: jeecg-boot
 * @Date:   2023-05-22
 * @Version: V1.0
 */
@Data
@TableName("T_JW_JXLJBXX")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="T_JW_JXLJBXX对象", description="T_JW_JXLJBXX")
public class TJwJxljbxx implements Serializable {
    private static final long serialVersionUID = 1L;

	/**院系号*/
	@Excel(name = "院系号", width = 15)
    @ApiModelProperty(value = "院系号")
    private java.lang.String yxh;
	/**建筑物状况码*/
	@Excel(name = "建筑物状况码", width = 15)
    @ApiModelProperty(value = "建筑物状况码")
    private java.lang.String jzwzkm;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
	@TableId
    private java.lang.String bh;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private java.lang.String zt;
	/**建筑物号（关联视图t_jw_jsjbxx里的JXLH）*/
	@Excel(name = "建筑物号（关联视图t_jw_jsjbxx里的JXLH）", width = 15)
    @ApiModelProperty(value = "建筑物号（关联视图t_jw_jsjbxx里的JXLH）")
    private java.lang.String jzwh;
	/**建筑物英文名称*/
	@Excel(name = "建筑物英文名称", width = 15)
    @ApiModelProperty(value = "建筑物英文名称")
    private java.lang.String jzwywmc;
	/**建筑物分类码*/
	@Excel(name = "建筑物分类码", width = 15)
    @ApiModelProperty(value = "建筑物分类码")
    private java.lang.String jzwflm;
	/**建筑物名称*/
	@Excel(name = "建筑物名称", width = 15)
    @ApiModelProperty(value = "建筑物名称")
    private java.lang.String jzwmc;
	/**校区码*/
	@Excel(name = "校区码", width = 15)
    @ApiModelProperty(value = "校区码")
    private java.lang.String xqm;
	/**建筑物层数*/
	@Excel(name = "建筑物层数", width = 15)
    @ApiModelProperty(value = "建筑物层数")
    private java.lang.String jzwcs;
	/**时间戳*/
	@Excel(name = "时间戳", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "时间戳")
    private java.util.Date timestamps;
}
