package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_JW_TKKCB-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_JW_TKKCB")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_JW_TKKCB对象", description="T_JW_TKKCB-抓取")
public class TJwTkkcb {
    
	/**jsmc*/
	@Excel(name = "jsmc", width = 15)
    @ApiModelProperty(value = "jsmc")
	private java.lang.String jsmc;
	/**yxzws*/
	@Excel(name = "yxzws", width = 15)
    @ApiModelProperty(value = "yxzws")
	private java.lang.Long yxzws;
	/**jzwh*/
	@Excel(name = "jzwh", width = 15)
    @ApiModelProperty(value = "jzwh")
	@TableId
	private java.lang.String jzwh;
	/**jzwmc*/
	@Excel(name = "jzwmc", width = 15)
    @ApiModelProperty(value = "jzwmc")
	private java.lang.String jzwmc;
	/**xqbh*/
	@Excel(name = "xqbh", width = 15)
    @ApiModelProperty(value = "xqbh")
	private java.lang.String xqbh;
	/**mxrq*/
	@Excel(name = "mxrq", width = 15)
    @ApiModelProperty(value = "mxrq")
	private java.lang.String mxrq;
	/**timestamps*/
	@Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
	private java.util.Date timestamps;
	/**bh*/
	@Excel(name = "bh", width = 15)
    @ApiModelProperty(value = "bh")
	private java.lang.String bh;
	/**jsh*/
	@Excel(name = "jsh", width = 15)
    @ApiModelProperty(value = "jsh")
	private java.lang.String jsh;
	/**kbbh*/
	@Excel(name = "kbbh", width = 15)
    @ApiModelProperty(value = "kbbh")
	private java.lang.String kbbh;
	/**tzdbh*/
	@Excel(name = "tzdbh", width = 15)
    @ApiModelProperty(value = "tzdbh")
	private java.lang.String tzdbh;
	/**sksj*/
	@Excel(name = "sksj", width = 15)
    @ApiModelProperty(value = "sksj")
	private java.lang.String sksj;
	/**kkzc*/
	@Excel(name = "kkzc", width = 15)
    @ApiModelProperty(value = "kkzc")
	private java.lang.String kkzc;
	/**kkxq*/
	@Excel(name = "kkxq", width = 15)
    @ApiModelProperty(value = "kkxq")
	private java.lang.String kkxq;
	/**jc*/
	@Excel(name = "jc", width = 15)
    @ApiModelProperty(value = "jc")
	private java.lang.String jc;
	/**jc3*/
	@Excel(name = "jc3", width = 15)
    @ApiModelProperty(value = "jc3")
	private java.lang.String jc3;
	/**jc4*/
	@Excel(name = "jc4", width = 15)
    @ApiModelProperty(value = "jc4")
	private java.lang.String jc4;
	/**jcmc*/
	@Excel(name = "jcmc", width = 15)
    @ApiModelProperty(value = "jcmc")
	private java.lang.String jcmc;
	/**pkrs*/
	@Excel(name = "pkrs", width = 15)
    @ApiModelProperty(value = "pkrs")
	private java.lang.String pkrs;
	/**xnxqbh*/
	@Excel(name = "xnxqbh", width = 15)
    @ApiModelProperty(value = "xnxqbh")
	private java.lang.String xnxqbh;
	/**gh*/
	@Excel(name = "gh", width = 15)
    @ApiModelProperty(value = "gh")
	private java.lang.String gh;
	/**jsxm*/
	@Excel(name = "jsxm", width = 15)
    @ApiModelProperty(value = "jsxm")
	private java.lang.String jsxm;
	/**kch*/
	@Excel(name = "kch", width = 15)
    @ApiModelProperty(value = "kch")
	private java.lang.String kch;
	/**kcmc*/
	@Excel(name = "kcmc", width = 15)
    @ApiModelProperty(value = "kcmc")
	private java.lang.String kcmc;
	/**dwh*/
	@Excel(name = "dwh", width = 15)
    @ApiModelProperty(value = "dwh")
	private java.lang.String dwh;
	/**dwmc*/
	@Excel(name = "dwmc", width = 15)
    @ApiModelProperty(value = "dwmc")
	private java.lang.String dwmc;
}
