package org.jeecg.modules.kc.grab.exports.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Description: T_ZZB_LDXX-抓取
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("T_JZG_XSKC")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="T_JZG_XSKC对象", description="T_JZG_XSKC-抓取")
public class TJzgXskc {

    /**gh*/
    @Excel(name = "gh", width = 15)
    @ApiModelProperty(value = "gh")
    @TableId
    private java.lang.String gh;
    /**xm*/
    @Excel(name = "xm", width = 15)
    @ApiModelProperty(value = "xm")
    private java.lang.String xm;
    /**xbm*/
    @Excel(name = "xbm", width = 15)
    @ApiModelProperty(value = "xbm")
    private java.lang.String xbm;
    /**dwh*/
    @Excel(name = "dwh", width = 15)
    @ApiModelProperty(value = "dwh")
    private java.lang.String dwh;
    /**dwmc*/
    @Excel(name = "dwmc", width = 15)
    @ApiModelProperty(value = "dwmc")
    private java.lang.String dwmc;
    /**csrq*/
    @Excel(name = "csrq", width = 15)
    @ApiModelProperty(value = "csrq")
    private java.lang.String csrq;
    /**spxldm*/
    @Excel(name = "spxldm", width = 15)
    @ApiModelProperty(value = "spxldm")
    private java.lang.String spxldm;
    /**sfzxm*/
    @Excel(name = "sfzxm", width = 15)
    @ApiModelProperty(value = "sfzxm")
    private java.lang.String sfzxm;
    /**zdxms*/
    @Excel(name = "zdxms", width = 15)
    @ApiModelProperty(value = "zdxms")
    private java.lang.String zdxms;
    /**zzzt*/
    @Excel(name = "zzzt", width = 15)
    @ApiModelProperty(value = "zzzt")
    private java.lang.String zzzt;
    /**timestamps*/
    @Excel(name = "timestamps", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "timestamps")
    private java.util.Date timestamps;
}
