package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 同步数据表(kcxxb)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("xxhbkcxxb")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbkcxxb对象", description="同步数据表(kcxxb)")
public class Xxhbkcxxb implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**教材*/
	@Excel(name = "教材", width = 15)
    @ApiModelProperty(value = "教材")
    private java.lang.String jc;
	/**是否计算绩点*/
	@Excel(name = "是否计算绩点", width = 15)
    @ApiModelProperty(value = "是否计算绩点")
    private java.lang.String sfjsjd;
	/**培养方案版本*/
	@Excel(name = "培养方案版本", width = 15)
    @ApiModelProperty(value = "培养方案版本")
    private java.lang.String pyfabb;
	/**课程性质码*/
	@Excel(name = "课程性质码", width = 15)
    @ApiModelProperty(value = "课程性质码")
    private java.lang.String kcxzm;
	/**课程号*/
	@Excel(name = "课程号", width = 15)
    @ApiModelProperty(value = "课程号")
    private java.lang.String kch;
	/**课程大类代码*/
	@Excel(name = "课程大类代码", width = 15)
    @ApiModelProperty(value = "课程大类代码")
    private java.lang.String kcdldm;
	/**课程简介*/
	@Excel(name = "课程简介", width = 15)
    @ApiModelProperty(value = "课程简介")
    private java.lang.String kcjj;
	/**参考书目*/
	@Excel(name = "参考书目", width = 15)
    @ApiModelProperty(value = "参考书目")
    private java.lang.String cksm;
	/**课程负责人号*/
	@Excel(name = "课程负责人号", width = 15)
    @ApiModelProperty(value = "课程负责人号")
    private java.lang.String kcfzrh;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**课程大类*/
	@Excel(name = "课程大类", width = 15)
    @ApiModelProperty(value = "课程大类")
    private java.lang.String kcdl;
	/**理论学时*/
	@Excel(name = "理论学时", width = 15)
    @ApiModelProperty(value = "理论学时")
    private java.lang.String llxs;
	/**开课单位名称*/
	@Excel(name = "开课单位名称", width = 15)
    @ApiModelProperty(value = "开课单位名称")
    private java.lang.String kkdwmc;
	/**教学大纲内容*/
	@Excel(name = "教学大纲内容", width = 15)
    @ApiModelProperty(value = "教学大纲内容")
    private java.lang.String jxdgnr;
	/**实践学时*/
	@Excel(name = "实践学时", width = 15)
    @ApiModelProperty(value = "实践学时")
    private java.lang.String sjxs;
	/**总学时*/
	@Excel(name = "总学时", width = 15)
    @ApiModelProperty(value = "总学时")
    private java.lang.String zxs;
	/**课程性质码（简称）*/
	@Excel(name = "课程性质码（简称）", width = 15)
    @ApiModelProperty(value = "课程性质码（简称）")
    private java.lang.String kcxzmjc;
	/**专业号*/
	@Excel(name = "专业号", width = 15)
    @ApiModelProperty(value = "专业号")
    private java.lang.String zyh;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
    private java.lang.String bh;
	/**周学时*/
	@Excel(name = "周学时", width = 15)
    @ApiModelProperty(value = "周学时")
    private java.lang.String zhouxs;
	/**课程类别代码*/
	@Excel(name = "课程类别代码", width = 15)
    @ApiModelProperty(value = "课程类别代码")
    private java.lang.String kclbdm;
	/**考核方式代码*/
	@Excel(name = "考核方式代码", width = 15)
    @ApiModelProperty(value = "考核方式代码")
    private java.lang.String khfsdm;
	/**开课单位号*/
	@Excel(name = "开课单位号", width = 15)
    @ApiModelProperty(value = "开课单位号")
    private java.lang.String kkdwh;
	/**难度系数码*/
	@Excel(name = "难度系数码", width = 15)
    @ApiModelProperty(value = "难度系数码")
    private java.lang.String ndxsm;
	/**课程英文名称*/
	@Excel(name = "课程英文名称", width = 15)
    @ApiModelProperty(value = "课程英文名称")
    private java.lang.String kcywmc;
	/**启用状态*/
	@Excel(name = "启用状态", width = 15)
    @ApiModelProperty(value = "启用状态")
    private java.lang.String qyztdm;
	/**学分*/
	@Excel(name = "学分", width = 15)
    @ApiModelProperty(value = "学分")
    private java.lang.String xf;
	/**素质课程分类代码*/
	@Excel(name = "素质课程分类代码", width = 15)
    @ApiModelProperty(value = "素质课程分类代码")
    private java.lang.String szkcfldm;

    @TableField(exist = false)
    private Integer mysqlnum;
}
