package org.jeecg.modules.kc.grab.imports.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 同步数据表(xsxkb)
 * @Author: jeecg-boot
 * @Date:   2023-04-11
 * @Version: V1.0
 */
@Data
@TableName("xxhbxsxkb")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="xxhbxsxkb对象", description="同步数据表(xsxkb)")
public class Xxhbxsxkb implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**课程性质代码*/
	@Excel(name = "课程性质代码", width = 15)
    @ApiModelProperty(value = "课程性质代码")
    private java.lang.String kcxzdm;
	/**合班明细编号*/
	@Excel(name = "合班明细编号", width = 15)
    @ApiModelProperty(value = "合班明细编号")
    private java.lang.String hbmxbh;
	/**学号*/
	@Excel(name = "学号", width = 15)
    @ApiModelProperty(value = "学号")
    private java.lang.String xh;
	/**总学时*/
	@Excel(name = "总学时", width = 15)
    @ApiModelProperty(value = "总学时")
    private java.lang.String zxs;
	/**学分*/
	@Excel(name = "学分", width = 15)
    @ApiModelProperty(value = "学分")
    private java.lang.String xf;
	/**课程类别代码*/
	@Excel(name = "课程类别代码", width = 15)
    @ApiModelProperty(value = "课程类别代码")
    private java.lang.String kclbdm;
	/**编号*/
	@Excel(name = "编号", width = 15)
    @ApiModelProperty(value = "编号")
    private java.lang.String bh;
	/**选课轮次编号*/
	@Excel(name = "选课轮次编号", width = 15)
    @ApiModelProperty(value = "选课轮次编号")
    private java.lang.String xklcbh;
	/**考试方式代码*/
	@Excel(name = "考试方式代码", width = 15)
    @ApiModelProperty(value = "考试方式代码")
    private java.lang.String ksfsdm;
	/**时间戳*/
	@Excel(name = "时间戳", width = 15)
    @ApiModelProperty(value = "时间戳")
    private java.lang.String timestamps;
	/**课程总表编号*/
	@Excel(name = "课程总表编号", width = 15)
    @ApiModelProperty(value = "课程总表编号")
    private java.lang.String kcapzbbh;

    @TableField(exist = false)
    private Integer mysqlnum;
}
