package org.jeecg.modules.kc.grab.imports.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbbks;

import java.util.Collection;
import java.util.List;

/**
 * @Description: 同步数据表（bks）
 * @Author: jeecg-boot
 * @Date:   2023-04-10
 * @Version: V1.0
 */
public interface IXxhbbksService extends IService<Xxhbbks> {

    /**
     * 同步数据
     * @param entityList
     * @return
     */
    boolean syncList(Collection<Xxhbbks> entityList);

    /**
     *
     * @param entityList
     * @param isDelete
     * @return
     */
    boolean syncList(Collection<Xxhbbks> entityList, boolean isDelete);

    Xxhbbks getSumnum();

    IPage<Xxhbbks> getXsxkbList(Page<Xxhbbks> page, QueryWrapper<Xxhbbks> queryWrapper);

    List<Xxhbbks> getXsxkbAllList(QueryWrapper<Xxhbbks> queryWrapper);

    List<Xxhbbks> getXKRY(String rwbh);
}
