package org.jeecg.modules.kc.grab.log.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 老系统同步成功记录
 * @Author: jeecg-boot
 * @Date:   2023-08-13
 * @Version: V1.0
 */
@Data
@TableName("kc_old_evaluationans_good")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_old_evaluationans_good对象", description="老系统同步成功记录")
public class KcOldEvaluationansGood implements Serializable {
    private static final long serialVersionUID = 1L;

	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**开课院系*/
	@Excel(name = "开课院系", width = 15)
    @ApiModelProperty(value = "开课院系")
    private java.lang.String kkdw;
	/**上课教师工号*/
	@Excel(name = "上课教师工号", width = 15)
    @ApiModelProperty(value = "上课教师工号")
	@TableId
    private java.lang.String jgh;
	/**上课教师*/
	@Excel(name = "上课教师", width = 15)
    @ApiModelProperty(value = "上课教师")
    private java.lang.String skjs;
	/**上课时间*/
	@Excel(name = "上课时间", width = 15)
    @ApiModelProperty(value = "上课时间")
    private java.lang.String sksj;
	/**课程节次*/
	@Excel(name = "课程节次", width = 15)
    @ApiModelProperty(value = "课程节次")
    private java.lang.String hh;
	/**上课地点*/
	@Excel(name = "上课地点", width = 15)
    @ApiModelProperty(value = "上课地点")
    private java.lang.String skdd;
	/**听课教师工号*/
	@Excel(name = "听课教师工号", width = 15)
    @ApiModelProperty(value = "听课教师工号")
    private java.lang.String tkjgh;
	/**听课教师*/
	@Excel(name = "听课教师", width = 15)
    @ApiModelProperty(value = "听课教师")
    private java.lang.String tkjs;
	/**评课时间*/
	@Excel(name = "评课时间", width = 15)
    @ApiModelProperty(value = "评课时间")
    private java.lang.String pksj;
	/**答案1*/
	@Excel(name = "答案1", width = 15)
    @ApiModelProperty(value = "答案1")
    private java.lang.String ans1;
	/**答案2*/
	@Excel(name = "答案2", width = 15)
    @ApiModelProperty(value = "答案2")
    private java.lang.String ans2;
	/**答案3*/
	@Excel(name = "答案3", width = 15)
    @ApiModelProperty(value = "答案3")
    private java.lang.String ans3;
	/**答案4*/
	@Excel(name = "答案4", width = 15)
    @ApiModelProperty(value = "答案4")
    private java.lang.String ans4;
	/**答案5*/
	@Excel(name = "答案5", width = 15)
    @ApiModelProperty(value = "答案5")
    private java.lang.String ans5;
	/**答案6*/
	@Excel(name = "答案6", width = 15)
    @ApiModelProperty(value = "答案6")
    private java.lang.String ans6;
	/**答案7*/
	@Excel(name = "答案7", width = 15)
    @ApiModelProperty(value = "答案7")
    private java.lang.String ans7;
	/**答案8*/
	@Excel(name = "答案8", width = 15)
    @ApiModelProperty(value = "答案8")
    private java.lang.String ans8;
	/**答案9*/
	@Excel(name = "答案9", width = 15)
    @ApiModelProperty(value = "答案9")
    private java.lang.String ans9;
	/**答案10*/
	@Excel(name = "答案10", width = 15)
    @ApiModelProperty(value = "答案10")
    private java.lang.String ans10;
	/**学年学期*/
	@Excel(name = "学年学期", width = 15)
    @ApiModelProperty(value = "学年学期")
    private java.lang.String xnxq;
}
