package org.jeecg.modules.kc.jiaoshi.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import org.jeecg.modules.kc.jiaoshi.entity.KcZhihuijiaoshi;
import org.jeecg.modules.kc.jiaoshi.mapper.KcZhihuijiaoshiMapper;
import org.jeecg.modules.kc.jiaoshi.service.IKcZhihuijiaoshiService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.Arrays;
import java.util.List;

/**
 * @Description: 智慧教室
 * @Author: jeecg-boot
 * @Date:   2023-04-19
 * @Version: V1.0
 */
@Service
public class KcZhihuijiaoshiServiceImpl extends ServiceImpl<KcZhihuijiaoshiMapper, KcZhihuijiaoshi> implements IKcZhihuijiaoshiService {

    @Override
    public void updateAllLive(KcZhihuijiaoshi kcZhihuijiaoshi) {
        UpdateWrapper<KcZhihuijiaoshi> uw = new UpdateWrapper<>();
        uw.set("sfyx",kcZhihuijiaoshi.getSfyx());
        uw.in("id",Arrays.asList(kcZhihuijiaoshi.getIds().split(",")));
        update(uw);
    }
}
