package org.jeecg.modules.kc.kcAssessuser.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.kc.kcAssessuser.entity.KcAssessuser;
import org.jeecg.modules.kc.kcAssessuser.mapper.KcAssessuserMapper;
import org.jeecg.modules.kc.kcAssessuser.service.IKcAssessuserService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: kc_assessuser
 * @Author: jeecg-boot
 * @Date:   2023-05-22
 * @Version: V1.0
 */
@Service
public class KcAssessuserServiceImpl extends ServiceImpl<KcAssessuserMapper, KcAssessuser> implements IKcAssessuserService {

    @Override
    public List<KcAssessuser> allList(QueryWrapper<KcAssessuser> queryWrapper) {
        return baseMapper.allList(queryWrapper);
    }

    @Override
    public void saveAll(KcAssessuser kcAssessuser) {
        if(kcAssessuser != null && kcAssessuser.getLists() != null && !kcAssessuser.getLists().isEmpty()){
            saveBatch(kcAssessuser.getLists());
        }
    }
}
