package org.jeecg.modules.kc.kcEvaluationsStat.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: kc_evaluations_stat
 * @Author: jeecg-boot
 * @Date:   2023-08-22
 * @Version: V1.0
 */
@Data
@TableName("kc_evaluations_stat")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_evaluations_stat对象", description="kc_evaluations_stat")
public class KcEvaluationsStat implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
    @ApiModelProperty(value = "主键")
	@TableId
    private java.lang.String col00;
	/**学期*/
	@Excel(name = "学期", width = 15)
    @ApiModelProperty(value = "学期")
    private java.lang.String col01;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String col02;
	/**开课单位*/
	@Excel(name = "开课单位", width = 15)
    @ApiModelProperty(value = "开课单位")
    private java.lang.String col03;
	/**授课教师*/
	@Excel(name = "授课教师", width = 15)
    @ApiModelProperty(value = "授课教师")
    private java.lang.String col04;
	/**授课教师工号*/
	@Excel(name = "授课教师工号", width = 15)
    @ApiModelProperty(value = "授课教师工号")
    private java.lang.String col05;
	/**授课日期*/
	@Excel(name = "授课日期", width = 15)
    @ApiModelProperty(value = "授课日期")
    private java.lang.String col06;
	/**授课时间*/
	@Excel(name = "授课时间", width = 15)
    @ApiModelProperty(value = "授课时间")
    private java.lang.String col07;
	/**授课节次*/
	@Excel(name = "授课节次", width = 15)
    @ApiModelProperty(value = "授课节次")
    private java.lang.String col08;
	/**授课地点*/
	@Excel(name = "授课地点", width = 15)
    @ApiModelProperty(value = "授课地点")
    private java.lang.String col09;
	/**听课教师单位*/
	@Excel(name = "听课教师单位", width = 15)
    @ApiModelProperty(value = "听课教师单位")
    private java.lang.String col10;
	/**听课教师工号*/
	@Excel(name = "听课教师工号", width = 15)
    @ApiModelProperty(value = "听课教师工号")
    private java.lang.String col11;
	/**听课教师姓名*/
	@Excel(name = "听课教师姓名", width = 15)
    @ApiModelProperty(value = "听课教师姓名")
    private java.lang.String col12;
	/**听课身份*/
	@Excel(name = "听课身份", width = 15)
    @ApiModelProperty(value = "听课身份")
    private java.lang.String col13;
    @Excel(name = "任教专业", width = 15)
    private java.lang.String col56;
	/**听课评价结果（5分制）*/
	@Excel(name = "听课评价结果（5分制）", width = 15)
    @ApiModelProperty(value = "听课评价结果（5分制）")
    private java.lang.String col14;
	/**评价量表类型*/
	@Excel(name = "评价量表类型", width = 15)
    @ApiModelProperty(value = "评价量表类型")
    private java.lang.String col15;
	/**数据来源*/
	@Excel(name = "数据来源", width = 15)
    @ApiModelProperty(value = "数据来源")
    private java.lang.String col16;
	/**讲课有热情，精神饱满，能调动学生情绪，课堂气氛活跃*/
	@Excel(name = "讲课有热情，精神饱满，能调动学生情绪，课堂气氛活跃", width = 15)
    @ApiModelProperty(value = "讲课有热情，精神饱满，能调动学生情绪，课堂气氛活跃")
    private java.lang.String col1726;
	/**教学目标明确，内容丰富，重点突出，言语表达清楚。*/
	@Excel(name = "教学目标明确，内容丰富，重点突出，言语表达清楚。", width = 15)
    @ApiModelProperty(value = "教学目标明确，内容丰富，重点突出，言语表达清楚。")
    private java.lang.String col18;
	/**授课有启发性，能给予学生思考、联想、创造的启迪*/
	@Excel(name = "授课有启发性，能给予学生思考、联想、创造的启迪", width = 15)
    @ApiModelProperty(value = "授课有启发性，能给予学生思考、联想、创造的启迪")
    private java.lang.String col19;
	/**能有效利用各种教学媒体，课件或板书使用效果好*/
	@Excel(name = "能有效利用各种教学媒体，课件或板书使用效果好", width = 15)
    @ApiModelProperty(value = "能有效利用各种教学媒体，课件或板书使用效果好")
    private java.lang.String col20;
	/**仪表得体，按时上下课，严格要求学生*/
	@Excel(name = "仪表得体，按时上下课，严格要求学生", width = 15)
    @ApiModelProperty(value = "仪表得体，按时上下课，严格要求学生")
    private java.lang.String col21;
	/**无迟到、早退、旷课现象*/
	@Excel(name = "无迟到、早退、旷课现象", width = 15)
    @ApiModelProperty(value = "无迟到、早退、旷课现象")
    private java.lang.String col22;
	/**课堂教学秩序好，无喧闹、打瞌睡、发短信、玩手机等现象*/
	@Excel(name = "课堂教学秩序好，无喧闹、打瞌睡、发短信、玩手机等现象", width = 15)
    @ApiModelProperty(value = "课堂教学秩序好，无喧闹、打瞌睡、发短信、玩手机等现象")
    private java.lang.String col23;
	/**上课认真听讲、积极思考、主动与老师交流互动*/
	@Excel(name = "上课认真听讲、积极思考、主动与老师交流互动", width = 15)
    @ApiModelProperty(value = "上课认真听讲、积极思考、主动与老师交流互动")
    private java.lang.String col24;
	/**课堂教学总体印象评价*/
	@Excel(name = "课堂教学总体印象评价", width = 15)
    @ApiModelProperty(value = "课堂教学总体印象评价")
    private java.lang.String col25;
	/**请填写对课堂内容以及其他方面的具体意见或建议*/
	@Excel(name = "请填写对课堂内容以及其他方面的具体意见或建议", width = 15)
    @ApiModelProperty(value = "请填写对课堂内容以及其他方面的具体意见或建议")
    private java.lang.String col26;
	/**1.具有教育理想、敬业精神和教学追求，热爱学生、学科和教学工作。*/
	@Excel(name = "1.具有教育理想、敬业精神和教学追求，热爱学生、学科和教学工作。", width = 15)
    @ApiModelProperty(value = "1.具有教育理想、敬业精神和教学追求，热爱学生、学科和教学工作。")
    private java.lang.String col2745;
	/**2.掌握所教学科必需的专业与教学知识。具备所教学科的教学设计、实施、评价、反思和研究能力。*/
	@Excel(name = "2.掌握所教学科必需的专业与教学知识。具备所教学科的教学设计、实施、评价、反思和研究能力。", width = 15)
    @ApiModelProperty(value = "2.掌握所教学科必需的专业与教学知识。具备所教学科的教学设计、实施、评价、反思和研究能力。")
    private java.lang.String col28;
	/**3.把握学生身心发展规律与特点，尊重学生主体性与差异性。*/
	@Excel(name = "3.把握学生身心发展规律与特点，尊重学生主体性与差异性。", width = 15)
    @ApiModelProperty(value = "3.把握学生身心发展规律与特点，尊重学生主体性与差异性。")
    private java.lang.String col29;
	/**4.立德树人，为人师表，语言规范，情绪饱满，思想积极向上*/
	@Excel(name = "4.立德树人，为人师表，语言规范，情绪饱满，思想积极向上", width = 15)
    @ApiModelProperty(value = "4.立德树人，为人师表，语言规范，情绪饱满，思想积极向上")
    private java.lang.String col30;
	/**5.执行教学计划，遵守教学纪律，严谨从教*/
	@Excel(name = "5.执行教学计划，遵守教学纪律，严谨从教", width = 15)
    @ApiModelProperty(value = "5.执行教学计划，遵守教学纪律，严谨从教")
    private java.lang.String col31;
	/**6.系统规划和设计教学活动，合理确定教学目标和教学内容的重难点，选择合适的教学方法、教学媒体和教学形式*/
	@Excel(name = "6.系统规划和设计教学活动，合理确定教学目标和教学内容的重难点，选择合适的教学方法、教学媒体和教学形式", width = 15)
    @ApiModelProperty(value = "6.系统规划和设计教学活动，合理确定教学目标和教学内容的重难点，选择合适的教学方法、教学媒体和教学形式")
    private java.lang.String col32;
	/**7.清晰讲解课程内容，恰当解释知识中蕴含的本源性思想和学科方法，适时引导学生关注课程领域发展新动态。*/
	@Excel(name = "7.清晰讲解课程内容，恰当解释知识中蕴含的本源性思想和学科方法，适时引导学生关注课程领域发展新动态。", width = 15)
    @ApiModelProperty(value = "7.清晰讲解课程内容，恰当解释知识中蕴含的本源性思想和学科方法，适时引导学生关注课程领域发展新动态。")
    private java.lang.String col33;
	/**8.启发学生思考，鼓励学生发现、提出问题，恰当给予回应和引导。*/
	@Excel(name = "8.启发学生思考，鼓励学生发现、提出问题，恰当给予回应和引导。", width = 15)
    @ApiModelProperty(value = "8.启发学生思考，鼓励学生发现、提出问题，恰当给予回应和引导。")
    private java.lang.String col34;
	/**9.监控教学过程，富有教学机智，教学体现生成性。*/
	@Excel(name = "9.监控教学过程，富有教学机智，教学体现生成性。", width = 15)
    @ApiModelProperty(value = "9.监控教学过程，富有教学机智，教学体现生成性。")
    private java.lang.String col35;
	/**10.运用多元评价方式，了解学习状况，诊断学习问题，及时反馈*/
	@Excel(name = "10.运用多元评价方式，了解学习状况，诊断学习问题，及时反馈", width = 15)
    @ApiModelProperty(value = "10.运用多元评价方式，了解学习状况，诊断学习问题，及时反馈")
    private java.lang.String col36;
	/**11.学习认真积极，踊跃参与课堂活动，体会课程学习的挑战与乐趣，感悟课程的意义与价值。*/
	@Excel(name = "11.学习认真积极，踊跃参与课堂活动，体会课程学习的挑战与乐趣，感悟课程的意义与价值。", width = 15)
    @ApiModelProperty(value = "11.学习认真积极，踊跃参与课堂活动，体会课程学习的挑战与乐趣，感悟课程的意义与价值。")
    private java.lang.String col37;
	/**12.掌握所学课程的基本概念与原理，理解课程的知识结构与思想体系，了解所学知识的运用情境、策略和方法。*/
	@Excel(name = "12.掌握所学课程的基本概念与原理，理解课程的知识结构与思想体系，了解所学知识的运用情境、策略和方法。", width = 15)
    @ApiModelProperty(value = "12.掌握所学课程的基本概念与原理，理解课程的知识结构与思想体系，了解所学知识的运用情境、策略和方法。")
    private java.lang.String col38;
	/**13.遵循教学一般规律，具有鲜明的创新意识和个性风貌。*/
	@Excel(name = "13.遵循教学一般规律，具有鲜明的创新意识和个性风貌。", width = 15)
    @ApiModelProperty(value = "13.遵循教学一般规律，具有鲜明的创新意识和个性风貌。")
    private java.lang.String col39;
	/**14.尊重学科本质属性，凸显学科育人价值，注重培养学科核心素养。*/
	@Excel(name = "14.尊重学科本质属性，凸显学科育人价值，注重培养学科核心素养。", width = 15)
    @ApiModelProperty(value = "14.尊重学科本质属性，凸显学科育人价值，注重培养学科核心素养。")
    private java.lang.String col40;
	/**15.课堂教学蕴含理性美，具有教学魅力，体现教学艺术性。*/
	@Excel(name = "15.课堂教学蕴含理性美，具有教学魅力，体现教学艺术性。", width = 15)
    @ApiModelProperty(value = "15.课堂教学蕴含理性美，具有教学魅力，体现教学艺术性。")
    private java.lang.String col41;
	/**16.你对该课程的总体评价情况，5分是满分，您给打几分？*/
	@Excel(name = "16.你对该课程的总体评价情况，5分是满分，您给打几分？", width = 15)
    @ApiModelProperty(value = "16.你对该课程的总体评价情况，5分是满分，您给打几分？")
    private java.lang.String col42;
	/**17.您认为该课堂值得肯定的方面*/
	@Excel(name = "17.您认为该课堂值得肯定的方面", width = 15)
    @ApiModelProperty(value = "17.您认为该课堂值得肯定的方面")
    private java.lang.String col43;
	/**18.您认为该课堂需要改进的方面*/
	@Excel(name = "18.您认为该课堂需要改进的方面", width = 15)
    @ApiModelProperty(value = "18.您认为该课堂需要改进的方面")
    private java.lang.String col44;
	/**19.其它建议*/
	@Excel(name = "19.其它建议", width = 15)
    @ApiModelProperty(value = "19.其它建议")
    private java.lang.String col45;
	/**1.声音和画面情况*/
	@Excel(name = "1.声音和画面情况", width = 15)
    @ApiModelProperty(value = "1.声音和画面情况")
    private java.lang.String col4655;
	/**2.ppt等课件情况*/
	@Excel(name = "2.ppt等课件情况", width = 15)
    @ApiModelProperty(value = "2.ppt等课件情况")
    private java.lang.String col47;
	/**3.教师出镜情况*/
	@Excel(name = "3.教师出镜情况", width = 15)
    @ApiModelProperty(value = "3.教师出镜情况")
    private java.lang.String col48;
	/**4.以下那些描述符合本节课的教学实际情况（多选）*/
	@Excel(name = "4.以下那些描述符合本节课的教学实际情况（多选）", width = 15)
    @ApiModelProperty(value = "4.以下那些描述符合本节课的教学实际情况（多选）")
    private java.lang.String col49;
	/**5.学生出席情况*/
	@Excel(name = "5.学生出席情况", width = 15)
    @ApiModelProperty(value = "5.学生出席情况")
    private java.lang.String col50;
	/**6.学生参与课堂活动情况*/
	@Excel(name = "6.学生参与课堂活动情况", width = 15)
    @ApiModelProperty(value = "6.学生参与课堂活动情况")
    private java.lang.String col51;
	/**7.如果让您给本节课打分，5分是满分，您给打几分？*/
	@Excel(name = "7.如果让您给本节课打分，5分是满分，您给打几分？", width = 15)
    @ApiModelProperty(value = "7.如果让您给本节课打分，5分是满分，您给打几分？")
    private java.lang.String col52;
	/**8.您认为该课堂值得肯定的方面*/
	@Excel(name = "8.您认为该课堂值得肯定的方面", width = 15)
    @ApiModelProperty(value = "8.您认为该课堂值得肯定的方面")
    private java.lang.String col53;
	/**9.您认为该课堂需要改进的方面*/
	@Excel(name = "9.您认为该课堂需要改进的方面", width = 15)
    @ApiModelProperty(value = "9.您认为该课堂需要改进的方面")
    private java.lang.String col54;
	/**10.其它建议*/
	@Excel(name = "10.其它建议", width = 15)
    @ApiModelProperty(value = "10.其它建议")
    private java.lang.String col55;
    private java.lang.String col57;
    private java.lang.String col58;
    private java.lang.String col59;
    private java.lang.String col60;


    @Excel(name = "1.仪表整洁、举止得体、精神饱满", width = 15)
    private java.lang.String col6176;//1.仪表整洁、举止得体、精神饱满
    @Excel(name = "2.遵守教学纪律，严格课堂管理", width = 15)
    private java.lang.String col62;//2.遵守教学纪律，严格课堂管理
    @Excel(name = "3.备课充分，精心设计教学（有课件、教案等教学素材），教学投入", width = 15)
    private java.lang.String col63;//3.备课充分，精心设计教学（有课件、教案等教学素材），教学投入
    @Excel(name = "4.坚持马克思主义立场观点方法，具有较为扎实的马克思主义理论功底，教学目标明确", width = 15)
    private java.lang.String col64;//4.坚持马克思主义立场观点方法，具有较为扎实的马克思主义理论功底，教学目标明确
    @Excel(name = "5.有效使用统编教材配套课件、参考讲义、辅导用书，教学内容科学完整，基本理论阐释清楚，基本事实讲述准确，重点、难点比较突出", width = 15)
    private java.lang.String col65;//5.有效使用统编教材配套课件、参考讲义、辅导用书，教学内容科学完整，基本理论阐释清楚，基本事实讲述准确，重点、难点比较突出
    @Excel(name = "6.理论联系实际，熟悉党史、新中国史、改革开放史、社会主义发展史、中华民族发展史，注重史论结合，教学素材多样，案例鲜活生动，及时将新时代中国特色社会主义的生动实践转化为课堂教学资源", width = 15)
    private java.lang.String col66;//6.理论联系实际，熟悉党史、新中国史、改革开放史、社会主义发展史、中华民族发展史，注重史论结合，教学素材多样，案例鲜活生动，及时将新时代中国特色社会主义的生动实践转化为课堂教学资源
    @Excel(name = "7.贴近学生实际，善于发掘身边人身边事蕴含的育人元素，有效回应学生关心问题和思想困惑", width = 15)
    private java.lang.String col67;//7.贴近学生实际，善于发掘身边人身边事蕴含的育人元素，有效回应学生关心问题和思想困惑
    @Excel(name = "8.熟悉教学法基本原理，注重教学逻辑与学术逻辑的辩证统一，教学设计符合学生认知规律、关注学生差异性", width = 15)
    private java.lang.String col68;//8.熟悉教学法基本原理，注重教学逻辑与学术逻辑的辩证统一，教学设计符合学生认知规律、关注学生差异性
    @Excel(name = "9.熟练运用启发式、案例式等教学法，注重课堂互动，不照本宣科，善于调动学生积极性，启发学生思考", width = 15)
    private java.lang.String col69;//9.熟练运用启发式、案例式等教学法，注重课堂互动，不照本宣科，善于调动学生积极性，启发学生思考
    @Excel(name = "10.综合运用现代信息技术手段，增强课堂教学的生动性、吸引力，帮助学生理解领会教学内容", width = 15)
    private java.lang.String col70;//10.综合运用现代信息技术手段，增强课堂教学的生动性、吸引力，帮助学生理解领会教学内容
    @Excel(name = "11.注重思想性和理论性，具有亲和力和感染力，能够把道理讲深、讲透、讲活，学生学习积极性高，愿意与教师交流反馈", width = 15)
    private java.lang.String col71;//11.注重思想性和理论性，具有亲和力和感染力，能够把道理讲深、讲透、讲活，学生学习积极性高，愿意与教师交流反馈
    @Excel(name = "12.注重价值引领，增进对党的创新理论的政治认同、思想认同、理论认同、情感认同，坚定“四个自信”", width = 15)
    private java.lang.String col72;//12.注重价值引领，增进对党的创新理论的政治认同、思想认同、理论认同、情感认同，坚定“四个自信”
    @Excel(name = "13.完成教学计划，课堂秩序良好", width = 15)
    private java.lang.String col73;//13.完成教学计划，课堂秩序良好
    @Excel(name = "14.总体评价", width = 15)
    private java.lang.String col74;//14.总体评价
    @Excel(name = "15.课堂诊断", width = 15)
    private java.lang.String col75;//15.课堂诊断
    @Excel(name = "16.指导建议", width = 15)
    private java.lang.String col76;//16.指导建议


    /**1.坚持立德树人，秉持共育两代师表理念，积极落实有理想信念、 有道德情操、有扎实学识、有仁爱之心的“ 四有好老师 ”培养目标 要求。*/
    @Excel(name = "1.坚持立德树人，秉持共育两代师表理念，积极落实有理想信念、 有道德情操、有扎实学识、有仁爱之心的“ 四有好老师 ”培养目标 要求。", width = 15)
    @ApiModelProperty(value = "1.坚持立德树人，秉持共育两代师表理念，积极落实有理想信念、 有道德情操、有扎实学识、有仁爱之心的“ 四有好老师 ”培养目标 要求。")
    private java.lang.String col78113;
    /**2.坚持学术强师理念，全面掌握所教学科必需的专业知识与教学知 识，做学生锤炼品格、学习知识、创新思维、奉献祖国的引路人， 具备对所教课程进行高质量创新性教学设计、实施、评价、反思和 研究的能力。*/
    @Excel(name = "2.坚持学术强师理念，全面掌握所教学科必需的专业知识与教学知 识，做学生锤炼品格、学习知识、创新思维、奉献祖国的引路人， 具备对所教课程进行高质量创新性教学设计、实施、评价、反思和 研究的能力。", width = 15)
    @ApiModelProperty(value = "2.坚持学术强师理念，全面掌握所教学科必需的专业知识与教学知 识，做学生锤炼品格、学习知识、创新思维、奉献祖国的引路人， 具备对所教课程进行高质量创新性教学设计、实施、评价、反思和 研究的能力。")
    private java.lang.String col79;
    /**3.尊重学生的权利、地位和人格，注重培养学生爱国情怀、创新精 神和健康人格，促进学生全面发展、终身学习。*/
    @Excel(name = "3.尊重学生的权利、地位和人格，注重培养学生爱国情怀、创新精 神和健康人格，促进学生全面发展、终身学习。", width = 15)
    @ApiModelProperty(value = "3.尊重学生的权利、地位和人格，注重培养学生爱国情怀、创新精 神和健康人格，促进学生全面发展、终身学习。")
    private java.lang.String col80;
    /**4.把握学生身心发展规律和学习特点，了解学生学习基础，激发学 生学习动力，重视引导学生自主发展，为把学生培养成底蕴深厚、 专业扎实、教书育人能力过硬的卓越人才奠定坚实基础。*/
    @Excel(name = "4.把握学生身心发展规律和学习特点，了解学生学习基础，激发学 生学习动力，重视引导学生自主发展，为把学生培养成底蕴深厚、 专业扎实、教书育人能力过硬的卓越人才奠定坚实基础。", width = 15)
    @ApiModelProperty(value = "4.把握学生身心发展规律和学习特点，了解学生学习基础，激发学 生学习动力，重视引导学生自主发展，为把学生培养成底蕴深厚、 专业扎实、教书育人能力过硬的卓越人才奠定坚实基础。")
    private java.lang.String col81;
    /**5.熟悉所教学科的知识体系、历史脉络、思想方法、科际联系和发 展前沿，认识所教学科在课程体系中的地位及其与培养目标的关 系，并将课程理解有效转化为教学观念、内容和行为。*/
    @Excel(name = "5.熟悉所教学科的知识体系、历史脉络、思想方法、科际联系和发 展前沿，认识所教学科在课程体系中的地位及其与培养目标的关 系，并将课程理解有效转化为教学观念、内容和行为。", width = 15)
    @ApiModelProperty(value = "5.熟悉所教学科的知识体系、历史脉络、思想方法、科际联系和发 展前沿，认识所教学科在课程体系中的地位及其与培养目标的关 系，并将课程理解有效转化为教学观念、内容和行为。")
    private java.lang.String col82;
    /**6.熟悉所教课程的内容体系、教育价值、发展历程，有效融入中华 优秀文化、渗透课程思政，坚持教书和育人相统一、言传和身教 相统一、潜心问道和关注社会相统一、学术自由和学术规范相统一。*/
    @Excel(name = "6.熟悉所教课程的内容体系、教育价值、发展历程，有效融入中华 优秀文化、渗透课程思政，坚持教书和育人相统一、言传和身教 相统一、潜心问道和关注社会相统一、学术自由和学术规范相统一。", width = 15)
    @ApiModelProperty(value = "6.熟悉所教课程的内容体系、教育价值、发展历程，有效融入中华 优秀文化、渗透课程思政，坚持教书和育人相统一、言传和身教 相统一、潜心问道和关注社会相统一、学术自由和学术规范相统一。")
    private java.lang.String col83;
    /**7.认识课堂是教书育人、开展教学活动的专业场域，课堂活动对培 养学生理论素养、实践能力、创新精神具有独特价值，能够科学、 灵活、适切地选择和运用课堂组织形式。*/
    @Excel(name = "7.认识课堂是教书育人、开展教学活动的专业场域，课堂活动对培 养学生理论素养、实践能力、创新精神具有独特价值，能够科学、 灵活、适切地选择和运用课堂组织形式。", width = 15)
    @ApiModelProperty(value = "7.认识课堂是教书育人、开展教学活动的专业场域，课堂活动对培 养学生理论素养、实践能力、创新精神具有独特价值，能够科学、 灵活、适切地选择和运用课堂组织形式。")
    private java.lang.String col84;
    /**8.理解课堂教学是教与学活动的有机统一，了解课堂的构成要素、 组织类型、活动方式和基本特点，掌握所教课程的教学规律、教学 方法和评价手段。*/
    @Excel(name = "8.理解课堂教学是教与学活动的有机统一，了解课堂的构成要素、 组织类型、活动方式和基本特点，掌握所教课程的教学规律、教学 方法和评价手段。", width = 15)
    @ApiModelProperty(value = "8.理解课堂教学是教与学活动的有机统一，了解课堂的构成要素、 组织类型、活动方式和基本特点，掌握所教课程的教学规律、教学 方法和评价手段。")
    private java.lang.String col85;
    /**9.严慈相济，乐于与学生交流，关心学生身心健康，热心为学生成 长提供专业支持，促进学生自由而全面的发展。*/
    @Excel(name = "9.严慈相济，乐于与学生交流，关心学生身心健康，热心为学生成 长提供专业支持，促进学生自由而全面的发展。", width = 15)
    @ApiModelProperty(value = "9.严慈相济，乐于与学生交流，关心学生身心健康，热心为学生成 长提供专业支持，促进学生自由而全面的发展。")
    private java.lang.String col86;
    /**10.尊重学生个体差异，了解学生合理学习需求，关注学生思想情 感，善于发现学生的闪光点，对学生发展抱有积极期待。*/
    @Excel(name = "10.尊重学生个体差异，了解学生合理学习需求，关注学生思想情 感，善于发现学生的闪光点，对学生发展抱有积极期待。", width = 15)
    @ApiModelProperty(value = "10.尊重学生个体差异，了解学生合理学习需求，关注学生思想情 感，善于发现学生的闪光点，对学生发展抱有积极期待。")
    private java.lang.String col87;
    /**11.坚持正确的政治方向与价值导向，为党育人，为国育才，依法 执教，理解教师是学生学习的促进者和成长的引路人，自觉履行立 德树人使命。*/
    @Excel(name = "11.坚持正确的政治方向与价值导向，为党育人，为国育才，依法 执教，理解教师是学生学习的促进者和成长的引路人，自觉履行立 德树人使命。", width = 15)
    @ApiModelProperty(value = "11.坚持正确的政治方向与价值导向，为党育人，为国育才，依法 执教，理解教师是学生学习的促进者和成长的引路人，自觉履行立 德树人使命。")
    private java.lang.String col88;
    /**12.理解教学是教师的立身之本，教研是教师的强教之基，潜心教 学，发展教学学术，自觉遵守教学纪律，认真践行教学规范，保证 有质量的教学。*/
    @Excel(name = "12.理解教学是教师的立身之本，教研是教师的强教之基，潜心教 学，发展教学学术，自觉遵守教学纪律，认真践行教学规范，保证 有质量的教学。", width = 15)
    @ApiModelProperty(value = "12.理解教学是教师的立身之本，教研是教师的强教之基，潜心教 学，发展教学学术，自觉遵守教学纪律，认真践行教学规范，保证 有质量的教学。")
    private java.lang.String col89;
    /**13.重视师德师风修养，思想积极向上，热爱教育事业，为人师表， 具有正确的教育观、教师观、学生观。*/
    @Excel(name = "13.重视师德师风修养，思想积极向上，热爱教育事业，为人师表， 具有正确的教育观、教师观、学生观。", width = 15)
    @ApiModelProperty(value = "13.重视师德师风修养，思想积极向上，热爱教育事业，为人师表， 具有正确的教育观、教师观、学生观。")
    private java.lang.String col90;
    /**14.追求教学艺术境界，教学语言规范准确、富有逻辑性，教态自 然，举止文明，仪表得体，有亲和力，情绪饱满，热忱投入。*/
    @Excel(name = "14.追求教学艺术境界，教学语言规范准确、富有逻辑性，教态自 然，举止文明，仪表得体，有亲和力，情绪饱满，热忱投入。", width = 15)
    @ApiModelProperty(value = "14.追求教学艺术境界，教学语言规范准确、富有逻辑性，教态自 然，举止文明，仪表得体，有亲和力，情绪饱满，热忱投入。")
    private java.lang.String col91;
    /**15.立足创新人才培养目标，深入研究课程大纲，针对学生已有经 验和基础，确定教学目标、重难点，形成教学方案。*/
    @Excel(name = "15.立足创新人才培养目标，深入研究课程大纲，针对学生已有经 验和基础，确定教学目标、重难点，形成教学方案。", width = 15)
    @ApiModelProperty(value = "15.立足创新人才培养目标，深入研究课程大纲，针对学生已有经 验和基础，确定教学目标、重难点，形成教学方案。")
    private java.lang.String col92;
    /**16.合理规划教学环节和时间，恰当选择教学方法，积极推动人工 智能、智慧学习环境等新技术与学科课程融合，形成线上与线下教 学有机结合、深度融通的自主、合作、探究学习模式。*/
    @Excel(name = "16.合理规划教学环节和时间，恰当选择教学方法，积极推动人工 智能、智慧学习环境等新技术与学科课程融合，形成线上与线下教 学有机结合、深度融通的自主、合作、探究学习模式。", width = 15)
    @ApiModelProperty(value = "16.合理规划教学环节和时间，恰当选择教学方法，积极推动人工 智能、智慧学习环境等新技术与学科课程融合，形成线上与线下教 学有机结合、深度融通的自主、合作、探究学习模式。")
    private java.lang.String col93;
    /**17.开发和利用具有交互性、情境化的课程资源和教学案例，创设 良好的教学情境，科学选择学习评价方式，合理安排课后学习任务。*/
    @Excel(name = "17.开发和利用具有交互性、情境化的课程资源和教学案例，创设 良好的教学情境，科学选择学习评价方式，合理安排课后学习任务。", width = 15)
    @ApiModelProperty(value = "17.开发和利用具有交互性、情境化的课程资源和教学案例，创设 良好的教学情境，科学选择学习评价方式，合理安排课后学习任务。")
    private java.lang.String col94;
    /**18.清晰阐释课程内容，准确把握教学重难点，恰当解读学科本源 性思想和方法，适时融入课程领域发展新成果。*/
    @Excel(name = "18.清晰阐释课程内容，准确把握教学重难点，恰当解读学科本源 性思想和方法，适时融入课程领域发展新成果。", width = 15)
    @ApiModelProperty(value = "18.清晰阐释课程内容，准确把握教学重难点，恰当解读学科本源 性思想和方法，适时融入课程领域发展新成果。")
    private java.lang.String col95;
    /**19.创造性地生成教学过程，鼓励学生在实践探究中发现问题、提 出问题、解决问题，激发学生的好奇心、想象力与创新思维，培养 学生的创新能力。*/
    @Excel(name = "19.创造性地生成教学过程，鼓励学生在实践探究中发现问题、提 出问题、解决问题，激发学生的好奇心、想象力与创新思维，培养 学生的创新能力。", width = 15)
    @ApiModelProperty(value = "19.创造性地生成教学过程，鼓励学生在实践探究中发现问题、提 出问题、解决问题，激发学生的好奇心、想象力与创新思维，培养 学生的创新能力。")
    private java.lang.String col96;
    /**20.把握课堂教学节奏和进度，根据课堂情境和学生表现适时调整 教学方式，展现教学机智。*/
    @Excel(name = "20.把握课堂教学节奏和进度，根据课堂情境和学生表现适时调整 教学方式，展现教学机智。", width = 15)
    @ApiModelProperty(value = "20.把握课堂教学节奏和进度，根据课堂情境和学生表现适时调整 教学方式，展现教学机智。")
    private java.lang.String col97;
    /**21.落实教学评一体化，运用多种评价方式， 了解学生学习状态， 有效评估学生学习效果，及时给予反馈和有针对性的指导。*/
    @Excel(name = "21.落实教学评一体化，运用多种评价方式， 了解学生学习状态， 有效评估学生学习效果，及时给予反馈和有针对性的指导。", width = 15)
    @ApiModelProperty(value = "21.落实教学评一体化，运用多种评价方式， 了解学生学习状态， 有效评估学生学习效果，及时给予反馈和有针对性的指导。")
    private java.lang.String col98;
    /**22.掌握所学课程的基础知识、基本原理、基本思想等核心内容。*/
    @Excel(name = "22.掌握所学课程的基础知识、基本原理、基本思想等核心内容。", width = 15)
    @ApiModelProperty(value = "22.掌握所学课程的基础知识、基本原理、基本思想等核心内容。")
    private java.lang.String col99;
    /**23.理解课程的知识结构、思想体系，了解所学知识的发展脉络与 前沿动态，形成学科理解力。*/
    @Excel(name = "23.理解课程的知识结构、思想体系，了解所学知识的发展脉络与 前沿动态，形成学科理解力。", width = 15)
    @ApiModelProperty(value = "23.理解课程的知识结构、思想体系，了解所学知识的发展脉络与 前沿动态，形成学科理解力。")
    private java.lang.String col100;
    /**24.掌握所学知识的运用情境、策略和方法， 了解所学课程与其它 课程的关联，理解课程知识在当代社会发展中的意义和价值，形成 学科转化力。*/
    @Excel(name = "24.掌握所学知识的运用情境、策略和方法， 了解所学课程与其它 课程的关联，理解课程知识在当代社会发展中的意义和价值，形成 学科转化力。", width = 15)
    @ApiModelProperty(value = "24.掌握所学知识的运用情境、策略和方法， 了解所学课程与其它 课程的关联，理解课程知识在当代社会发展中的意义和价值，形成 学科转化力。")
    private java.lang.String col101;
    /**25.掌握所学课程的基本专业技能，运用所学知识与方法分析、解 决实际问题，在新情境中发展实践迁移力。*/
    @Excel(name = "25.掌握所学课程的基本专业技能，运用所学知识与方法分析、解 决实际问题，在新情境中发展实践迁移力。", width = 15)
    @ApiModelProperty(value = "25.掌握所学课程的基本专业技能，运用所学知识与方法分析、解 决实际问题，在新情境中发展实践迁移力。")
    private java.lang.String col102;
    /**26.具有大胆质疑、敢于创新的精神，对课程知识及其应用进行批 判性思考，形成反思研究力。*/
    @Excel(name = "26.具有大胆质疑、敢于创新的精神，对课程知识及其应用进行批 判性思考，形成反思研究力。", width = 15)
    @ApiModelProperty(value = "26.具有大胆质疑、敢于创新的精神，对课程知识及其应用进行批 判性思考，形成反思研究力。")
    private java.lang.String col103;
    /**27.能在观察和思考中发现学科与实践问题，基于证据和逻辑发表 自己的观点和见解，提出问题解决方案。*/
    @Excel(name = "27.能在观察和思考中发现学科与实践问题，基于证据和逻辑发表 自己的观点和见解，提出问题解决方案。", width = 15)
    @ApiModelProperty(value = "27.能在观察和思考中发现学科与实践问题，基于证据和逻辑发表 自己的观点和见解，提出问题解决方案。")
    private java.lang.String col104;
    /**28.具有理想信念、责任担当与家国情怀，形成服务国家、奉献社 会的专业品质。*/
    @Excel(name = "28.具有理想信念、责任担当与家国情怀，形成服务国家、奉献社 会的专业品质。", width = 15)
    @ApiModelProperty(value = "28.具有理想信念、责任担当与家国情怀，形成服务国家、奉献社 会的专业品质。")
    private java.lang.String col105;
    /**29.体会课程学习的挑战与乐趣，珍惜学习机会，规划学习过程， 养成自主学习习惯，达成课程学习的各项预设目标，发展学习力。*/
    @Excel(name = "29.体会课程学习的挑战与乐趣，珍惜学习机会，规划学习过程， 养成自主学习习惯，达成课程学习的各项预设目标，发展学习力。", width = 15)
    @ApiModelProperty(value = "29.体会课程学习的挑战与乐趣，珍惜学习机会，规划学习过程， 养成自主学习习惯，达成课程学习的各项预设目标，发展学习力。")
    private java.lang.String col106;
    /**30.凸显课程培根铸魂、启智润心的育人价值，培养德智体美劳全 面发展的高素质专业化创新型人才。改革教学方式方法，展现开拓 创新能力，体现教学创造性。*/
    @Excel(name = "30.凸显课程培根铸魂、启智润心的育人价值，培养德智体美劳全 面发展的高素质专业化创新型人才。改革教学方式方法，展现开拓 创新能力，体现教学创造性。", width = 15)
    @ApiModelProperty(value = "30.凸显课程培根铸魂、启智润心的育人价值，培养德智体美劳全 面发展的高素质专业化创新型人才。改革教学方式方法，展现开拓 创新能力，体现教学创造性。")
    private java.lang.String col107;
    /**31.准确把握学科本质属性，尊重学科学习规律，体现具有中国特 色、中国风格、中国气派的学科体系、学术体系和话语体系。*/
    @Excel(name = "31.准确把握学科本质属性，尊重学科学习规律，体现具有中国特 色、中国风格、中国气派的学科体系、学术体系和话语体系。", width = 15)
    @ApiModelProperty(value = "31.准确把握学科本质属性，尊重学科学习规律，体现具有中国特 色、中国风格、中国气派的学科体系、学术体系和话语体系。")
    private java.lang.String col108;
    /**32.吸纳学科教研新成果，融入学科相关的新理念、新知识、新技 术，关注学科交叉融合、协同创新的发展趋势。*/
    @Excel(name = "32.吸纳学科教研新成果，融入学科相关的新理念、新知识、新技 术，关注学科交叉融合、协同创新的发展趋势。", width = 15)
    @ApiModelProperty(value = "32.吸纳学科教研新成果，融入学科相关的新理念、新知识、新技 术，关注学科交叉融合、协同创新的发展趋势。")
    private java.lang.String col109;
    /**33.教学设计和教学实施渗透革新意识，积极探索新时代教育教学。*/
    @Excel(name = "33.教学设计和教学实施渗透革新意识，积极探索新时代教育教学。", width = 15)
    @ApiModelProperty(value = "33.教学设计和教学实施渗透革新意识，积极探索新时代教育教学。")
    private java.lang.String col110;
    /**34.教学理念、教学方法等呈现个性风貌，善于引导学生传承中华 师道，涵养教育情怀，成为学生为学、为事、为人的示范，体现教 书育人、言传身教相统一的教学艺术性。*/
    @Excel(name = "34.教学理念、教学方法等呈现个性风貌，善于引导学生传承中华 师道，涵养教育情怀，成为学生为学、为事、为人的示范，体现教 书育人、言传身教相统一的教学艺术性。", width = 15)
    @ApiModelProperty(value = "34.教学理念、教学方法等呈现个性风貌，善于引导学生传承中华 师道，涵养教育情怀，成为学生为学、为事、为人的示范，体现教 书育人、言传身教相统一的教学艺术性。")
    private java.lang.String col111;
    /**总分*/
    @Excel(name = "总分", width = 15)
    @ApiModelProperty(value = "总分")
    private java.lang.String col112;
    /**优点或建议*/
    @Excel(name = "优点或建议", width = 15)
    @ApiModelProperty(value = "优点或建议")
    private java.lang.String col113;




    @TableField(exist = false)
    private java.lang.String xqxn;
    @TableField(exist = false)
    @Dict(dicCode = "yn")
    private java.lang.String szkc;
    @TableField(exist = false)
    private java.lang.String skjsdw;//授课教师单位


}
