package org.jeecg.modules.kc.kcGongkaike.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: kc_gongkaike
 * @Author: jeecg-boot
 * @Date:   2023-04-06
 * @Version: V1.0
 */
@Data
@TableName("kc_gongkaike")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_gongkaike对象", description="kc_gongkaike")
public class KcGongkaike implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**学院*/
	@Excel(name = "学院", width = 15)
    @ApiModelProperty(value = "学院")
    private java.lang.String xy;
	/**候选人*/
	@Excel(name = "候选人", width = 15)
    @ApiModelProperty(value = "候选人")
    private java.lang.String hxr;
	/**职称*/
	@Excel(name = "职称", width = 15)
    @ApiModelProperty(value = "职称")
    private java.lang.String zc;
	/**日期*/
	@Excel(name = "日期", width = 15)
    @ApiModelProperty(value = "日期")
    private java.lang.String rq;
	/**开始时间*/
	@Excel(name = "开始时间", width = 15)
    @ApiModelProperty(value = "开始时间")
    private java.lang.String kssj;
	/**结束时间*/
	@Excel(name = "结束时间", width = 15)
    @ApiModelProperty(value = "结束时间")
    private java.lang.String jssj;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**课堂主题*/
	@Excel(name = "课堂主题", width = 15)
    @ApiModelProperty(value = "课堂主题")
    private java.lang.String ktzt;
	/**课程链接*/
	@Excel(name = "课程链接", width = 15)
    @ApiModelProperty(value = "课程链接")
    private java.lang.String kclj;
	/**图片名称*/
	@Excel(name = "图片名称", width = 15)
    @ApiModelProperty(value = "图片名称")
    private java.lang.String tpmc;
	/**教师介绍链接*/
	@Excel(name = "教师介绍链接", width = 15)
    @ApiModelProperty(value = "教师介绍链接")
    private java.lang.String jslj;
	/**当前状态*/
	@Excel(name = "当前状态", width = 15)
    @ApiModelProperty(value = "当前状态")
    private java.lang.String dqzt;
	/**当前状态排序 1 正在上课 2公开课预告 3 已下课*/
	@Excel(name = "当前状态排序 1 正在上课 2公开课预告 3 已下课", width = 15, dicCode = "dqztpx")
	@Dict(dicCode = "dqztpx")
    @ApiModelProperty(value = "当前状态排序 1 正在上课 2公开课预告 3 已下课")
    private java.lang.String dqztpx;
	/**是否显示 1 显示 0 不显示*/
	@Excel(name = "是否显示 1 显示 0 不显示", width = 15, dicCode = "sfxs")
	@Dict(dicCode = "sfxs")
    @ApiModelProperty(value = "是否显示 1 显示 0 不显示")
    private java.lang.String sfxs;
	/**类别*/
	@Excel(name = "类别", width = 15)
    @ApiModelProperty(value = "类别")
    private java.lang.String hxrlb;


	@ApiModelProperty(value = "图片名称2")
	private java.lang.String tpmc2;

	@ApiModelProperty(value = "图片名称3")
	private java.lang.String tpmc3;

	@ApiModelProperty(value = "说课视频地址")
	private java.lang.String shuokePath;
	@ApiModelProperty(value = "授课视频地址")
	private java.lang.String shoukePath;
	@ApiModelProperty(value = "课后反思视频地址")
	private java.lang.String kehouPath;

	@TableField(exist = false)
	private String type;

	@TableField(exist = false)
	private String logcount;
	@TableField(exist = false)
	private String xnxq;

}
