package org.jeecg.modules.kc.kcJieci.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: kc_jieci
 * @Author: jeecg-boot
 * @Date:   2023-04-03
 * @Version: V1.0
 */
@Data
@TableName("kc_jieci")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_jieci对象", description="kc_jieci")
public class KcJieci implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.Integer id;
	/**节次*/
	@Excel(name = "节次", width = 15)
    @ApiModelProperty(value = "节次")
    private java.lang.String jieci;
	/**节次开始时间*/
	@Excel(name = "节次开始时间", width = 15)
    @ApiModelProperty(value = "节次开始时间")
    private java.lang.String hhks;
	/**节次结束时间*/
	@Excel(name = "节次结束时间", width = 15)
    @ApiModelProperty(value = "节次结束时间")
    private java.lang.String hhjs;

    @TableField(exist = false)
    private String kssj;

    @TableField(exist = false)
    private String type;
    @TableField(exist = false)
    private String sjsksj;

}
