package org.jeecg.modules.kc.kcKechengExclude.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 课程刨除数据
 * @Author: jeecg-boot
 * @Date:   2024-03-21
 * @Version: V1.0
 */
@Data
@TableName("kc_kecheng_exclude")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_kecheng_exclude对象", description="课程刨除数据")
public class KcKechengExclude implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private java.lang.String kcmc;
	/**教工号*/
	@Excel(name = "教工号", width = 15)
    @ApiModelProperty(value = "教工号")
    private java.lang.String jgh;
	/**授课教师*/
	@Excel(name = "授课教师", width = 15)
    @ApiModelProperty(value = "授课教师")
    private java.lang.String skjs;
	/**开课单位*/
	@Excel(name = "开课单位", width = 15)
    @ApiModelProperty(value = "开课单位")
    private java.lang.String kkdw;
	/**课程性质*/
	@Excel(name = "课程性质", width = 15)
    @ApiModelProperty(value = "课程性质")
    private java.lang.String kcxz;
	/**上课地点*/
	@Excel(name = "上课地点", width = 15)
    @ApiModelProperty(value = "上课地点")
    private java.lang.String skdd;
	/**授课时间*/
	@Excel(name = "授课时间", width = 15)
    @ApiModelProperty(value = "授课时间")
    private java.lang.String sksj;
	/**授课周次*/
	@Excel(name = "授课周次", width = 15)
    @ApiModelProperty(value = "授课周次")
    private java.lang.String jkzc;
	/**学年学期【orcl】*/
	@Excel(name = "学年学期【orcl】", width = 15)
    @ApiModelProperty(value = "学年学期【orcl】")
    private java.lang.String xnxq;
	/**课程大类*/
	@Excel(name = "课程大类", width = 15)
    @ApiModelProperty(value = "课程大类")
    private java.lang.String kcdl;
	/**是否前台展示*/
	@Excel(name = "是否前台展示", width = 15)
    @ApiModelProperty(value = "是否前台展示")
    private java.lang.String sfqtzs;
	/**学年学期【系统自用】*/
	@Excel(name = "学年学期【系统自用】", width = 15)
    @ApiModelProperty(value = "学年学期【系统自用】")
    private java.lang.String xqxn;
}
