package org.jeecg.modules.kc.kcKechengtixingdingyue.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 课程提醒订阅
 * @Author: jeecg-boot
 * @Date:   2023-04-06
 * @Version: V1.0
 */
@Data
@TableName("kc_kechengtixingdingyue")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_kechengtixingdingyue对象", description="课程提醒订阅")
public class KcKechengtixingdingyue implements Serializable {
    private static final long serialVersionUID = 1L;


    @Excel(name = "所在学院", width = 15)
    @TableField(exist = false)
    private java.lang.String dwmc;

    @Excel(name = "任教专业", width = 15)
    @TableField(exist = false)
    private java.lang.String rjzy;
	/**账号*/
    @TableId
	@Excel(name = "工号", width = 15)
    @ApiModelProperty(value = "工号")
    private java.lang.String userid;
	/**用户名*/
	@Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private java.lang.String username;
	/**课前提醒*/
	@Excel(name = "课前提醒", width = 15)
    @ApiModelProperty(value = "课前提醒")
    @Dict(dicCode = "sfcj")
    private java.lang.String kqtx;
	/**每日课程提醒*/
	@Excel(name = "每日课程提醒", width = 15)
    @ApiModelProperty(value = "每日课程提醒")
    @Dict(dicCode = "sfcj")
    private java.lang.String mrkctx;

}
