import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: '用户ID',
    align: "center",
    dataIndex: 'userId'
  },
  {
    title: '课堂表ID',
    align: "center",
    dataIndex: 'ketangbiaoId'
  },
  {
    title: '笔记内容',
    align: "center",
    dataIndex: 'notes'
  },
];

//查询数据
export const searchFormSchema: FormSchema[] = [
];

//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '用户ID',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '课堂表ID',
    field: 'ketangbiaoId',
    component: 'Input',
  },
  {
    label: '笔记内容',
    field: 'notes',
    component: 'Input',
  },
	// TODO 主键隐藏字段，目前写死为ID
  {
    label: '',
    field: 'id',
    component: 'Input',
    show: false,
  },
];
