package org.jeecg.modules.kc.kcMessagelistcopy.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 订阅信息表
 * @Author: jeecg-boot
 * @Date:   2023-04-25
 * @Version: V1.0
 */
@Data
@TableName("kc_messagelistcopy")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_messagelistcopy对象", description="订阅信息表")
public class KcMessagelistcopy implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**msgid*/
	@Excel(name = "msgid", width = 15)
    @ApiModelProperty(value = "msgid")
    private java.lang.String msgid;
	/**touser*/
	@Excel(name = "touser", width = 15)
    @ApiModelProperty(value = "touser")
    private java.lang.String touser;
	/**templateId*/
	@Excel(name = "templateId", width = 15)
    @ApiModelProperty(value = "templateId")
    private java.lang.String templateId;
	/**tourl*/
	@Excel(name = "tourl", width = 15)
    @ApiModelProperty(value = "tourl")
    private java.lang.String tourl;
	/**firstdata*/
	@Excel(name = "firstdata", width = 15)
    @ApiModelProperty(value = "firstdata")
    private java.lang.String firstdata;
	/**remarkdata*/
	@Excel(name = "remarkdata", width = 15)
    @ApiModelProperty(value = "remarkdata")
    private java.lang.String remarkdata;
	/**keyword1*/
	@Excel(name = "keyword1", width = 15)
    @ApiModelProperty(value = "keyword1")
    private java.lang.String keyword1;
	/**keyword2*/
	@Excel(name = "keyword2", width = 15)
    @ApiModelProperty(value = "keyword2")
    private java.lang.String keyword2;
	/**keyword3*/
	@Excel(name = "keyword3", width = 15)
    @ApiModelProperty(value = "keyword3")
    private java.lang.String keyword3;
	/**keyword4*/
	@Excel(name = "keyword4", width = 15)
    @ApiModelProperty(value = "keyword4")
    private java.lang.String keyword4;
	/**keyword5*/
	@Excel(name = "keyword5", width = 15)
    @ApiModelProperty(value = "keyword5")
    private java.lang.String keyword5;
	/**mtype*/
	@Excel(name = "mtype", width = 15)
    @ApiModelProperty(value = "mtype")
    private java.lang.String mtype;
	/**scheduleddatetime*/
	@Excel(name = "scheduleddatetime", width = 15)
    @ApiModelProperty(value = "scheduleddatetime")
    private java.lang.String scheduleddatetime;
	/**status*/
	@Excel(name = "status", width = 15)
    @ApiModelProperty(value = "status")
    private java.lang.String status;
	/**sendtime*/
	@Excel(name = "sendtime", width = 15)
    @ApiModelProperty(value = "sendtime")
    private java.lang.String sendtime;
}
