package org.jeecg.modules.kc.kcMessagelistcopy.service;

import org.jeecg.modules.kc.kcMessagelistcopy.entity.KcMessagelistcopy;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 订阅信息表
 * @Author: jeecg-boot
 * @Date:   2023-04-25
 * @Version: V1.0
 */
public interface IKcMessagelistcopyService extends IService<KcMessagelistcopy> {

    int insertTx(String skrq, String txrq);

    //写入学生课前提醒
    int insertStudentClass(String skrq);

    //写入教师课前提醒
    int insertTeacherClass(String skrq);

    //学生明日课程提醒
    int insertStudentNextDayClass(String skrq, String txrq);

    //教师明日课程提醒
    int insertTeacherNextDayClass(String skrq, String txrq);

}
