package org.jeecg.modules.kc.kcSuggestions.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: kc_suggestions
 * @Author: jeecg-boot
 * @Date:   2023-04-09
 * @Version: V1.0
 */
@Data
@TableName("kc_suggestions")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_suggestions对象", description="kc_suggestions")
public class KcSuggestions implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**提交人id*/
	@Excel(name = "提交人id", width = 15)
    @ApiModelProperty(value = "提交人id")
    private java.lang.String userid;
	/**提交人姓名*/
	@Excel(name = "提交人姓名", width = 15)
    @ApiModelProperty(value = "提交人姓名")
    private java.lang.String username;
	/**意见建议内容*/
	@Excel(name = "意见建议内容", width = 15)
    @ApiModelProperty(value = "意见建议内容")
    private java.lang.String suggestions;
	/**反馈内容*/
	@Excel(name = "反馈内容", width = 15)
    @ApiModelProperty(value = "反馈内容")
    private java.lang.String feedback;
	/**反馈人id*/
	@Excel(name = "反馈人id", width = 15)
    @ApiModelProperty(value = "反馈人id")
    private java.lang.String feedbackuserid;
	/**反馈人姓名*/
	@Excel(name = "反馈人姓名", width = 15)
    @ApiModelProperty(value = "反馈人姓名")
    private java.lang.String feedbackusername;
	/**提交时间*/
	@Excel(name = "提交时间", width = 15)
    @ApiModelProperty(value = "提交时间")
    private java.lang.String suggestionstime;
	/**反馈时间*/
	@Excel(name = "反馈时间", width = 15)
    @ApiModelProperty(value = "反馈时间")
    private java.lang.String feedbacktime;

    private String tjrsf;

    @TableField(exist = false)
    private java.lang.String startTime;

    @TableField(exist = false)
    private java.lang.String endTime;

}
