package org.jeecg.modules.kc.kcTingkeBmd.mapper;

import java.util.List;
import org.jeecg.modules.kc.kcTingkeBmd.entity.KcTingkeBmdKcxx;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 分配的课程
 * @Author: jeecg-boot
 * @Date:   2024-03-07
 * @Version: V1.0
 */
public interface KcTingkeBmdKcxxMapper extends BaseMapper<KcTingkeBmdKcxx> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<KcTingkeBmdKcxx>
   */
	public List<KcTingkeBmdKcxx> selectByMainId(@Param("mainId") String mainId);
}
