package org.jeecg.modules.kc.ktgl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecg.modules.kc.jiaoshi.entity.KcJiaoshirongliang;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 课堂管理-子表
 * @Author: jeecg-boot
 * @Date:   2023-04-01
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_ketangbiao对象", description="课堂管理-子表")
public class KcKetangbiaoNum implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;

    @Excel(name = "学年学期", width = 15)
    private String xnxq;
    /**开课单位*/
    @Excel(name = "开课单位", width = 25)
    @ApiModelProperty(value = "开课单位")
    private String kkdw;

    @Excel(name = "开课数量", width = 15)
    private String num;

    @Excel(name = "专业教育选修课", width = 15)
    private String a2;

    @Excel(name = "专业教育必修课", width = 15)
    private String a1;

    @Excel(name = "通识教育必修课", width = 15)
    private String a6;

    @Excel(name = "通识教育选修课", width = 15)
    private String a7;

    @Excel(name = "教师教育必修课", width = 15)
    private String a4;

    @Excel(name = "教师教育选修课", width = 15)
    private String a5;

    @Excel(name = "发展方向课", width = 15)
    private String a3;


    private String startTime;
    private String endTime;

}
