package org.jeecg.modules.kc.ktgl.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.ktgl.entity.KcKechengbiao;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.kc.ktgl.entity.KcKetangbiao;

/**
 * @Description: 课程管理-主表
 * @Author: jeecg-boot
 * @Date:   2023-04-01
 * @Version: V1.0
 */
public interface KcKechengbiaoMapper extends BaseMapper<KcKechengbiao> {

    int syncKechengbiao(KcKechengbiao kcKechengbiao);

    List<KcKechengbiao> selectSyncList(KcKechengbiao kcKechengbiao);

    void saveHis(KcKechengbiao kcKechengbiaohis);

    List<KcKechengbiao> getSzkcList();

    IPage<KcKechengbiao> listGroupBy(Page<KcKechengbiao> page,@Param(Constants.WRAPPER)  QueryWrapper<KcKechengbiao> queryWrapper);

    List<KcKechengbiao> getKechengbiaoList(KcKechengbiao kcKechengbiao);

    void saveOne(KcKechengbiao kcKechengbiaoPar);

    void removeCfsj(KcKechengbiao kcKechengbiao);

    void updateKechengExculde(KcKechengbiao ktbExculde);

    void updateAllFlag(KcKechengbiao kcKechengbiao);

    void updateYxByXxhbkckb(KcKechengbiao kcbAll);

    IPage<KcKechengbiao> getKechengbiaolist(Page<KcKechengbiao> page,@Param(Constants.WRAPPER) QueryWrapper<KcKechengbiao> queryWrapper);

    IPage<KcKechengbiao> getStudentKclist(Page<KcKechengbiao> page,@Param(Constants.WRAPPER) QueryWrapper<KcKechengbiao> queryWrapper);

    KcKechengbiao getKcbhByRwbh(KcKechengbiao kcKechengbiao);

    List getStudentRiliKclist(KcKetangbiao kcKetangbiao);

    void updateSzkc();

    IPage<KcKechengbiao> getZjlist(Page<KcKechengbiao> page,@Param(Constants.WRAPPER)  QueryWrapper<KcKechengbiao> queryWrapper);
}
