package org.jeecg.modules.kc.ktgl.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.ktgl.entity.KcKetangbiao;
import org.jeecg.modules.kc.ktgl.entity.KcKetangbiaoNum;

import java.util.List;
import java.util.Map;

/**
 * @Description: 课堂管理-子表
 * @Author: jeecg-boot
 * @Date:   2023-04-01
 * @Version: V1.0
 */
public interface KcKetangbiaoMapper extends BaseMapper<KcKetangbiao> {

    IPage<KcKetangbiao> getKclblist(Page<KcKetangbiao> page,KcKetangbiao kcKetangbiao);

    List<Map<String,Object>> selectJrTkCount(String skrq);

    List<Map<String, Object>> getIndexYkktstj(KcKetangbiao kcKetangbiao);

    IPage<KcKetangbiao> getStudentKclblist(Page<KcKetangbiao> page, KcKetangbiao kcKetangbiao);

    List<KcKetangbiao> selectSyncList(KcKetangbiao kcKetangbiao);

    void saveHis(KcKetangbiao kcKetangbiaohis);

    List<Map<String, Object>> getIndexYkktstjYkkttkktList(Page<Map<String, Object>> page, @Param(Constants.ENTITY) KcKetangbiao kcKetangbiao);

    List<Map<String, Object>> getIndexYkktstjYkkttkrcList(Page<Map<String, Object>> page, @Param(Constants.ENTITY) KcKetangbiao kcKetangbiao);

    List<Map<String, Object>> selectJrTkJrtkktsList(Page<Map<String, Object>> page, @Param("skrq") String skrq);

    List<Map<String, Object>> selectJrTkJrtktkrcList(Page<Map<String, Object>> page, @Param("skrq") String skrq);

    List<Map<String, Object>> getTeacherjjsk(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacherzzsk(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacherdskc(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacheryskc(Map<String, String> queryMap);

    List<Map<String, Object>> getTeacherjlrkcb(Map<String, String> queryMap);

    List<KcKetangbiao> getKtbjList(KcKetangbiao kcKetangbiao);

    IPage<KcKetangbiao> fundAllPjjgList(Page<KcKetangbiao> page, @Param(Constants.WRAPPER) QueryWrapper<KcKetangbiao> queryWrapper);

    KcKetangbiao getScoreById(KcKetangbiao kcKetangbiao);

    IPage<KcKetangbiao> indexYkktzsPage(Page<KcKetangbiao> page, @Param(Constants.WRAPPER) QueryWrapper<KcKetangbiao> queryWrapper);

    IPage<KcKetangbiao> getKtsbMorelist(Page<KcKetangbiao> page, @Param(Constants.WRAPPER) QueryWrapper<KcKetangbiao> queryWrapper);

    void updateJsbh();

    void updateSkxs(KcKetangbiao kcKetangbiaoup);

    IPage<Map<String, Object>> getKtcountList(Page<Map<String, Object>> page, @Param(Constants.ENTITY) KcKetangbiao kcKetangbiao);

    List<KcKetangbiaoNum> getKtcountExportList(KcKetangbiaoNum kcKetangbiao);

    IPage<Map<String, Object>> getKccountList(Page<Map<String, Object>> page, @Param(Constants.ENTITY) KcKetangbiao kcKetangbiao);

    List<KcKetangbiaoNum> getKccountExportList(KcKetangbiaoNum kcKetangbiao);

    void updateKechengbiaoid( @Param("skrq") String skrq);

}
