package org.jeecg.modules.kc.qa.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.kc.qa.entity.KcEvaluation;
import org.jeecg.modules.kc.qa.entity.KcEvaluationPkmx;
import org.jeecg.modules.kc.statistics.KcEvaluationVo;
import org.jeecg.modules.kc.statistics.KcEvaluationVo2;

import java.util.List;

/**
 * @Description: 调查问卷-回答主表
 * @Author: jeecg-boot
 * @Date:   2023-04-09
 * @Version: V1.0
 */
public interface IKcEvaluationService extends IService<KcEvaluation> {

    IPage<KcEvaluation> getPktjbList(Page<KcEvaluation> page, KcEvaluation kcEvaluation);

    IPage<KcEvaluation> getPkmxbList(Page<KcEvaluation> page, KcEvaluation kcEvaluation);

    List<KcEvaluation> getPkztjTjt(KcEvaluation kcEvaluation);

    List<KcEvaluation> getPkfglTjt(KcEvaluation kcEvaluation);

    void addQaAll(KcEvaluation kcEvaluation);

    List<KcEvaluation> selectKkdwExportList(KcEvaluation kcEvaluation);

    List<KcEvaluationPkmx> selectPkmxExportList(KcEvaluationPkmx kcEvaluationPkmx);

    IPage<KcEvaluation> keTangList(Page<KcEvaluation> page, QueryWrapper<KcEvaluation> queryWrapper);

    IPage<KcEvaluationVo> selectPageAndKcmc(Page<KcEvaluationVo> page, QueryWrapper<KcEvaluationVo> queryWrapper);

    IPage<KcEvaluationVo2> selectPageAndKcmc2(Page<KcEvaluationVo2> page, QueryWrapper<KcEvaluationVo2> queryWrapper);

    IPage<KcEvaluation> queryPkZuJiPage(Page<KcEvaluation> page, QueryWrapper<KcEvaluation> queryWrapper);

    List<KcEvaluation> findTj(QueryWrapper<KcEvaluation> queryWrapper);

    List<KcEvaluation> getCountlist(KcEvaluation kcEvaluation);

    List<KcEvaluation> findTkcsTj(QueryWrapper<KcEvaluation> kcEvaluationQueryWrapper);
}
