package org.jeecg.modules.kc.tksf.kctkcstj.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 听课次数统计
 * @Author: jeecg-boot
 * @Date:   2023-05-27
 * @Version: V1.0
 */
@Data
@TableName("kc_tkcstj")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="kc_tkcstj对象", description="听课次数统计")
public class KcTkcstj implements Serializable {
    private static final long serialVersionUID = 1L;

	/**学年学期*/
	@Excel(name = "学年学期", width = 15)
    @ApiModelProperty(value = "学年学期")
    private java.lang.String xnxq;
	/**教师工号*/
	@Excel(name = "教师工号", width = 15)
    @ApiModelProperty(value = "教师工号")
	@TableId
    private java.lang.String jgh;
	/**教师姓名*/
	@Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private java.lang.String jsxm;
	/**所属学院*/
	@Excel(name = "所属学院", width = 15)
    @ApiModelProperty(value = "所属学院")
    private java.lang.String ssxy;
	/**听课身份*/
	@Excel(name = "听课身份", width = 15)
    @ApiModelProperty(value = "听课身份")
    private java.lang.String tksf;
	/**应听课次数*/
	@Excel(name = "应听课次数", width = 15)
    @ApiModelProperty(value = "应听课次数")
    private java.lang.String yskcs;
	/**应听课次数*/
	@Excel(name = "应听课次数", width = 15)
    @ApiModelProperty(value = "应听课次数")
    private java.lang.String tkxttj;
}
