package org.jeecg.modules.kc.wjxDjxx.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.wjxDjxx.entity.*;

import java.util.List;


/**
 * @Description: 答卷信息
 * @Author: jeecg-boot
 * @Date:   2024-05-07
 * @Version: V1.0
 */
public interface WjxDjxxMapper extends BaseMapper<WjxDjxx> {
    void deleteDj(WjxDjxx wjxDjxx);
    String findVid(@Param("mainId")String mainId);
    List<WjxDjxx> findUnSelect();
    void updateJid(@Param("userId")String userId,@Param("vid")String vid,@Param("jid")String jid);
    void updateErrMsg(@Param("userId")String userId,@Param("vid")String vid,@Param("errorMsg")String errorMsg);
    void updateAnswer(WjxDjxx wjxDjxx);
    void deleteDjItem(WjxDjxx wjxDjxx);
    void addDjTmxx(WjxDjxxTmxx wjxDjxxTmxx);
    WjxDjxx findDjxx(@Param("id")String id,@Param("userId")String userId);
    List<WjxDjxxTmxx> findDjtmxx(@Param("vid")String vid,@Param("jid")String jid);
    List<WjxDjxx> findDjjgsPage(Page<WjxDjxx> page, WjxDjxx params);
    List<WjxDjxx> findUnDjjgsPage(Page<WjxDjxx> page, WjxDjxx params);
    List<WjxDjxx> findAllDjjgsPage(Page<WjxDjxx> page, WjxDjxx params);

    List<WjxDjxxDj> findDjjgsDjPage(WjxDjxxDj params);

    List<WjxDjxxDj> findUnDjjgsDJPage(WjxDjxxDj params);

    List<WjxDjxxDj> findAllDjjgsDjPage(WjxDjxxDj params);

    IPage<StudentCyglSys> sysList(Page<StudentCyglSys> page,@Param(Constants.WRAPPER)  QueryWrapper<StudentCyglSys> queryWrapper, StudentCyglSys studentCyglSys);

    List<StudentCyglSys> exportSysXls(@Param(Constants.WRAPPER) QueryWrapper<StudentCyglSys> queryWrapper, StudentCyglSys studentCyglSys);

    List<StudentWjglSys> exportWjglSysXls(@Param(Constants.WRAPPER)QueryWrapper<StudentWjglSys> queryWrapper, StudentWjglSys studentWjglSys);

    IPage<StudentWjglSys> sysWjglList(Page<StudentWjglSys> page,@Param(Constants.WRAPPER) QueryWrapper<StudentWjglSys> queryWrapper, StudentWjglSys studentWjglSys);

    String getDjnum(@Param("vid")String vid, @Param("wjIndex")Integer wjIndex, @Param("itemIndex")Integer itemIndex);

    String getDjnumType(@Param("vid")String vid, @Param("wjIndex")Integer wjIndex, @Param("itemIndex")Integer itemIndex, @Param("type")String type);

    void updateTotalScore(WjxDjxx wjxDjxx);

    List<WjxDjxxTmxx> findDjtmxx2(String vid, String jid);

    void updateDjxxTmxx(WjxDjxxTmxx wjxDjxxTmxx);

    WjxDjxxTmxx getSumScore(WjxDjxxTmxx wjxDjxxTmxx);

    void editSdpf(WjxDjxx wjxDjxx);

    WjxDjxxTmxx getByDjxxId(@Param("djtmid")String djtmid);

    void updateScoreByJid(WjxDjxx par2);

    WjxDjxx getInfoByVidUser(WjxDjxx wjxDjxx);

    WjxDjxxTmxx getSfysj( @Param("wjxDjxxTmxx")WjxDjxxTmxx wjxDjxxTmxx);

    List<WjxDjxxTmxx> getDjxxTmxxWjt(@Param("jid")String jid);


    void updateDjxxTmxxFwqpath(WjxDjxxTmxx wjxDjxxTmxx);

    int upZbcs(@Param("dto") WjxDjxx wjxDjxx);
}
