package org.jeecg.modules.kc.wjxWjxx.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 教学大纲
 * @Author: jeecg-boot
 * @Date:   2024-05-11
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class KccyglSys implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    @Excel(name = "学期学年", width = 15)
    private String xqxn;
    @Excel(name = "开课单位", width = 15)
    private String kkdw;
    @Excel(name = "课程编号", width = 15)
    private String kcbh;
    @Excel(name = "课程名称", width = 15)
    private String kcmc;
    @Excel(name = "开课任务编号", width = 15)
    private String rwbh;
    @Excel(name = "授课教师", width = 15)
    private String skjs;
    @Excel(name = "上课时间", width = 15)
    private String sksj;
    @Excel(name = "上课地点", width = 15)
    private String skdd;
    @Excel(name = "选课学生", width = 15)
    private String xkrs;
    @Excel(name = "数量", width = 15)
    private String num;

    private String jgh;
    private String ywId;
    private String atype;

    @Excel(name = "发布作业次数", width = 15)
    private Integer fbzycs;
    @Excel(name = "作业完成次数", width = 15)
    private Integer zywccs;
    @Excel(name = "超时未完成次数", width = 15)
    private Integer cswwccs;
}
