package org.jeecg.modules.kc.wjxWjxx.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.wjxWjxx.entity.KccyglSys;
import org.jeecg.modules.kc.wjxWjxx.entity.WjxWjxx;

import java.util.List;

/**
 * @Description: 问卷信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
public interface WjxWjxxMapper extends BaseMapper<WjxWjxx> {
    List<WjxWjxx> findPage(Page<WjxWjxx> page,WjxWjxx param);
    List<WjxWjxx> findStuPage(Page<WjxWjxx> page,WjxWjxx param);
    WjxWjxx kcxx(@Param("rwbh")String rwbh,@Param("xqxn")String xqxn);
    void updateVid(@Param("id")String id,@Param("vid")String vid);

    IPage<KccyglSys> sysList(Page<KccyglSys> page, @Param(Constants.WRAPPER) QueryWrapper<KccyglSys> queryWrapper, KccyglSys kccyglSys);

    List<KccyglSys> exportSysXls(@Param(Constants.WRAPPER) QueryWrapper<KccyglSys> queryWrapper, KccyglSys kccyglSys);

    WjxWjxx getByKechengId(@Param("id") String id);

    String querySfdtById(@Param("id") String id, @Param("username") String username);

    WjxWjxx queryCyjgById(String id);

    Page<WjxWjxx> listOther(@Param("wjxWjxx")  WjxWjxx wjxWjxx, Page<Object> objectPage);
}
