package org.jeecg.modules.kc.wjxWjxxTmlb.controller;

import java.io.UnsupportedEncodingException;
import java.io.IOException;
import java.net.URLDecoder;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import org.apache.commons.lang3.StringUtils;
import org.jeecg.common.system.base.controller.JeecgController;
import org.jeecg.modules.kc.grab.imports.entity.Xxhbbks;
import org.jeecg.modules.kc.wjxDjxx.entity.WjxDjxx;
import org.jeecg.modules.kc.wjxDjxx.entity.WjxDjxxDj;
import org.jeecg.modules.kc.wjxDjxx.service.IWjxDjxxService;
import org.jeecg.modules.kc.wjxWjxxTmlb.vo.WjxWjxxImportPage;
import org.jeecg.modules.kc.wjxWjxxTmlb.vo.WjxWjxxTmlbAddPage;
import org.jeecg.modules.kc.zyInfoStudent.entity.ZyInfoStudent;
import org.jeecg.modules.kc.zyInfoStudent.service.IZyInfoStudentService;
import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.vo.LoginUser;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmlb;
import org.jeecg.modules.kc.wjxWjxxTmlb.vo.WjxWjxxTmlbPage;
import org.jeecg.modules.kc.wjxWjxxTmlb.service.IWjxWjxxTmlbService;
import org.jeecg.modules.kc.wjxWjxxTmlb.service.IWjxWjxxTmxxService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.apache.shiro.authz.annotation.RequiresPermissions;


 /**
 * @Description: 题目信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
@Api(tags="题目信息")
@RestController
@RequestMapping("/wjxWjxxTmlb/wjxWjxxTmlb")
@Slf4j
public class WjxWjxxTmlbController extends JeecgController<WjxWjxxTmlb, IWjxWjxxTmlbService> {
	@Autowired
	private IWjxWjxxTmlbService wjxWjxxTmlbService;
	@Autowired
	private IWjxWjxxTmxxService wjxWjxxTmxxService;
	 @Autowired
	 private IWjxDjxxService wjxDjxxService;
	/**
	 * 分页列表查询
	 *
	 * @param wjxWjxxTmlb
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "题目信息-分页列表查询")
	@ApiOperation(value="题目信息-分页列表查询", notes="题目信息-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<WjxWjxxTmlb>> queryPageList(WjxWjxxTmlb wjxWjxxTmlb,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<WjxWjxxTmlb> queryWrapper = QueryGenerator.initQueryWrapper(wjxWjxxTmlb, req.getParameterMap());
		Page<WjxWjxxTmlb> page = new Page<WjxWjxxTmlb>(pageNo, pageSize);
		IPage<WjxWjxxTmlb> pageList = wjxWjxxTmlbService.page(page, queryWrapper);
		if(pageList.getRecords()!=null){
			for(WjxWjxxTmlb par:pageList.getRecords()){
				List<WjxWjxxTmxx> wjxWjxxTmxxList = wjxWjxxTmxxService.selectByMainId(par.getId());
				par.setWjxWjxxTmxxList(wjxWjxxTmxxList);
			}
		}

		return Result.OK(pageList);
	}

	 @ApiOperation(value="题目信息-分页列表查询", notes="题目信息-分页列表查询")
	 @GetMapping(value = "/distinctList")
	 public Result<IPage<WjxWjxxTmlb>> distinctList(WjxWjxxTmlb wjxWjxxTmlb,
													 @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
													 @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
													 HttpServletRequest req) {
		 QueryWrapper<WjxWjxxTmlb> queryWrapper = QueryGenerator.initQueryWrapper(wjxWjxxTmlb, req.getParameterMap());
		 Page<WjxWjxxTmlb> page = new Page<WjxWjxxTmlb>(pageNo, pageSize);
		 queryWrapper.groupBy("wj_title,wj_score,wj_type,wj_answer");
		 IPage<WjxWjxxTmlb> pageList = wjxWjxxTmlbService.distinctList(page, queryWrapper);
		 if(pageList.getRecords()!=null){
			 for(WjxWjxxTmlb par:pageList.getRecords()){
				 List<WjxWjxxTmxx> wjxWjxxTmxxList = wjxWjxxTmxxService.selectByMainId(par.getId());
				 par.setWjxWjxxTmxxList(wjxWjxxTmxxList);
			 }
		 }

		 return Result.OK(pageList);
	 }

	/**
	 *   添加
	 * @return
	 */
	@AutoLog(value = "题目信息-添加")
	@ApiOperation(value="题目信息-添加", notes="题目信息-添加")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody List<WjxWjxxTmlbPage> list) {
		if(list.size()>0){
			String mainId = list.get(0).getMainId();
			if(StringUtils.isNotBlank(mainId)){
				QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<WjxWjxxTmlb>();
				wjxWjxxTmlbQueryWrapper.eq("main_id",mainId);
				List<WjxWjxxTmlb> list2 = wjxWjxxTmlbService.list(wjxWjxxTmlbQueryWrapper);
				for(WjxWjxxTmlb WjxWjxxTmlb:list2){
					wjxWjxxTmlbService.removeByMainId(WjxWjxxTmlb.getId());
				}
			}

			for(WjxWjxxTmlbPage wjxWjxxTmlbPage:list){
				WjxWjxxTmlb wjxWjxxTmlb = new WjxWjxxTmlb();
				BeanUtils.copyProperties(wjxWjxxTmlbPage, wjxWjxxTmlb);
				wjxWjxxTmlbService.saveMain(wjxWjxxTmlb, wjxWjxxTmlbPage);
			}
		}
		return Result.OK("添加成功！");
	}


	 @AutoLog(value = "题目信息-添加")
	 @ApiOperation(value="题目信息-添加", notes="题目信息-添加")
	 @PostMapping(value = "/addNew")
	 public Result<String> addNew(@RequestBody WjxWjxxTmlbAddPage wjxWjxxTmlbAddPage) {
		List<WjxWjxxTmlbPage> list = wjxWjxxTmlbAddPage.getAddList();
		 if(list.size()>0){
			 String mainId = list.get(0).getMainId();
			 if(StringUtils.isNotBlank(mainId)){
				 QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<WjxWjxxTmlb>();
				 wjxWjxxTmlbQueryWrapper.eq("main_id",mainId);
				 List<WjxWjxxTmlb> list2 = wjxWjxxTmlbService.list(wjxWjxxTmlbQueryWrapper);
				 for(WjxWjxxTmlb WjxWjxxTmlb:list2){
					 wjxWjxxTmlbService.removeByMainId(WjxWjxxTmlb.getId());
				 }
			 }

			 for(WjxWjxxTmlbPage wjxWjxxTmlbPage:list){
				 WjxWjxxTmlb wjxWjxxTmlb = new WjxWjxxTmlb();
				 BeanUtils.copyProperties(wjxWjxxTmlbPage, wjxWjxxTmlb);
				 wjxWjxxTmlbService.saveMain(wjxWjxxTmlb, wjxWjxxTmlbPage);
			 }
		 }
		 return Result.OK("添加成功！");
	 }

	/**
	 *  编辑
	 *
	 * @param wjxWjxxTmlbPage
	 * @return
	 */
	@AutoLog(value = "题目信息-编辑")
	@ApiOperation(value="题目信息-编辑", notes="题目信息-编辑")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody WjxWjxxTmlbPage wjxWjxxTmlbPage) {
		WjxWjxxTmlb wjxWjxxTmlb = new WjxWjxxTmlb();
		BeanUtils.copyProperties(wjxWjxxTmlbPage, wjxWjxxTmlb);
		WjxWjxxTmlb wjxWjxxTmlbEntity = wjxWjxxTmlbService.getById(wjxWjxxTmlb.getId());
		if(wjxWjxxTmlbEntity==null) {
			return Result.error("未找到对应数据");
		}
		wjxWjxxTmlbService.updateMain(wjxWjxxTmlb, wjxWjxxTmlbPage.getWjxWjxxTmxxList());
		return Result.OK("编辑成功!");
	}

	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "题目信息-通过id删除")
	@ApiOperation(value="题目信息-通过id删除", notes="题目信息-通过id删除")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		wjxWjxxTmlbService.delMain(id);
		return Result.OK("删除成功!");
	}

	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "题目信息-批量删除")
	@ApiOperation(value="题目信息-批量删除", notes="题目信息-批量删除")
    @RequiresPermissions("wjxWjxxTmlb:wjx_wjxx_tmlb:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.wjxWjxxTmlbService.delBatchMain(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功！");
	}

	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "题目信息-通过id查询")
	@ApiOperation(value="题目信息-通过id查询", notes="题目信息-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<WjxWjxxTmlb> queryById(@RequestParam(name="id",required=true) String id) {
		WjxWjxxTmlb wjxWjxxTmlb = wjxWjxxTmlbService.getById(id);
		if(wjxWjxxTmlb==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(wjxWjxxTmlb);

	}

	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "选项信息通过主表ID查询")
	@ApiOperation(value="选项信息主表ID查询", notes="选项信息-通主表ID查询")
	@GetMapping(value = "/queryWjxWjxxTmxxByMainId")
	public Result<List<WjxWjxxTmxx>> queryWjxWjxxTmxxListByMainId(@RequestParam(name="id",required=true) String id) {
		List<WjxWjxxTmxx> wjxWjxxTmxxList = wjxWjxxTmxxService.selectByMainId(id);
		return Result.OK(wjxWjxxTmxxList);
	}

    /**
    * 导出excel
    *
    * @param request
    */

//	@RequestMapping(value = "/exportXls")
//	public ModelAndView exportXls(HttpServletRequest request, WjxWjxxTmlb wjxWjxxTmlb) {
//		return super.exportXls(request, wjxWjxxTmlb, WjxWjxxTmlb.class, "测验信息");
//	}
    @RequestMapping(value = "/exportXls")
    public ModelAndView exportXls(HttpServletRequest request, WjxDjxx wjxDjxx) {

		LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();

		List<WjxDjxx> pageList = wjxDjxxService.exportList(wjxDjxx);
		String xqxn = "";
		String kcmc ="";
		String teacher = sysUser.getRealname();
		String title = "";
		for(int i = 0; i < pageList.size(); i++){
			int xuhao = i+1;
			pageList.get(i).setXuhao(xuhao+"");
			if(i==0){
				xqxn = pageList.get(i).getXqxn();
				kcmc = pageList.get(i).getKcmc();
				title = pageList.get(i).getTitle();
			}
		}
		String dctitle = xqxn+"《"+kcmc+"》"+teacher+"-"+title;
		// Step.4 AutoPoi 导出Excel
	  ModelAndView mv = new ModelAndView(new JeecgEntityExcelView());
      mv.addObject(NormalExcelConstants.FILE_NAME, dctitle);
      mv.addObject(NormalExcelConstants.CLASS, WjxDjxx.class);
      mv.addObject(NormalExcelConstants.PARAMS, new ExportParams(dctitle, "导出人:"+sysUser.getRealname(), dctitle));
      mv.addObject(NormalExcelConstants.DATA_LIST, pageList);
      return mv;
    }


	 @RequestMapping(value = "/exportDjXls")
	 public ModelAndView exportDjXls(HttpServletRequest request, WjxDjxxDj wjxDjxxdj) {

		 LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();

		 List<WjxDjxxDj> pageList = wjxDjxxService.exportDjXls(wjxDjxxdj);
		 String xqxn = "";
		 String kcmc ="";
		 String teacher = sysUser.getRealname();
		 String title = "";
		 for(int i = 0; i < pageList.size(); i++){
			 int xuhao = i+1;
			 pageList.get(i).setXuhao(xuhao+"");
			 if(i==0){
				 xqxn = pageList.get(i).getXqxn();
				 kcmc = pageList.get(i).getKcmc();
				 title = pageList.get(i).getTitle();
			 }
		 }
		 String dctitle = xqxn+"《"+kcmc+"》"+teacher+"-"+title;
		 // Step.4 AutoPoi 导出Excel
		 ModelAndView mv = new ModelAndView(new JeecgEntityExcelView());
		 mv.addObject(NormalExcelConstants.FILE_NAME, dctitle);
		 mv.addObject(NormalExcelConstants.CLASS, WjxDjxxDj.class);
		 mv.addObject(NormalExcelConstants.PARAMS, new ExportParams(dctitle, "导出人:"+sysUser.getRealname(), dctitle));
		 mv.addObject(NormalExcelConstants.DATA_LIST, pageList);
		 return mv;
	 }

    /**
    * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
      MultipartHttpServletRequest multipartRequest = (MultipartHttpServletRequest) request;
      Map<String, MultipartFile> fileMap = multipartRequest.getFileMap();
      for (Map.Entry<String, MultipartFile> entity : fileMap.entrySet()) {
          // 获取上传文件对象
          MultipartFile file = entity.getValue();
          ImportParams params = new ImportParams();
          params.setTitleRows(2);
          params.setHeadRows(1);
          params.setNeedSave(true);
          try {
              List<WjxWjxxTmlbPage> list = ExcelImportUtil.importExcel(file.getInputStream(), WjxWjxxTmlbPage.class, params);
              for (WjxWjxxTmlbPage page : list) {
                  WjxWjxxTmlb po = new WjxWjxxTmlb();
                  BeanUtils.copyProperties(page, po);
                  wjxWjxxTmlbService.saveMain(po, page);
              }
              return Result.OK("文件导入成功！数据行数:" + list.size());
          } catch (Exception e) {
              log.error(e.getMessage(),e);
              return Result.error("文件导入失败:"+e.getMessage());
          } finally {
              try {
                  file.getInputStream().close();
              } catch (IOException e) {
                  e.printStackTrace();
              }
          }
      }
      return Result.OK("文件导入失败！");
    }


	 @ApiOperation(value="选项信息主表ID查询", notes="选项信息-通主表ID查询")
	 @GetMapping(value = "/queryByMainId")
	 public Result<List<WjxWjxxTmlb>> queryByMainId(@RequestParam(name="id",required=true) String id) {
		 List<WjxWjxxTmlb> WjxWjxxTmlbList = wjxWjxxTmlbService.queryByMainId(id);
		 return Result.OK(WjxWjxxTmlbList);
	 }


	 @ApiOperation(value="选项信息主表ID查询", notes="选项信息-通主表ID查询")
	 @GetMapping(value = "/getTmxxPeop")
	 public Result<List<WjxWjxxTmlb>> getTmxxPeop(@RequestParam(name="id",required=true) String id) {
		 List<WjxWjxxTmlb> WjxWjxxTmlbList = wjxWjxxTmlbService.getTmxxPeop(id);
		 return Result.OK(WjxWjxxTmlbList);
	 }

	 @ApiOperation(value="选项信息主表ID查询", notes="选项信息-通主表ID查询")
	 @GetMapping(value = "/queryDjByMainId")
	 public Result<List<WjxWjxxTmlb>> queryDjByMainId(@RequestParam(name="id",required=true) String id) {
		 List<WjxWjxxTmlb> WjxWjxxTmlbList = wjxWjxxTmlbService.queryDjByMainId(id);
		 return Result.OK(WjxWjxxTmlbList);
	 }


	 @AutoLog(value = "设为共有私有")
	 @ApiOperation(value="设为共有私有", notes="设为共有私有")
	 @RequestMapping(value = "/editSwgysy", method = {RequestMethod.PUT,RequestMethod.POST})
	 public Result<String> editSwgysy(@RequestBody WjxWjxxTmlb wjxWjxxTmlb) {
		 wjxWjxxTmlbService.updateById(wjxWjxxTmlb);
		 return Result.OK("设置成功!");
	 }


	 /**
	  * 导出excel
	  *
	  * @param request
	  * @param wjxWjxxTmlb
	  */
	 @RequestMapping(value = "/exportDownXls")
	 public ModelAndView exportDownXls(HttpServletRequest request, WjxWjxxTmlb wjxWjxxTmlb) {
		 // Step.1 组装查询条件查询数据
		 QueryWrapper<WjxWjxxTmlb> queryWrapper = QueryGenerator.initQueryWrapper(wjxWjxxTmlb, request.getParameterMap());
		 LoginUser sysUser = (LoginUser) SecurityUtils.getSubject().getPrincipal();

		 //配置选中数据查询条件
		 String selections = request.getParameter("selections");
		 if(oConvertUtils.isNotEmpty(selections)) {
			 List<String> selectionList = Arrays.asList(selections.split(","));
			 queryWrapper.in("id",selectionList);
		 }
		 //Step.2 获取导出数据
		 List<WjxWjxxTmlb> wjxWjxxTmlbList = wjxWjxxTmlbService.list(queryWrapper);

		 // Step.3 组装pageList
		 List<WjxWjxxTmlbPage> pageList = new ArrayList<WjxWjxxTmlbPage>();
		 for (WjxWjxxTmlb main : wjxWjxxTmlbList) {
			 WjxWjxxTmlbPage vo = new WjxWjxxTmlbPage();
			 BeanUtils.copyProperties(main, vo);
			 List<WjxWjxxTmxx> wjxWjxxTmxxList = wjxWjxxTmxxService.selectByMainId(main.getId());
			 vo.setWjxWjxxTmxxList(wjxWjxxTmxxList);
			 pageList.add(vo);
		 }

		 // Step.4 AutoPoi 导出Excel
		 ModelAndView mv = new ModelAndView(new JeecgEntityExcelView());
		 mv.addObject(NormalExcelConstants.FILE_NAME, "题目信息列表");
		 mv.addObject(NormalExcelConstants.CLASS, WjxWjxxTmlbPage.class);
		 mv.addObject(NormalExcelConstants.PARAMS, new ExportParams("题目信息数据", "导出人:"+sysUser.getRealname(), "题目信息"));
		 mv.addObject(NormalExcelConstants.DATA_LIST, pageList);
		 return mv;
	 }



	 @ApiOperation(value="根据tmlbid获取题目信息", notes="根据tmlbid获取题目信息")
	 @GetMapping(value = "/getTmxxByTmlbid")
	 public Result<List<WjxWjxxTmlb>> getTmxxByTmlbid(@RequestParam(name="id",required=true) String id) {
		 List<WjxWjxxTmlb> WjxWjxxTmlbList = wjxWjxxTmlbService.getTmxxByTmlbid(id);
		 return Result.OK(WjxWjxxTmlbList);
	 }


	 /**
	  * 通过excel导入数据
	  *
	  * @param request
	  * @param response
	  * @return
	  */
	 @RequestMapping(value = "/importTmlbExcel", method = RequestMethod.POST)
	 public Result<?> importTmlbExcel(HttpServletRequest request, HttpServletResponse response) {
		 MultipartHttpServletRequest multipartRequest = (MultipartHttpServletRequest) request;
		 String mainId = request.getParameter("mainId");
		 Map<String, MultipartFile> fileMap = multipartRequest.getFileMap();
		 for (Map.Entry<String, MultipartFile> entity : fileMap.entrySet()) {
			 // 获取上传文件对象
			 MultipartFile file = entity.getValue();
			 ImportParams params = new ImportParams();
			 params.setTitleRows(2);
			 params.setHeadRows(1);
			 params.setNeedSave(true);
			 try {
				 List<WjxWjxxImportPage> list = ExcelImportUtil.importExcel(file.getInputStream(), WjxWjxxImportPage.class, params);
				 int i=0;
				 for (WjxWjxxImportPage page : list) {
					 if(StringUtils.isNotBlank(page.getWjTitle()) && StringUtils.isNotBlank(page.getWjType()+"")){
						 i = i+1;
						 WjxWjxxTmlb po = new WjxWjxxTmlb();
						 po.setWjLeixing("6");
						 po.setWjTitle(page.getWjTitle());
						 po.setWjType(page.getWjType());
						 po.setWjIndex(i);
						 po.setWjScore(page.getWjScore());
						 if(StringUtils.isNotBlank(mainId)){
							 po.setMainId(mainId);
						 }
						 //判断是否是简答题
						 if(StringUtils.equals(page.getWjType()+"","5") && StringUtils.isBlank(page.getWjAnswer())){
							 po.setWjSubtype(5);
						 }

						 List<WjxWjxxTmxx> wjxWjxxTmxxList = new ArrayList<>();
						 if(StringUtils.equals(page.getWjType()+"","5")){
							 String ansA = page.getWjAnswer();
							 po.setWjAnswer(ansA);
						 }else{
							 String ansA = page.getAnsA();
							 String ansB = page.getAnsB();
							 String ansC = page.getAnsC();
							 String ansD = page.getAnsD();
							 String ansE = page.getAnsE();
							 String ansF = page.getAnsF();
							 String wjAnswer = page.getWjAnswer();//正确答案
							 if(StringUtils.isNotBlank(ansA)){
								 WjxWjxxTmxx wjxWjxxTmxx = new WjxWjxxTmxx();
								 wjxWjxxTmxx.setWjIndex(po.getWjIndex());
								 wjxWjxxTmxx.setItemIndex(1);
								 wjxWjxxTmxx.setItemTitle(ansA);
								 if(StringUtils.equals(page.getWjType()+"","3")){
									 wjxWjxxTmxx.setItemSelected(wjAnswer.indexOf("A")>-1?"true":"false");
								 }else{
									 wjxWjxxTmxx.setItemSelected(wjAnswer.indexOf("A")>-1?"true":"false");
								 }
								 wjxWjxxTmxxList.add(wjxWjxxTmxx);
							 }
							 if(StringUtils.isNotBlank(ansB)){
								 WjxWjxxTmxx wjxWjxxTmxx = new WjxWjxxTmxx();
								 wjxWjxxTmxx.setWjIndex(po.getWjIndex());
								 wjxWjxxTmxx.setItemIndex(2);
								 wjxWjxxTmxx.setItemTitle(ansB);
								 wjxWjxxTmxx.setItemSelected(wjAnswer.indexOf("B")>-1?"true":"false");
								 wjxWjxxTmxxList.add(wjxWjxxTmxx);
							 }
							 if(StringUtils.isNotBlank(ansC)){
								 WjxWjxxTmxx wjxWjxxTmxx = new WjxWjxxTmxx();
								 wjxWjxxTmxx.setWjIndex(po.getWjIndex());
								 wjxWjxxTmxx.setItemIndex(3);
								 wjxWjxxTmxx.setItemTitle(ansC);
								 wjxWjxxTmxx.setItemSelected(wjAnswer.indexOf("C")>-1?"true":"false");
								 wjxWjxxTmxxList.add(wjxWjxxTmxx);
							 }
							 if(StringUtils.isNotBlank(ansD)){
								 WjxWjxxTmxx wjxWjxxTmxx = new WjxWjxxTmxx();
								 wjxWjxxTmxx.setWjIndex(po.getWjIndex());
								 wjxWjxxTmxx.setItemIndex(4);
								 wjxWjxxTmxx.setItemTitle(ansD);
								 wjxWjxxTmxx.setItemSelected(wjAnswer.indexOf("D")>-1?"true":"false");
								 wjxWjxxTmxxList.add(wjxWjxxTmxx);
							 }
							 if(StringUtils.isNotBlank(ansE)){
								 WjxWjxxTmxx wjxWjxxTmxx = new WjxWjxxTmxx();
								 wjxWjxxTmxx.setWjIndex(po.getWjIndex());
								 wjxWjxxTmxx.setItemIndex(5);
								 wjxWjxxTmxx.setItemTitle(ansE);
								 wjxWjxxTmxx.setItemSelected(wjAnswer.indexOf("E")>-1?"true":"false");
								 wjxWjxxTmxxList.add(wjxWjxxTmxx);
							 }
							 if(StringUtils.isNotBlank(ansF)){
								 WjxWjxxTmxx wjxWjxxTmxx = new WjxWjxxTmxx();
								 wjxWjxxTmxx.setWjIndex(po.getWjIndex());
								 wjxWjxxTmxx.setItemIndex(6);
								 wjxWjxxTmxx.setItemTitle(ansF);
								 wjxWjxxTmxx.setItemSelected(wjAnswer.indexOf("F")>-1?"true":"false");
								 wjxWjxxTmxxList.add(wjxWjxxTmxx);
							 }
						 }
						 wjxWjxxTmlbService.saveMain(po, wjxWjxxTmxxList);
					 }
				 }
				 return Result.OK("文件导入成功！数据行数:" + i);
			 } catch (Exception e) {
				 log.error(e.getMessage(),e);
				 return Result.error("文件导入失败:"+e.getMessage());
			 } finally {
				 try {
					 file.getInputStream().close();
				 } catch (IOException e) {
					 e.printStackTrace();
				 }
			 }
		 }
		 return Result.OK("文件导入失败！");
	 }


	 /**
	  * 移出题库
	  * @param wjxWjxxTmlb
	  * @return
	  */
	 @PostMapping(value = "/yctk")
	 public Result<String> yctk(@RequestBody WjxWjxxTmlb wjxWjxxTmlb) {
		 UpdateWrapper updateWrapper = new UpdateWrapper<>();
		 updateWrapper.set("sftjtk","0");
		 updateWrapper.eq("wj_title",wjxWjxxTmlb.getWjTitle());
		 updateWrapper.eq("create_by",wjxWjxxTmlb.getCreateBy());
		 wjxWjxxTmlbService.update(updateWrapper);
		 return Result.OK("移出成功！");
	 }
}
