package org.jeecg.modules.kc.wjxWjxxTmlb.mapper;

import java.util.List;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 选项信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
public interface WjxWjxxTmxxMapper extends BaseMapper<WjxWjxxTmxx> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<WjxWjxxTmxx>
   */
	public List<WjxWjxxTmxx> selectByMainId(@Param("mainId") String mainId);
}
