package org.jeecg.modules.kc.wjxWjxxTmlb.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.commons.compress.utils.Lists;
import org.apache.commons.lang3.StringUtils;
import org.jeecg.modules.kc.wjxDjxx.entity.WjxDjxxTmxx;
import org.jeecg.modules.kc.wjxDjxx.mapper.WjxDjxxMapper;
import org.jeecg.modules.kc.wjxWjxx.entity.WjxWjxx;
import org.jeecg.modules.kc.wjxWjxx.mapper.WjxWjxxMapper;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmlb;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import org.jeecg.modules.kc.wjxWjxxTmlb.mapper.WjxWjxxTmxxMapper;
import org.jeecg.modules.kc.wjxWjxxTmlb.mapper.WjxWjxxTmlbMapper;
import org.jeecg.modules.kc.wjxWjxxTmlb.service.IWjxWjxxTmlbService;
import org.jeecg.modules.kc.wjxWjxxTmlb.vo.ScaleItemRows;
import org.jeecg.modules.kc.wjxWjxxTmlb.vo.ScaleItems;
import org.jeecg.modules.kc.wjxWjxxTmlb.vo.WjxWjxxTmlbPage;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import javax.management.Query;
import java.io.Serializable;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.Collection;

/**
 * @Description: 题目信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
@Service
public class WjxWjxxTmlbServiceImpl extends ServiceImpl<WjxWjxxTmlbMapper, WjxWjxxTmlb> implements IWjxWjxxTmlbService {

	@Autowired
	private WjxWjxxTmlbMapper wjxWjxxTmlbMapper;
	@Autowired
	private WjxWjxxTmxxMapper wjxWjxxTmxxMapper;
	@Autowired
	private WjxDjxxMapper wjxDjxxMapper;
	@Autowired
	private WjxWjxxMapper wjxWjxxMapper;

	@Override
	@Transactional(rollbackFor = Exception.class)
	public void saveMain(WjxWjxxTmlb wjxWjxxTmlb, List<WjxWjxxTmxx> wjxWjxxTmxxList) {
//		wjxWjxxTmlb.setWjLeixing("6");
		wjxWjxxTmlbMapper.insert(wjxWjxxTmlb);
		if(wjxWjxxTmxxList!=null && wjxWjxxTmxxList.size()>0) {
			for(WjxWjxxTmxx entity:wjxWjxxTmxxList) {
				entity.setId(null);
				//外键设置
				entity.setMainId(wjxWjxxTmlb.getId());
				entity.setWjIndex(wjxWjxxTmlb.getWjIndex());
				if(StringUtils.isNotBlank(wjxWjxxTmlb.getItemSelected())){
					String itemSelected[] = wjxWjxxTmlb.getItemSelected().split(",");
					String sfxz = wjxWjxxTmlb.getItemSelected();
					for(String par:itemSelected){
						if(StringUtils.equals(par, entity.getItemIndex().toString())){
							sfxz = "true";
						}
					}
					entity.setItemSelected(sfxz);
				}

				wjxWjxxTmxxMapper.insert(entity);
			}
		}
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public void saveMain(WjxWjxxTmlb wjxWjxxTmlb, WjxWjxxTmlbPage wjxWjxxTmlbPage) {
		List<WjxWjxxTmxx> wjxWjxxTmxxList = wjxWjxxTmlbPage.getWjxWjxxTmxxList();
		Integer itemIndex = 0;
		wjxWjxxTmlb.setWjLeixing("6");
		wjxWjxxTmlbMapper.insert(wjxWjxxTmlb);
		if(wjxWjxxTmxxList!=null && wjxWjxxTmxxList.size()>0) {
			for(WjxWjxxTmxx entity:wjxWjxxTmxxList) {
				if(entity.getItemIndex()!=null && entity.getItemIndex() > itemIndex)itemIndex = entity.getItemIndex();
				entity.setId(null);
				//外键设置
				entity.setMainId(wjxWjxxTmlb.getId());
				entity.setWjIndex(wjxWjxxTmlb.getWjIndex());
				if(StringUtils.isNotBlank(wjxWjxxTmlb.getItemSelected())){
					String itemSelected[] = wjxWjxxTmlb.getItemSelected().split(",");
					String sfxz = wjxWjxxTmlb.getItemSelected();
					for(String par:itemSelected){
						if(StringUtils.equals(par, entity.getItemIndex().toString())){
							sfxz = "true";
						}
					}
					entity.setItemSelected(sfxz);
				}

				wjxWjxxTmxxMapper.insert(entity);
			}
		}
		// 量表题 items 列内容
		++itemIndex;
		if (wjxWjxxTmlbPage.getItems() != null && !wjxWjxxTmlbPage.getItems().isEmpty()) {
			List<ScaleItems> itemList = wjxWjxxTmlbPage.getItems();
			for (int i = 0; i < itemList.size(); i++) {
				ScaleItems item = itemList.get(i);
				WjxWjxxTmxx entity = new WjxWjxxTmxx();
				entity.setId(null);
				entity.setMainId(wjxWjxxTmlb.getId());
				entity.setWjIndex(wjxWjxxTmlb.getWjIndex());
				entity.setWjIndex(itemIndex);
				entity.setItemIndex(i);
				entity.setItemTitle("-");
				entity.setScaleSign("items");
				entity.setScaleItemsItemScore(item.getItemScore());
				entity.setScaleItemsItemTitle(item.getItemTitle());
				wjxWjxxTmxxMapper.insert(entity);
			}
		}

		// 量表题 itemRows 行内容
		++itemIndex;
		if (wjxWjxxTmlbPage.getItemRows() != null && !wjxWjxxTmlbPage.getItemRows().isEmpty()) {
			List<ScaleItemRows> itemRowsList = wjxWjxxTmlbPage.getItemRows();
			for (int i = 0; i < itemRowsList.size(); i++) {
				ScaleItemRows item = itemRowsList.get(i);
				WjxWjxxTmxx entity = new WjxWjxxTmxx();
				entity.setId(null);
				entity.setMainId(wjxWjxxTmlb.getId());
				entity.setWjIndex(wjxWjxxTmlb.getWjIndex());
				entity.setWjIndex(itemIndex);
				entity.setItemIndex(i);
				entity.setItemTitle("-");
				entity.setScaleSign("item_rows");
				entity.setScaleItemrowsQIndex(item.getQIndex());
				entity.setScaleItemrowsItemIndex(item.getItemIndex());
				entity.setScaleItemrowsItemTitle(item.getItemTitle());
				wjxWjxxTmxxMapper.insert(entity);
			}
		}
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public void updateMain(WjxWjxxTmlb wjxWjxxTmlb,List<WjxWjxxTmxx> wjxWjxxTmxxList) {
		wjxWjxxTmlbMapper.updateById(wjxWjxxTmlb);

		//1.先删除子表数据
		wjxWjxxTmxxMapper.deleteByMainId(wjxWjxxTmlb.getId());

		//2.子表数据重新插入
		if(wjxWjxxTmxxList!=null && wjxWjxxTmxxList.size()>0) {
			for(WjxWjxxTmxx entity:wjxWjxxTmxxList) {
				String itemSelected[] = wjxWjxxTmlb.getItemSelected().split(",");
				String sfxz = wjxWjxxTmlb.getItemSelected();
				for(String par:itemSelected){
					if(StringUtils.equals(par, entity.getItemIndex().toString())){
						sfxz = "true";
					}
				}
				entity.setItemSelected(sfxz);
				//外键设置
				entity.setWjIndex(wjxWjxxTmlb.getWjIndex());
				wjxWjxxTmxxMapper.insert(entity);
			}
		}
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public void delMain(String id) {
		wjxWjxxTmxxMapper.deleteByMainId(id);
		wjxWjxxTmlbMapper.deleteById(id);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public void delBatchMain(Collection<? extends Serializable> idList) {
		for(Serializable id:idList) {
			wjxWjxxTmxxMapper.deleteByMainId(id.toString());
			wjxWjxxTmlbMapper.deleteById(id);
		}
	}

	@Override
	public void removeByMainId(String id) {
		wjxWjxxTmxxMapper.deleteByMainId(id);
		wjxWjxxTmlbMapper.deleteById(id);
	}

	@Override
	public List<WjxWjxxTmlb> queryByMainId(String id) {

		QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<WjxWjxxTmlb>();
		wjxWjxxTmlbQueryWrapper.eq("main_id",id);
		wjxWjxxTmlbQueryWrapper.orderByAsc("wj_index");
		List<WjxWjxxTmlb> list = wjxWjxxTmlbMapper.selectList(wjxWjxxTmlbQueryWrapper);
		for(WjxWjxxTmlb WjxWjxxTmlb:list){
			List<WjxWjxxTmxx> list2= wjxWjxxTmxxMapper.selectByMainId(WjxWjxxTmlb.getId());
			String itemSelected = "";
			//处理量表（矩阵）题
			List<ScaleItems> items = Lists.newArrayList();
			List<ScaleItemRows> itemRows = Lists.newArrayList();
			for(WjxWjxxTmxx WjxWjxxTmxx:list2){
				if(StringUtils.equals(WjxWjxxTmxx.getItemSelected(),"true")){
					itemSelected = itemSelected+WjxWjxxTmxx.getItemIndex()+",";
				}
				if("items".equals(WjxWjxxTmxx.getScaleSign())){
					ScaleItems scaleItem = new ScaleItems();
					scaleItem.setItemScore(WjxWjxxTmxx.getScaleItemsItemScore());
					scaleItem.setItemTitle(WjxWjxxTmxx.getScaleItemsItemTitle());
					items.add(scaleItem);
				}
				if("item_rows".equals(WjxWjxxTmxx.getScaleSign())){
					ScaleItemRows scaleItemRow = new ScaleItemRows();
					scaleItemRow.setQIndex(WjxWjxxTmxx.getScaleItemrowsQIndex());
					scaleItemRow.setItemIndex(WjxWjxxTmxx.getScaleItemrowsItemIndex());
					scaleItemRow.setItemTitle(WjxWjxxTmxx.getScaleItemrowsItemTitle());
					itemRows.add(scaleItemRow);
				}
			}
			if(StringUtils.isNotBlank(itemSelected)){
				itemSelected = itemSelected.substring(0, itemSelected.length()-1);
			}
			WjxWjxxTmlb.setItemSelected(itemSelected);
			if(WjxWjxxTmlb.getWjType() == 7){
				WjxWjxxTmlb.setItems(items);
				WjxWjxxTmlb.setItemRows(itemRows);
			}else{
				WjxWjxxTmlb.setWjxWjxxTmxxList(list2);
			}

		}
		return list;
	}

	@Override
	public List<WjxWjxxTmlb> queryDjByMainId(String id) {
		QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<WjxWjxxTmlb>();
		wjxWjxxTmlbQueryWrapper.eq("main_id",id);
		List<WjxWjxxTmlb> list = wjxWjxxTmlbMapper.selectList(wjxWjxxTmlbQueryWrapper);
		Date date = new Date();
		for(WjxWjxxTmlb WjxWjxxTmlb:list){
			List<WjxWjxxTmxx> list2= wjxWjxxTmxxMapper.selectByMainId(WjxWjxxTmlb.getId());

		}
		for(WjxWjxxTmlb WjxWjxxTmlb:list){
			List<WjxWjxxTmxx> list2= wjxWjxxTmxxMapper.selectByMainId(WjxWjxxTmlb.getId());
			//处理量表（矩阵）题
			List<ScaleItems> items = Lists.newArrayList();
			List<ScaleItemRows> itemRows = Lists.newArrayList();
			for(WjxWjxxTmxx WjxWjxxTmxx:list2){
				if("items".equals(WjxWjxxTmxx.getScaleSign())){
					ScaleItems scaleItem = new ScaleItems();
					scaleItem.setItemScore(WjxWjxxTmxx.getScaleItemsItemScore());
					scaleItem.setItemTitle(WjxWjxxTmxx.getScaleItemsItemTitle());
					items.add(scaleItem);
				}
				if("item_rows".equals(WjxWjxxTmxx.getScaleSign())){
					ScaleItemRows scaleItemRow = new ScaleItemRows();
					scaleItemRow.setQIndex(WjxWjxxTmxx.getScaleItemrowsQIndex());
					scaleItemRow.setItemIndex(WjxWjxxTmxx.getScaleItemrowsItemIndex());
					scaleItemRow.setItemTitle(WjxWjxxTmxx.getScaleItemrowsItemTitle());
					itemRows.add(scaleItemRow);
				}
			}
			WjxWjxxTmlb.setWjAnswer("");
			WjxWjxxTmlb.setOpenTime(date);
			if(WjxWjxxTmlb.getWjType() == 7){
				WjxWjxxTmlb.setItems(items);
				WjxWjxxTmlb.setItemRows(itemRows);
			}else{
				WjxWjxxTmlb.setWjxWjxxTmxxList(list2);
			}

		}
		return list;
	}

	@Override
	public IPage<WjxWjxxTmlb> distinctList(Page<WjxWjxxTmlb> page, QueryWrapper<WjxWjxxTmlb> queryWrapper) {
		return baseMapper.distinctList(page,queryWrapper);
	}

	@Override
	public List<WjxWjxxTmlb> getTmxxPeop(String id) {

		QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<WjxWjxxTmlb>();
		wjxWjxxTmlbQueryWrapper.eq("main_id",id);
		wjxWjxxTmlbQueryWrapper.orderByAsc("wj_index");
		List<WjxWjxxTmlb> list = wjxWjxxTmlbMapper.selectList(wjxWjxxTmlbQueryWrapper);

		WjxWjxx wjxWjxx = wjxWjxxMapper.selectById(id);


		for(WjxWjxxTmlb WjxWjxxTmlb:list){
			if(StringUtils.equals("5",WjxWjxxTmlb.getWjType()+"")){
				String num= wjxDjxxMapper.getDjnumType(wjxWjxx.getVid(),WjxWjxxTmlb.getWjIndex(),null,"1");
				String num2= wjxDjxxMapper.getDjnumType(wjxWjxx.getVid(),WjxWjxxTmlb.getWjIndex(),null,"2");
				WjxWjxxTmlb.setNum(num);
				WjxWjxxTmlb.setNum2(num2);

			}
			List<WjxWjxxTmxx> list2= wjxWjxxTmxxMapper.selectByMainId(WjxWjxxTmlb.getId());
			String itemSelected = "";
			for(WjxWjxxTmxx WjxWjxxTmxx:list2){
				String num= wjxDjxxMapper.getDjnum(wjxWjxx.getVid(),WjxWjxxTmxx.getWjIndex(),WjxWjxxTmxx.getItemIndex());
				if(StringUtils.equals(WjxWjxxTmxx.getItemSelected(),"true")){
					itemSelected = itemSelected+WjxWjxxTmxx.getItemIndex()+",";
				}
				WjxWjxxTmxx.setNum(num);
			}
			if(StringUtils.isNotBlank(itemSelected)){
				itemSelected = itemSelected.substring(0, itemSelected.length()-1);
			}
			WjxWjxxTmlb.setItemSelected(itemSelected);
			WjxWjxxTmlb.setWjxWjxxTmxxList(list2);
		}
		return list;
	}

	@Override
	public List<WjxWjxxTmlb> getTmxxByTmlbid(String id) {
		QueryWrapper<WjxWjxxTmlb> wjxWjxxTmlbQueryWrapper = new QueryWrapper<WjxWjxxTmlb>();
		wjxWjxxTmlbQueryWrapper.eq("id",id);
		List<WjxWjxxTmlb> list = wjxWjxxTmlbMapper.selectList(wjxWjxxTmlbQueryWrapper);
		for(WjxWjxxTmlb WjxWjxxTmlb:list){
			List<WjxWjxxTmxx> list2= wjxWjxxTmxxMapper.selectByMainId(WjxWjxxTmlb.getId());
			String itemSelected = "";
			for(WjxWjxxTmxx WjxWjxxTmxx:list2){
				if(StringUtils.equals(WjxWjxxTmxx.getItemSelected(),"true")){
					itemSelected = itemSelected+WjxWjxxTmxx.getItemIndex()+",";
				}
			}
			if(StringUtils.isNotBlank(itemSelected)){
				itemSelected = itemSelected.substring(0, itemSelected.length()-1);
			}
			WjxWjxxTmlb.setItemSelected(itemSelected);
			WjxWjxxTmlb.setWjxWjxxTmxxList(list2);
		}
		return list;
	}

}
