package org.jeecg.modules.kc.wjxWjxxTmlb.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Description: 题目信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
@Data
public class WjxWjxxImportPage {

	/**id*/
	@ApiModelProperty(value = "id")
    private String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "创建时间")
    private Date createTime;
	/**修改人*/
	@ApiModelProperty(value = "修改人")
    private String updateBy;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "修改时间")
    private Date updateTime;
	/**题目类型*/
	@Excel(name = "题目类型", width = 15,dicCode = "wj_type")
	@Dict(dicCode = "wj_type")
    private Integer wjType;
	/**问题标题*/
	@Excel(name = "问题标题", width = 15)
    private String wjTitle;
	/**问题分值*/
	@Excel(name = "问题分值", width = 15)
    private Double wjScore;
	/**正确答案*/
	@Excel(name = "正确答案", width = 15)
	private String wjAnswer;
	/**正确答案*/
	@Excel(name = "选项A", width = 15)
	private String ansA;
	/**正确答案*/
	@Excel(name = "选项B", width = 15)
	private String ansB;
	/**正确答案*/
	@Excel(name = "选项C", width = 15)
	private String ansC;
	/**正确答案*/
	@Excel(name = "选项D", width = 15)
	private String ansD;
	/**正确答案*/
	@Excel(name = "选项E", width = 15)
	private String ansE;
	/**正确答案*/
	@Excel(name = "选项F", width = 15)
	private String ansF;

}
