package org.jeecg.modules.kc.wjxWjxxTmlb.vo;

import java.util.List;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmlb;
import org.jeecg.modules.kc.wjxWjxxTmlb.entity.WjxWjxxTmxx;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelEntity;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 题目信息
 * @Author: jeecg-boot
 * @Date:   2024-04-26
 * @Version: V1.0
 */
@Data
@ApiModel(value="wjx_wjxx_tmlbPage对象", description="题目信息")
public class WjxWjxxTmlbPage {

	/**id*/
	@ApiModelProperty(value = "id")
    private java.lang.String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**修改人*/
	@ApiModelProperty(value = "修改人")
    private java.lang.String updateBy;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
	/**问卷id*/
	@ApiModelProperty(value = "问卷id")
    private java.lang.String mainId;
	/**题目编号*/
	@Excel(name = "题目编号", width = 15)
	@ApiModelProperty(value = "题目编号")
    private java.lang.Integer wjIndex;
	/**题目类型*/
	@Excel(name = "题目类型", width = 15,dicCode = "wj_type")
	@ApiModelProperty(value = "题目类型")
	@Dict(dicCode = "wj_type")
    private java.lang.Integer wjType;
	/**题目细分类*/
	@ApiModelProperty(value = "题目细分类")
    private java.lang.Integer wjSubtype;
	/**问题标题*/
	@Excel(name = "问题标题", width = 15)
	@ApiModelProperty(value = "问题标题")
    private java.lang.String wjTitle;
	/**是否必填*/
	@ApiModelProperty(value = "是否必填")
    private java.lang.String isRequir;
	/**是否是考试*/
	@ApiModelProperty(value = "是否是考试")
    private java.lang.String wjCeshi;
	/**问题分值*/
	@Excel(name = "问题分值", width = 15)
	@ApiModelProperty(value = "问题分值")
    private java.lang.Double wjScore;
	/**题目解析*/
	@ApiModelProperty(value = "题目解析")
    private java.lang.String wjParsing;
	/**正确答案*/
	@Excel(name = "正确答案", width = 15)
	@ApiModelProperty(value = "正确答案")
	private java.lang.String wjAnswer;
	/**填写提示*/
	@ApiModelProperty(value = "填写提示")
    private java.lang.String prompt;

	private String itemSelected;
	private String picPath;
	private String sftjtk;

	private java.lang.String wjSfqh;//是否切换 0系统 1自定义

	private java.lang.String wjSytype;//私有类型（0私有，1共有）
	private java.lang.String wjLeixing;//问卷类型（6作业，1问卷）

	@ExcelCollection(name="选项信息")
	@ApiModelProperty(value = "选项信息")
	private List<WjxWjxxTmxx> wjxWjxxTmxxList;

	@ExcelCollection(name="量表题列内容")
	@ApiModelProperty(value = "量表题列内容")
	private List<ScaleItems> items;

	@ExcelCollection(name="量表题行内容")
	@ApiModelProperty(value = "量表题行内容")
	private List<ScaleItemRows> itemRows;

}
