package org.jeecg.modules.kc.xxhbfxcjb0016.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 分项成绩表
 * @Author: jeecg-boot
 * @Date:   2025-01-22
 * @Version: V1.0
 */
@Data
@TableName("v_jxyth_k_0016")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="v_jxyth_k_0016对象", description="分项成绩表")
public class Vjxythk0016 implements Serializable {
    private static final long serialVersionUID = 1L;

	/**分项成绩代码*/
	@Excel(name = "分项成绩代码", width = 15)
    @ApiModelProperty(value = "分项成绩代码")
    private String fxcjdm;
	/**分项成绩名称*/
	@Excel(name = "分项成绩名称", width = 15)
    @ApiModelProperty(value = "分项成绩名称")
    private String fxcjmc;
	/**课程任务代码*/
	@Excel(name = "课程任务代码", width = 15)
    @ApiModelProperty(value = "课程任务代码")
    private String kcrwdm;
	/**课程编号*/
	@Excel(name = "课程编号", width = 15)
    @ApiModelProperty(value = "课程编号")
    private String kcbh;
	/**课程名称*/
	@Excel(name = "课程名称", width = 15)
    @ApiModelProperty(value = "课程名称")
    private String kcmc;
	/**成绩类型代码*/
	@Excel(name = "成绩类型代码", width = 15)
    @ApiModelProperty(value = "成绩类型代码")
    private String cjlxdm;
	/**分项比例*/
	@Excel(name = "分项比例", width = 15)
    @ApiModelProperty(value = "分项比例")
    private String fxbl;
	/**教师工号*/
	@Excel(name = "教师工号", width = 15)
    @ApiModelProperty(value = "教师工号")
    private String teabh;
	/**教师姓名*/
	@Excel(name = "教师姓名", width = 15)
    @ApiModelProperty(value = "教师姓名")
    private String teaxm;
	/**代码名称*/
	@Excel(name = "代码名称", width = 15)
    @ApiModelProperty(value = "代码名称")
    private String dmmc;
	/**无用*/
	@Excel(name = "无用", width = 15)
    @ApiModelProperty(value = "无用")
    private String synfxcjdm;
}
