package org.jeecg.modules.kc.zyCcjg.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.zyCcjg.entity.ZyCcjg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 查重结果
 * @Author: jeecg-boot
 * @Date:   2024-05-07
 * @Version: V1.0
 */
public interface ZyCcjgMapper extends BaseMapper<ZyCcjg> {

    IPage<ZyCcjg> getQuaList(Page<ZyCcjg> page,@Param(Constants.WRAPPER) QueryWrapper<ZyCcjg> queryWrapper);

    void deleteByZystuid(@Param("zyStuId") String zyStuId);

    List<ZyCcjg> ccjglist(@Param(Constants.WRAPPER) QueryWrapper<ZyCcjg> queryWrapper);

    void deleteByZystuidByZero(@Param("zyStuId") String id);
}
