package org.jeecg.modules.kc.zyGonggao.service.impl;

import com.baomidou.mybatisplus.core.incrementer.DefaultIdentifierGenerator;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.kc.zyGonggao.entity.ZyGonggao;
import org.jeecg.modules.kc.zyGonggao.mapper.ZyGonggaoMapper;
import org.jeecg.modules.kc.zyGonggao.service.IZyGonggaoService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 公告
 * @Author: jeecg-boot
 * @Date:   2024-05-10
 * @Version: V1.0
 */
@Service
public class ZyGonggaoServiceImpl extends ServiceImpl<ZyGonggaoMapper, ZyGonggao> implements IZyGonggaoService {

    @Override
    public void addHistory(ZyGonggao zyGonggao){
        zyGonggao.setOriginId(zyGonggao.getId());
        Long id = new DefaultIdentifierGenerator().nextId(new ZyGonggao());
        zyGonggao.setId(id.toString());
        baseMapper.addHistory(zyGonggao);
    }

    @Override
    public Page<ZyGonggao> findHistoryPage(ZyGonggao zyGonggao, Page<ZyGonggao> page){
        List<ZyGonggao> list = baseMapper.findHistoryPage(page,zyGonggao);
        page.setRecords(list);
        return page;
    }

    @Override
    public ZyGonggao getByKechengId(String id) {
        return baseMapper.getByKechengId(id);
    }
}
