package org.jeecg.modules.kc.zyInfo.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 教学大纲
 * @Author: jeecg-boot
 * @Date:   2024-05-11
 * @Version: V1.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class CyInfoSys implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    @Excel(name = "学期学年", width = 15)
    private String xqxn;
    @Excel(name = "学院", width = 15)
    private String kkdw;
    @Excel(name = "课程名称", width = 15)
    private String kcmc;
    @Excel(name = "课程性质", width = 15)
    private String kcxz;
    @Excel(name = "选课人数", width = 15)
    private String xkrs;
    private String zymc;
    @Excel(name = "授课教师", width = 15)
    private String skjs;
    @Excel(name = "职称", width = 15)
    private String zc;
    @Excel(name = "测验名称", width = 15)
    private String title;
    @Excel(name = "是否完成", width = 15)
    private String sfwc;
    private String sfhp;
    private String sfcc;
    private Date startTime;
    private Date endTime;



    private String kcbh;
    private String rwbh;
    private String sksj;
    private String skdd;
    private String num;

    private String jgh;
    private String ywId;

    private String type;
    private String count;
    private String rownum;
}
