package org.jeecg.modules.kc.zyInfo.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.kc.zyInfo.entity.CyInfoSys;
import org.jeecg.modules.kc.zyInfo.entity.ZyInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.kc.zyInfo.entity.ZyInfoSys;
import org.jeecg.modules.kc.zyInfo.entity.ZyXzInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 作业发布
 * @Author: jeecg-boot
 * @Date: 2024-05-06
 * @Version: V1.0
 */
public interface IZyInfoService extends IService<ZyInfo> {

    IPage<ZyInfo> stuList(Page<ZyInfo> page, QueryWrapper<ZyInfo> queryWrapper);

    IPage<ZyInfoSys> sysList(Page<ZyInfoSys> page, QueryWrapper<ZyInfoSys> queryWrapper);

    List<ZyInfoSys> exportSysXls(ZyInfoSys zyInfoSys, QueryWrapper<ZyInfoSys> queryWrapper);

    ZyInfo getKechengById(String id);

    List<ZyInfo> zyzb(String rwbh, String xqxn, String teano, String zyLeixing);

    void updateInfoZyStatus();

    IPage<ZyInfoSys> sysStaticList(Page<ZyInfoSys> page, ZyInfoSys zyInfoSys);

    IPage<ZyInfo> listOther(Page<ZyInfo> page, ZyInfo zyInfo);

    Map<String, Object> sysStaticNo(ZyInfoSys zyInfoSys);

    List<ZyInfoSys> getPHData(ZyInfoSys zyInfoSys, String tag);

    IPage<ZyInfoSys> sysStaticZyList(Page<ZyInfoSys> page, ZyInfoSys zyInfoSys);

    IPage<CyInfoSys> sysStaticCyList(Page<CyInfoSys> page, CyInfoSys cyInfoSys);

    List<CyInfoSys> getStaticCyExportUrl(CyInfoSys cyInfoSys);

    IPage<ZyInfo> listKhcl(Page<ZyInfo> page, QueryWrapper<ZyInfo> queryWrapper);

    List<ZyXzInfo> getxzxx(ZyInfo zyInfo);

    int saveData(String zyinfoId, Integer rs, List<ZyXzInfo> list);

    int removeHPData(String id);

    int removeCCData(String id);
}
