package org.jeecg.modules.kc.zyInfoStudent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.kc.zyInfo.entity.ZyInfo;
import org.jeecg.modules.kc.zyInfo.entity.ZyXzryInfo;
import org.jeecg.modules.kc.zyInfoStudent.entity.ZyInfoStudent;
import org.jeecg.modules.kc.zyInfoStudent.entity.ZyInfoStudentSys;
import org.jeecg.modules.kc.zyInfoStudent.entity.ZyInfoStudentXbkhcl;
import org.jeecg.modules.kc.zyInfoStudentPcz.entity.ZyInfoStudentPcz;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * @Description: 学生提交作业
 * @Author: jeecg-boot
 * @Date:   2024-05-06
 * @Version: V1.0
 */
public interface ZyInfoStudentMapper extends BaseMapper<ZyInfoStudent> {

    void deleteMainId(@Param("mainId") String id);

    IPage<ZyInfoStudent> cdxxlist(Page<ZyInfoStudent> page,@Param(Constants.WRAPPER) QueryWrapper<ZyInfoStudent> queryWrapper);

    List<ZyInfoStudent> getCcjg(ZyInfoStudent zyInfoStudent);

    IPage<ZyInfoStudentSys> sysList(Page<ZyInfoStudentSys> page,@Param(Constants.WRAPPER)  QueryWrapper<ZyInfoStudentSys> queryWrapper, ZyInfoStudentSys zyInfoStudentSys);

    List<ZyInfoStudentSys> exportSysXls(@Param(Constants.WRAPPER) QueryWrapper<ZyInfoStudentSys> queryWrapper, ZyInfoStudentSys zyInfoStudentSys);

    String getWpFile(ZyInfoStudent zyInfoStudent);

    Map<String, String> getXfwWpFile(ZyInfoStudent zyInfoStudent);

    void delweipulunwen(ZyInfoStudent zyInfoStudent, HttpServletResponse response);

    IPage<ZyInfoStudent> getHpxxList(Page<ZyInfoStudent> page, @Param(Constants.WRAPPER) QueryWrapper<ZyInfoStudent> queryWrapper,@Param("zyStuId")String zyStuId);

    void updateJxfs2(ZyInfo jspc);

    IPage<ZyInfoStudent> getList2(Page<ZyInfoStudent> page,@Param(Constants.WRAPPER)  QueryWrapper<ZyInfoStudent> queryWrapper);

    List<ZyInfoStudent> getDocNoPdfList();

    List<ZyInfoStudent> cxccByZyId(@Param("zyInfoStudent") ZyInfoStudent zyInfoStudent2);

    List<ZyInfoStudent> cxtjByJccsbz();

    List<ZyInfoStudent> getZyStuId(@Param("dto") ZyXzryInfo zyXzryInfo);

    List<ZyInfoStudent> getZyStuIdById(@Param("dto") ZyXzryInfo zyXzryInfo);

    void insertXbkhcl(ZyInfoStudentXbkhcl zyInfoStudentXbkhcl);

    List<ZyInfoStudent> getDtjzyxx();
}
