package org.jeecg.modules.kc.zyInfoStudent.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.kc.zyInfo.entity.ZyXzryInfo;
import org.jeecg.modules.kc.zyInfoStudent.entity.ZyInfoStudent;
import org.jeecg.modules.kc.zyInfoStudent.entity.ZyInfoStudentSys;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Description: 学生提交作业
 * @Author: jeecg-boot
 * @Date: 2024-05-06
 * @Version: V1.0
 */
public interface IZyInfoStudent2Service extends IService<ZyInfoStudent> {

    public boolean save(ZyInfoStudent zyInfoStudent);

    void deleteMainId(String id);

    public boolean updateById(ZyInfoStudent zyInfoStudent, HttpServletResponse response);

    void editFabu(ZyInfoStudent zyInfoStudent);

    IPage<ZyInfoStudent> cdxxlist(Page<ZyInfoStudent> page, QueryWrapper<ZyInfoStudent> queryWrapper);

    List<ZyInfoStudent> getCcjg(ZyInfoStudent zyInfoStudent);

    void fabuBatch(List<String> asList);

    IPage<ZyInfoStudentSys> sysList(Page<ZyInfoStudentSys> page, QueryWrapper<ZyInfoStudentSys> queryWrapper, ZyInfoStudentSys zyInfoStudentSys);

    List<ZyInfoStudentSys> exportSysXls(QueryWrapper<ZyInfoStudentSys> queryWrapper, ZyInfoStudentSys zyInfoStudentSys);

    boolean stuWpKsjc(ZyInfoStudent zyInfoStudent, HttpServletResponse response);

    IPage<ZyInfoStudent> getHpxxList(Page<ZyInfoStudent> page, QueryWrapper<ZyInfoStudent> queryWrapper, String zyStuId);

    void batchKhcl(List<String> list);

    IPage<ZyInfoStudent> getList2(Page<ZyInfoStudent> page, QueryWrapper<ZyInfoStudent> queryWrapper);

    List<ZyInfoStudent> getDocNoPdfList();

    List<ZyInfoStudent> xnccBatchWeipu(ZyInfoStudent zyInfoStudent, HttpServletResponse response);

    List<ZyInfoStudent> cxccByZyId(ZyInfoStudent zyInfoStudent2);

    ZyInfoStudent scccjg(ZyInfoStudent zyInfoStudent, HttpServletRequest req, HttpServletResponse response);

    void batchZyinfoKhcl(String ids);

    List<ZyInfoStudent> cxtjByJccsbz();

    void sysWpKsjc(ZyInfoStudent zyInfoStudent, HttpServletResponse response);

    List<JSONObject> getWpSycccs();

    void getWpcccs();

    List<ZyInfoStudent> getZyStuId(ZyXzryInfo zyXzryInfo);

    List<ZyInfoStudent> getZyStuIdById(ZyXzryInfo zyXzryInfo);

    void sckhclxb();

    void stuWpwwjc(ZyInfoStudent zyInfoStudent,HttpServletResponse response);
}
