package org.jeecg.modules.kc.zyJxdgBanben.service;

import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgMain;
import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgBanben;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 教学大纲版本配置
 * @Author: jeecg-boot
 * @Date:   2024-08-19
 * @Version: V1.0
 */
public interface IZyJxdgBanbenService extends IService<ZyJxdgBanben> {

	/**
	 * 添加一对多
	 *
	 * @param zyJxdgBanben
	 * @param zyJxdgMainList
	 */
	public void saveMain(ZyJxdgBanben zyJxdgBanben,List<ZyJxdgMain> zyJxdgMainList) ;
	
	/**
	 * 修改一对多
	 *
   * @param zyJxdgBanben
   * @param zyJxdgMainList
	 */
	public void updateMain(ZyJxdgBanben zyJxdgBanben,List<ZyJxdgMain> zyJxdgMainList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);
	
}
