package org.jeecg.modules.kc.zyJxdgBanben.vo;

import java.util.List;
import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgBanben;
import org.jeecg.modules.kc.zyJxdgBanben.entity.ZyJxdgMain;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelEntity;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 教学大纲版本配置
 * @Author: jeecg-boot
 * @Date:   2024-08-19
 * @Version: V1.0
 */
@Data
@ApiModel(value="zy_jxdg_banbenPage对象", description="教学大纲版本配置")
public class ZyJxdgBanbenPage {

	/**id*/
	@ApiModelProperty(value = "id")
    private java.lang.String id;
	/**createBy*/
	@ApiModelProperty(value = "createBy")
    private java.lang.String createBy;
	/**createTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "createTime")
    private java.util.Date createTime;
	/**updateBy*/
	@ApiModelProperty(value = "updateBy")
    private java.lang.String updateBy;
	/**updateTime*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
	@ApiModelProperty(value = "updateTime")
    private java.util.Date updateTime;
	/**版本*/
	@Excel(name = "版本", width = 15)
	@ApiModelProperty(value = "版本")
    private java.lang.String title;

	/**版本*/
	@Excel(name = "版本", width = 15)
	@ApiModelProperty(value = "版本")
	private java.lang.String twoTitle;

	/**是否使用*/
	@Excel(name = "是否使用", width = 15)
	@ApiModelProperty(value = "是否使用")
    private java.lang.String sfsy;

	@ExcelCollection(name="教学大纲配置信息")
	@ApiModelProperty(value = "教学大纲配置信息")
	private List<ZyJxdgMain> zyJxdgMainList;

}
