package org.jeecg.modules.tools.ECharts;


import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartUtils;
import org.jfree.chart.JFreeChart;
import org.jfree.data.category.DefaultCategoryDataset;
import java.io.File;

/**
 * @Title: EchartsTest
 * @Date 2022/5/11 17:28
 * @Author Yinan
 * @Description: 测试Echarts后台渲染生成图片
 */
public class EchartsTest {
//    生成一个echarts表，并将图片保存到本地
public static void main(String[] args) throws Exception {
    // 创建数据集
    DefaultCategoryDataset dataset = new DefaultCategoryDataset();
    dataset.addValue(100, "Series1", "Category1");
    dataset.addValue(150, "Series1", "Category2");
    dataset.addValue(200, "Series1", "Category3");
    dataset.addValue(200, "Series1", "Category4");
    dataset.addValue(200, "Series1", "Category5");
    dataset.addValue(100, "Series2", "Category1");
    dataset.addValue(150, "Series2", "Category2");
    dataset.addValue(200, "Series2", "Category3");
    dataset.addValue(200, "Series2", "Category4");
    dataset.addValue(200, "Series2", "Category5");

    // 创建图表
    JFreeChart chart = ChartFactory.createBarChart(
            "", // 图表标题
            "",       // 类别轴标签
            "",           // 数值轴标签
            dataset            // 数据集
    );

    // 保存图表到本地
    File file = new File("D:/barChart.png");
    ChartUtils.saveChartAsPNG(file, chart, 800, 400); // 设置图片大小为400x300
}
}
