package org.jeecg.modules.tools.dbsdkfzpt;
import java.security.MessageDigest;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.http.NameValuePair;
import org.apache.http.message.BasicNameValuePair;

/**
 * classin转换工具
**/
public class TransformUtils {

	/**
     * map转换SID=2339736&safeKey=f834fff59eb3bc8a2ff26a3cb59155f0类型字符串
     */
    public static String mapToParam(Map<String,String> map) {
        StringBuffer sb = new StringBuffer();
        String[] keyArr = (String[]) map.keySet().toArray(new String[map.keySet().size()]);//获取map中的key转为array
        for (int i=0;i<keyArr.length;i++) {
            if(i==keyArr.length-1){
        		sb.append(keyArr[i] + "=" + map.get(keyArr[i]));
        	}else{
        		sb.append(keyArr[i] + "=" + map.get(keyArr[i]) + "&");
        	}
        }
        String param = sb.toString();
        return param;
    }

    /***
     * MD5加密 生成32位md5码
     */
    public static String stringToMD5(String str){
        if (str == null || str.length() == 0) {
            return null;
        }
        char hexDigits[] = { '0', '1', '2', '3', '4', '5', '6', '7', '8', '9',
                'a', 'b', 'c', 'd', 'e', 'f' };

        try {
            MessageDigest mdTemp = MessageDigest.getInstance("MD5");
            mdTemp.update(str.getBytes("UTF-8"));

            byte[] md = mdTemp.digest();
            int j = md.length;
            char buf[] = new char[j * 2];
            int k = 0;
            for (int i = 0; i < j; i++) {
                byte byte0 = md[i];
                buf[k++] = hexDigits[byte0 >>> 4 & 0xf];
                buf[k++] = hexDigits[byte0 & 0xf];
            }
            return new String(buf).toLowerCase();
        } catch (Exception e) {
            return null;
        }
    }
    
    public static List<NameValuePair> mapToList(Map<String,String> map)throws Exception{
    	List<NameValuePair> parameForToken = new ArrayList<NameValuePair>();
        String[] keyArr = (String[]) map.keySet().toArray(new String[map.keySet().size()]);//获取map中的key转为array
        for (int i=0;i<keyArr.length;i++) {
        	System.out.print(keyArr[i]+":");
        	System.out.println(map.get(keyArr[i]));
        	parameForToken.add(new BasicNameValuePair(keyArr[i], map.get(keyArr[i])));
        }
        return parameForToken;
    }
	
}