package org.jeecg.modules.wps.controller;

import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Base64;

public class HttpsPostRequest {
    public static void main(String[] args) throws Exception {
        String targetURL = "https://openapi.wps.cn/oauth2/token";
        URL url = new URL(targetURL);
        HttpURLConnection connection = (HttpURLConnection) url.openConnection();

        // 设置请求方法为POST
        connection.setRequestMethod("POST");

        // 设置通用请求属性
        connection.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");

        // 如果需要，添加认证
//        String authentication = "username:password";
//        String encodedAuthentication = new String(Base64.getEncoder().encode(authentication.getBytes()));
//        connection.setRequestProperty ("Authorization", "Basic " + encodedAuthentication);

        // 发送POST请求必须设置如下两行
        connection.setDoOutput(true);
        connection.setDoInput(true);

        // 发送请求参数
        String jsonInputString = "{\"grant_type\":\"client_credentials\",\"client_id\":\"SX20241118WSUGQN\",\"client_secret\":\"IbRfANAvtsOoSAeKASHfiOMYlBpeVTqg\"}";
        try(OutputStream os = connection.getOutputStream()) {
            byte[] input = jsonInputString.getBytes();
            os.write(input, 0, input.length);
        }

        // 获取响应码
        int responseCode = connection.getResponseCode();
        System.out.println("POST Response Code :: " + responseCode);

        // 根据需要处理响应内容
        if (responseCode == HttpURLConnection.HTTP_OK) {
            // 处理响应
        }

        // 关闭连接
        connection.disconnect();
    }
}
