package org.jeecg.modules.zyk.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.zyk.entity.ZykInfo;

import java.util.List;

/**
 * @Description: 资源库信息
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
public interface ZykMapper extends BaseMapper<ZykInfo> {
    List<ZykInfo> findPage(Page<ZykInfo> page, ZykInfo params);
    ZykInfo getById(@Param("id")String id);
    void addInfo(ZykInfo zykInfo);
    void modifyInfo(ZykInfo zykInfo);
    ZykInfo getByBiz(ZykInfo zykInfo);
}
