package org.jeecg.modules.zyk.utils;

import org.apache.commons.lang3.StringUtils;

/**
 * @Description: 文件类型枚举类
 * @author: jeecg-boot
 */
public enum WjlxEnum {

    /**教学大纲*/
	JXDG("教学大纲"),
    /**教学日历*/
	JXRL("教学日历"),
	/**课程论文*/
	KCLW("课程论文"),
	/**课程论文*/
	XSLW("学生论文"),
	/**教学单元*/
	JXDY("教学单元"),
	/**其他*/
	QT("其他");

	/**
	 * 类型
	 */
	private String type;

	WjlxEnum(){}

	WjlxEnum(String type) {
		this.type = type;
	}
	
	public String getType() {
		return type;
	}
	
	public void setType(String type) {
		this.type = type;
	}

	public static WjlxEnum toEnum(String type) {
		if(StringUtils.isEmpty(type)){
			return null;
		}
		for(WjlxEnum item : WjlxEnum.values()) {
			if(item.getType().equals(type)) {
				return item;
			}
		}
		return null;
	}
}

